
/*********************************************************************
 *  made by : Kees Lemmens
 *  version : 0.1
 *  date    : May 1999
 *
 *  class name  : ExportMenu
 *  function    : Contains routines for building the Export pulldowmenu
 *********************************************************************/

import java.awt.*;
import java.awt.event.*; // Listeners
import java.util.Properties;

class ExportMenu extends Menu
implements ActionListener
{
   private JsepView applet;
   private final static int PRCAN=0, PRWIN=1,PSOUT=2,HPGLOUT=3,FIGOUT=4;
   private String  titles[] = {"Print Canvas","Print Window","EPS output (ext.)", "HPGL output (ext.)", "Xfig output (ext.)"};
   private MenuItem items[] = new MenuItem[titles.length];

   public ExportMenu(String label, JsepView applet) // constructor
   {
      super(label);
      this.applet = applet;
      
      for(int x=0;x< titles.length;x++)
      {
	 items[x] = new MenuItem();
	 
	 items[x].setLabel(titles[x]);
	 items[x].addActionListener(this);
	 items[x].setActionCommand(titles[x]);
	 
	 add(items[x]);
      }
   }
  
   private static Properties printprefs = new Properties();
   
   public void actionPerformed(ActionEvent ev) // JDK 1.1
   {
      String cmd  = ev.getActionCommand();
      
      if     (cmd.equals(titles[PRCAN]))
	applet.printComponent(printprefs,applet.canvas);
      else if (cmd.equals(titles[PRWIN]))
	applet.printMainWindow(printprefs);
      else if (cmd.equals(titles[PSOUT]))
      {
	 String psCmd[]   = {"spl2any","-f","2",applet.getCurrent(), null};
	 applet.execCommand(psCmd,System.out);
      }
      else if (cmd.equals(titles[HPGLOUT]))
      {
	 String hpglCmd[] = {"spl2any","-f","3",applet.getCurrent(), null};
	 applet.execCommand(hpglCmd,System.out);
      }
      else if (cmd.equals(titles[FIGOUT]))
      {
	 String figCmd[]  = {"spl2any","-f","4",applet.getCurrent(), null};
	 applet.execCommand(figCmd,System.out);
      }
      if(Debug.LEVEL >= 1) Debug.print("Action Event : " + ev);
   }
}

