
/*********************************************************************
 *  made by : Kees Lemmens
 *  version : 0.1
 *  date    : May 1999
 *
 *  class name  : FileMenu for JDK 1.1
 *  function    : Contains routines for building the File pulldowmenu
 *********************************************************************/

import java.awt.Menu;
import java.awt.MenuItem;
import java.awt.event.*; // Listeners

class FileMenu extends Menu
implements ActionListener
{
   private JsepView applet;
   private static final int      NEWWIN=0,     OPENPLOT=1,  CLOSE=2, QUIT=3;
   private String  titles[] = { "New Window", "Open Plot", "Close", "Quit" };
   private MenuItem items[] = new MenuItem[titles.length];
   
   public FileMenu(String label, JsepView applet) // constructor
   {
      super(label);
      this.applet = applet;
      
      for(int x=0;x< titles.length;x++)
      {
	 items[x] = new MenuItem();
	 
	 items[x].setLabel(titles[x]);
	 items[x].addActionListener(this);
	 items[x].setActionCommand(titles[x]);
	 
	 add(items[x]);
      }
   }
   
   public void actionPerformed(ActionEvent ev) // JDK 1.1
   {
      String cmd  = ev.getActionCommand();
      
      if     (cmd.equals(titles[NEWWIN]))
	applet.newWindow(); // clone top window
      else if (cmd.equals(titles[OPENPLOT]))
	applet.canvas.openPlotSelector();
      else if(cmd.equals(titles[CLOSE]))
	applet.stop();
      else if(cmd.equals(titles[QUIT]))
	System.exit(0);
      
      applet.canvas.repaint();

      if(Debug.LEVEL >= 1) Debug.print("Action Event : " + ev);
   }
}

