
/*********************************************************************
 *  made by : Kees Lemmens
 *  version : 0.1
 *  date    : May 1999
 *
 *  class name  : ViewMenu for JDK 1.1
 *  function    : Contains routines for building the View pulldownmenu
 *********************************************************************/

import java.awt.Menu;
import java.awt.CheckboxMenuItem;
import java.awt.event.*; // Listeners

class ViewMenu extends Menu
implements ItemListener
{
   private JsepView applet;
   public static final int COLSET1=0, COLSET2=1, COLSET3=2, COLSET4=3;
   private String  titles[] = { "Colorset 1","Colorset 2", "Colorset 3", "Colorset 4" };
   private boolean states[] = {  false,       false ,       false,        false };
   private int radioStart = COLSET1;
   private int radioEnd   = COLSET4;
   
   private CheckboxMenuItem items[] = new CheckboxMenuItem[titles.length];
   
   public ViewMenu(String label,JsepView applet)
   {
      super(label);
      this.applet = applet;
      
      for(int x=0;x<titles.length;x++)
      {
	 items[x] = new CheckboxMenuItem();
	 
	 items[x].setLabel(titles[x]);
	 items[x].setState(states[x]);
	 items[x].addItemListener(this);
	 
	 add(items[x]);
      }
   }
   
   public int length()
   {
      return titles.length;
   }
   
   public void setState(int itemnr, boolean state)
   {
      items[itemnr].setState(state);
   }
   
   public boolean getState(int itemnr)
   {
      return items[itemnr].getState();
   }

   public void nextState()
   {
      for(int n=radioStart; n<=radioEnd; n++)
	if(getState(n) == true)
	{
	   setState(n,false);
	   setState((n+1)%(radioEnd-radioStart+1),true);
	   break;
	}
   }
   
   public void itemStateChanged(ItemEvent ev) // JDK 1.1
   {
      boolean state=false;
      int     nr;

      for(nr=0;nr < items.length; nr++)
	if ( ev.getItem().equals(titles[nr]))
      {
	 state = items[nr].getState();
	 break;
      }
      
      if( state == true && nr >= radioStart && nr <= radioEnd)
      {
	 // Java does not have a checkbox group for menuitems yet :
	 for(int n=radioStart; n<=radioEnd; n++)
	   if(n != nr) setState(n,false);

	 applet.canvas.setFixedTable(nr);
      }
      else
	applet.canvas.setNormalTable();
      
      applet.canvas.repaint();

      if(Debug.LEVEL >= 1)
	Debug.print("Item : " + ev.getItem() + " Itemnr : " + nr);
   }
}
