      subroutine delsepar ( iarray )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  2.1  date 09-11-2012 Long length ibuffr
!        version  2.0  date 10-04-1999 Replace body by delsepabf
!        version  1.0  date 22-08-1995
!
!   copyright (c) 1995-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Delete a SEPRAN array and all of its presence in IBUFFR
!
! **********************************************************************
!
!                       KEYWORDS
!
!     delete
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iarray(*)

!     iarray  i  Array to be deleted
!                At present the array may be of the following types
!                solution vector or vector of special structure: 110, 115, 116
!                matrix (103)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     DELSEPABF Actual body of DELSEPAR
!     ERCLOS    Resets old name of previous subroutine of higher level
!     EROPEN    Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      call eropen ( 'delsepar' )
      call delsepabf ( iarray )
      call erclos ( 'delsepar' )
      end
