      subroutine er0045 ( vector, kprobh, nusol, compl, ikprbh, iref )
! ====================================================================== &
!
!        programmer   Guus Segal
!        version 1.2  date   06-03-1996 Layout
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1.0  date   26-10-1987
!
!
!
!   copyright (c) 1987-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!                         DESCRIPTION
!
!   read array from file iref
!   A fixed format is used
!   This subroutine is meant as help subroutine for readsl
! ********************************************************************
!
!                      KEYWORDS
!
!   read
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      logical compl
      integer kprobh(*), nusol, ikprbh, iref
      double precision vector(*)

!    compl     i  Indication if vector is complex (true) or real (false)
!    ikprbh    i  Indication if kprob part h has been filled (>0) or not (=0)
!    iref      i  File to which the solution must be printed
!                 if iref < 0, the file is read unformatted, otherwise it is
!                              supposed to be formatted
!    kprobh    i  kprob part h
!    nusol     i  number of degrees of freedom in vector
!    vector    i  array to be printed
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer i, length

!     i          Counting variable
!     length     Help parameter to indicate the length of arrays
! ********************************************************************
!
!             SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
! ====================================================================== &
!
  1   format(5d16.9)
      if(ikprbh.eq.0) then
         if(compl) then
            length=2*nusol
         else
            length=nusol
         end if
         if ( iref.gt.0 ) then
            read(iref,1) (vector(i),i=1,length)
         else
            read(-iref) (vector(i),i=1,length)
         end if
      else

!     --- ikprbh # 0,  renumbered

         if(compl) then
            if ( iref.gt.0 ) then
               read(iref,1) (vector(2*kprobh(i)-1),vector(2*kprobh(i)), &
                             i=1,nusol)
            else
               read(-iref) (vector(2*kprobh(i)-1),vector(2*kprobh(i)), &
                             i=1,nusol)
            end if
         else
            if ( iref.gt.0 ) then
               read(iref,1) (vector(kprobh(i)),i=1,nusol)
            else
               read(-iref) (vector(kprobh(i)),i=1,nusol)
            end if
         end if
      end if
      end
