      subroutine erreal ( eal, errvar )
! ====================================================================== &
!
!        programmer    Jos van Kan
!        version  1.5  date 04-06-2007 Fortran 90
!        version  1.4  date 19-01-1999 include commons
!        version  1.3  date 26-12-1994 New commons cmessc and cmessg
!        version  1.2  date 09-01-1993 Extension of number of reals
!        version  1.1  date 23-06-1992 New common cmessg
!        version  1.0  date 03-05-1990
!
!   copyright (c) 1990-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!  erreal is an auxiliary subroutine to errsub. It must be called prior to
!  errsub and sets the message variable eal. errvar is the number ofthe
!  variable to be set (errvar<=1000).
! **********************************************************************
!
!                       KEYWORDS
!
!     error_manipulation
!     print
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmessgf90'
      include 'SPcommon/cmesscf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer errvar
      double precision eal

!    eal    i  Double precision variable to be put into array reals
!    errvar i  Sequence number of variable in ints
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERRSUB  Error messages
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1258   Too many errints, erreals or errchrs in one errormessage.
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      if ( errvar>1000 ) then

!     --- ERROR: too many reals in this errormessage

         chars(1) = 'reals'
         call errsub ( 1258, 0, 0, 1 )

      else

         reals (errvar) = eal

      end if
      end
