      subroutine femesh ( kmesh1, kmesh2, iref, iren )
! ======================================================================
!
!        programmer    Luc Timmermans/Frans van de Vosse
!        version 3.0   date 20-01-1999 New body
!        version 2.6   date 18-10-1996 Correction with respect to writing
!        version 2.5   date 27-01-1996 layout
!        version 2.4   date 25-09-1995 kmesh2 part b loaded
!        version 2.3   date 25-09-1995 renumbering of kmesh2 kmesh1
!        version 2.2   date 26-01-1995 extension with 3-D el. - P. Minev
!        version 2.1   date 21-11-1994 extension with connection el.
!        version 2.1   date 11-10-1994 corrections
!        version 2.0   date 27-05-1992 extension with 1D elements
!        version 1.0   date 17-04-1992
!
!   copyright (c) 1992-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                       DESCRIPTION
!
!       femesh creates a linear element mesh based on the nodes
!       of a spectral element mesh
! **********************************************************************
!
!                       KEYWORDS
!
!    spectral
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      use sepmodulebuf
      implicit none
      integer kmesh1(*), kmesh2(*), iref, iren

!     iref      i      reference number
!     iren      i      indicates whether to renumber the spectral element
!                      mesh according to the FE renumbering (used when
!                      preconditioning is performed)
!     kmesh1    i      standard sepran array, corresponding to the
!                      spectral element mesh
!     kmesh2    o      standard sepran array, corresponding to the
!                      linear element mesh
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS    Resets old name of previous subroutine of higher level
!     EROPEN    Produces concatenated name of local subroutine
!     FEMESHBF  Actual body of subroutine
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! **********************************************************************
!
!                       MODULES USED
!
! ======================================================================
!
      call eropen ('femesh')
      call femeshbf ( ibuffr, buffer, kmesh1, kmesh2, iref, iren )
      call erclos ('femesh')

      end
