      function getnumnodelm ( kmesh, ielem )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 14-02-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Compute inpelm as function of an element sequence number
!
! **********************************************************************
!
!                       KEYWORDS
!
!     input
!     element
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ielem, kmesh(*), getnumnodelm

!     getnumnodelm  o   Number of nodes in element
!     ielem        i   First element number that has been read
!     kmesh         i   Standard SEPRAN array containing information of the mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ielgrp

!    ielgrp    Element group number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer getnpelmelgrp, getelgrpelem

!     GETELGRPELEM   Find element group corresponding to element ielem
!     GETNPELMELGRP  Fetch number of points per element in element group ielgrp
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Compute inpelm

      ielgrp = getelgrpelem ( kmesh, ielem )
      getnumnodelm = getnpelmelgrp ( kmesh, ielgrp )
      end
