      subroutine ini000 ( iarr1, iarr2, ist1, ist2, length, idirec )
! ======================================================================
!
!        programmer    Guus Segal
!        version  3.5  date 15-11-2012 Long integers
!        version  3.4  date 24-07-1998 Layout
!        version  3.3  date 01-02-1994 Change in comments
!
!   copyright (c) 1984-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     copy information from integer array iarr1 into integer array iarr2
!     Both arrays may be part of the same integer array
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iarr1(*), iarr2(*), ist1, ist2, length, idirec

!     iarr1   i    input array to be copied
!     iarr2   o    output array (result of copying)
!     idirec  i    indication whether the information must be copied
!                  from the first to the last position (idirec=1)
!                  or vice versa (idirec=-2)
!                  when idirec=-1 the contents of iarr1 are stored in
!                  reversed order in iarr2
!                     iarr1 from the back
!                     iarr2 forward
!                  when idirec=0 the subroutine returns when ist1=ist2
!                  when ist1>ist2 the subroutine reacts as if idirec=1
!                  when ist1<ist2 the subroutine reacts as if idirec=-2
!     ist1    i    first position in iarr1
!     ist2    i    first position in iarr2
!     length  i    number of positions to be copied
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
       integer jdirec, i, ih, ih1, ih2

!     i       Counting variable
!     ih      Help variable to store a constant temporarily
!     ih1     Help variable to store a constant temporarily
!     ih2     Help variable to store a constant temporarily
!     jdirec  ?
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( idirec==0 ) then
         if ( ist1>=ist2 ) then
            jdirec = 1
         else
            jdirec = -2
         end if
      else
         jdirec = idirec
      end if
      if ( jdirec+1>0 ) then

!     --- jdirec = 1 forward copying

         ih2 = ist2-1
         ih1 = ist1-1

         iarr2(ih2+1:ih2+length) = iarr1(ih1+1:ih1+length)

      else if ( jdirec+1<0 ) then

!     --- jdirec = -2  backward copying

         ih = length

         do i = 1,length
            iarr2(ih+ist2-i) = iarr1(ih+ist1-i)
         end do

      else

!     --- jdirec = -1   copying in reversed order

         ih = length+1
         ih2 = ist2-1
         ih1 = ist1-1

         do i = 1,length
            iarr2(i+ih2) = iarr1(ih+ih1-i)
         end do

      end if

      end
