      subroutine ini008 ( lengol, lengnw, iref, newrcl, index )
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.3    date 20-01-1999 Include commons
!        version 1.2    date 09-08-1995 Save commons
!        version 1.1    date 25-10-1988 Correction: raise ifree2/3
!        version 1.0    date 10-01-1983
!
!   copyright (c) 1983-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    check whether the array with length lengol requires at least
!    as much records on backing storage as the array with length lengnw
! **********************************************************************
!
!                       KEYWORDS
!
!    maximum
!    minimum
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer lengol, lengnw, iref, newrcl, index

!     index  i/o   record number where the information must be written
!                  (input  ifree.)  (output computed)
!                  ichois = 2
!     iref    i    File reference number ( 2 and 3 are permitted )
!     lengnw  i    length of "new" array
!     lengol  i    length of "old" array
!     newrcl  o    indication whether the new number of records is larger
!                  ( newrcl = 1 )  or not  ( newrcl = 0 )
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cfile2f90'
      include 'SPcommon/cfile3f90'
      include 'SPcommon/cmcdpif90'

! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer nr, numold, numnew

!     nr      ?
!     numnew  ?
!     numold
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     INSTOP  Stop the program
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      goto ( 10, 20 ,30, 10 ), iref

!     --- file number 1 or 4

 10     write(irefwr,15) iref
 15     format(' call of file number',i4,'  in ini008')
        call instop

!       --- file 2

 20     nr=nrec2
        goto 50

!       --- file 3

 30     nr=nrec3

 50   numold=lengol/nr
      if(numold*nr.ne.lengol) numold=numold+1
      numnew=lengnw/nr
      if(numnew*nr.ne.lengnw) numnew=numnew+1
      if(numnew.gt.numold) goto 100

!     --- numnew <= numold

       newrcl=0
       return

!      --- numnew > numold

100    newrcl=1
       goto ( 10, 110, 120, 10 ), iref

110    index=ifree2
       ifree2 = index + numnew
       return
120    index=ifree3
       ifree3 = index + numnew
      end
