      subroutine ini200 ( arr1, arr2, ist1, ist2, length, idirec )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 15-11-2012 Long integers
!        version  1.0  date 08-12-1990
!
!   copyright (c) 1990-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     copy information from array arr1 into array arr2
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision arr1(*), arr2(*)
      integer ist1, ist2, length, idirec

!    arr1   i   input array
!    arr2   o   output array
!    idirec i   indication whether the information must be copied
!               from the first to the last position (idirec=1)
!               or vice versa (idirec=-2)
!               when idirec=-1 the contents of arr1 are stored in
!               reversed order in arr2
!               arr1 from the back
!               arr2 forward
!               when idirec=0 the subroutine returns when ist1=ist2
!                    when ist1>ist2 the subroutine reacts as if idirec=1
!                    when ist1<ist2 the subroutine reacts as if idirec=-2
!    ist1   i   first position in arr1
!    ist2   i   first position in arr2
!    length i   number of positions to be copied
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, ih, ih1, ih2, jdirec

!     i          Counting variable
!     ih         Help variable to store a constant temporarily
!     ih1        Help variable to store a constant temporarily
!     ih2        Help variable to store a constant temporarily
!     jdirec     See idirec
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if(idirec==0) then
         if(ist1>ist2) then
            jdirec=1
         else
            jdirec=-2
         end if
      else
         jdirec=idirec
      end if

      select case ( jdirec )
      case(1)

!     --- jdirec=1 forward copying

        ih2=ist2-1
        ih1=ist1-1
        do i=1, length
           arr2(i+ih2)=arr1(i+ih1)
        end do  ! i=1, length

      case(-2)

!     --- jdirec=-2  backward copying

        ih=length
        do i=1, length
           arr2(ih+ist2-i)=arr1(ih+ist1-i)
        end do  ! i=1, length

      case(-1)

!     --- jdirec=-1   copying in reversed order

        ih=length+1
        ih2=ist2-1
        ih1=ist1-1
        do i=1, length
           arr2(i+ih2)=arr1(ih+ih1-i)
        end do  ! i=1, length

      end select  ! case ( jdirec )
      end
