      subroutine iniftyp ( ishape, facetp )
! ======================================================================
!
!        programmer    Frans van de Vosse
!        version  1.2  date 18-12-2002 Extension of shapes
!        version  1.1  date 01-10-2000 Correction for negative shape numbers
!        version  1.0  date 22-08-1998 renamed nmftyp
!
!   copyright (c) 1998-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    fetches the type of faces in group ielgrp
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     element_group
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ishape, facetp

!     facetp     o    face type of an element
!     ishape     i    Type number of elements in the mesh or element group
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!     800   Shape number not available
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'iniftyp' )

      if ( ishape.le.10 ) then
         facetp = ishape
      else if(ishape.eq.11) then
         facetp = 3
      else if(ishape.eq.12) then
         facetp = 4
      else if(ishape.eq.13) then
         facetp = 5
      else if(ishape.eq.14) then
         facetp = 6
      else if(ishape.eq.15) then
         facetp = 7
      else if(ishape.eq.16) then
         facetp = 8
      else if(ishape.eq.17) then
         facetp = 5
      else if(ishape.eq.18) then
         facetp = 3
      else

!     --- Shape number not implemented

         call errint ( ishape, 1 )
         call errsub ( 800, 1, 0, 0 )

      end if
      call erclos ( 'iniftyp' )

      end
