      function inimax ( iarray, n )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 14-04-1994
!
!   copyright (c) 1994-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Find the maximum distance between two succeeding entries of array iarray
!   and return this value to inimax
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, iarray(n), inimax

!     iarray  i    Integer array of length n of which the maximum of the
!                  difference of two succeeding entries must be found
!     inimax  o    Maximal difference found
!     n       i    number of entries in iarray
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, ih

!     i       Counting variable
!     ih      Help variable to store a constant temporarily
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      ih = 0
      do 100 i = 1, n-1
         ih = max ( ih, iarray(i+1)-iarray(i) )
100   continue
      inimax = ih
      end
