      subroutine initmd
! ======================================================================
!
!        programmer     Guus Segal
!        version 7.0    date 20-02-1999 New body
!        version 6.3    date 20-11-1998 Include commons
!        version 6.2    date 09-02-1994 New comments
!        version 6.1    date 17-10-1992 Remove inleng
!        version 6.0    date 03-11-1990 Complete revision, introduction of
!                                       environment file
!        version 5.4    date 28-08-1990 FTN77/386 constants
!        version 5.3    date 27-07-1990
!        version 5.2    date 03-07-1990 by Zdenek Vlasek
!        version 5.1    date 22-03-1990
!
!   copyright (c) 1982-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! ********************************************************************
!
!                         DESCRIPTION
!
!    The task of INITMD is to store machine dependent quantities in
!    common blocks
!    Subroutine INITMD must be adpated for each local computer
!    Important quantities to be updated are the quantities:
!
!    SPHOME and SPRENV
!
!    The concatenation of these two texts decides where the global
!    environment file is positioned
!    SPRENV gives the name of the local environment file
!    For unix computers as well as MSDOS computers running under FTN77/386
!    these names are set during the installation procedure
!    For other computers the system manager must set the parameters himself
!
!    This subroutine is machine dependent and must be adapted for
!    each local machine
!
!
!      Available versions:
!
!      Computer     Operating system     Comment    machine
!
!      IBM                               cibm         1
!      Cyber        NOS/VE               cybr         2
!      Apollo       Aegis/Unix           capo         3
!      HP 9000      HP/UX                chpu cuni    4
!      ....         Unix                 cuni         5
!      VAX          VMS                  cvax         6
!      Harris                            char         7
!      Cray                              cray         8
!      IBM PC 386   MSDOS+FTN77/386      cipc         9
!      Convex       Unix/Concentrix      ccon        10
!      ALLIANT      Unix/Concentrix      cali        13
!
!
! ********************************************************************
!
!                      KEYWORDS
!
!   initialization
!   machine_dependent
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
! ********************************************************************
!
!                      COMMON BLOCKS
!
      use sepmodulebuf
      implicit none

! ********************************************************************
!
!                      LOCAL PARAMETERS
!
! ********************************************************************
!
!                      SUBROUTINES CALLED
!
!    INITMDBF   Body of INITMD
! ********************************************************************
!
!                    I/O
!
! ********************************************************************
!
!                    ERROR MESSAGES
!
!   - &
! ********************************************************************
!
!                    PSEUDO CODE
!
! ======================================================================
!
      call initmdbf ( nbuffr )

      end
