      subroutine intx02cofscal ( iseqkeyw, nseqkeyw, readnx, table )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 06-02-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Special case: coefficient is a scalar
!     Help subroutine for intx02ext1
! **********************************************************************
!
!                       KEYWORDS
!
!     interpret
!     keyword
!     read
!     variable
!     coefficient
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpif90'
      include 'SPcommon/cconstf90'
      include 'SPcommon/cinoutf90'
      include 'SPcommon/cseprdf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iseqkeyw(*), nseqkeyw
      double precision table
      logical readnx

!     iseqkeyw      i/o    Array of size nseqkeyw that contains the sequence in
!                         which keywords are found in a record
!                         isekeyw(i)>0, means i-th keyword found is the
!                                         iseqkeyw(i)-th keyword in the table
!                         isekeyw(i)<0, means keyword refers to number found
!                                         -isekeyw(i) refers to position in tabout
!     nseqkeyw       i    Number of entries in iseqkeyw
!     readnx        i/o   Indicates if the next item has not been read (true)
!                         or has been (false)
!     table          o    First entry of table in intx02ext1
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'intx02cofscal' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from intx02cofscal'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      table = nint(realrd)
      nseqkeyw = nseqkeyw+1
      iseqkeyw(nseqkeyw) = 0
      readnx = .true.

1000  call erclos ( 'intx02cofscal' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End intx02cofscal'

      end if  ! ( debug )

      end
