      subroutine intx02skip ( )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 06-02-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Read next item in case iretur#11
!     Skip superfluous characters
! **********************************************************************
!
!                       KEYWORDS
!
!     interpret
!     keyword
!     read
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpif90'
      include 'SPcommon/cconstf90'
      include 'SPcommon/cinoutf90'
      include 'SPcommon/cseprdf90'
      include 'SPcommon/cseprdnewf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ispeclsav
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
!     ispeclsav      Help parameter to save the value of ispecl
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ASKNXT         Read next item from the standard input file
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'intx02skip' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from intx02skip'
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      ispeclsav = ispecl  ! save ispecl

!     --- Check for special characters to be skipped

      if ( typeitems(lastitem+1)==13 .or. &
           typeitems(lastitem+1)==16 ) lastitem = lastitem+1  ! = or : found
      if ( typeitems(lastitem+1)==5 ) lastitem = lastitem+1   ! ( found
      if ( debug ) write(irefwr,1) 'lastitem/1', lastitem
      if ( typeitems(lastitem+1)==3 ) ispecl = 9 ! text found, include number
      if ( debug ) &
         write(irefwr,1) 'typeitems(lastitem+1)', &
                          typeitems(lastitem+1)

!     --- Read next item

      call asknxt

      ispecl = ispeclsav  ! reset ispecl

1000  call erclos ( 'intx02skip' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,1) 'ityprd', ityprd
         write(irefwr,*) 'End intx02skip'

      end if  ! ( debug )

      end
