module sepmoduleinput

   integer :: iseqadapbn     ! Sequence number for eradapbn
   integer :: iseqadapms     ! Sequence number for eradapms
   integer :: iseqarray      ! Sequence number of array in set of constants,
                             ! vectors etc
   integer :: iseqbc         ! Sequence number for ercrea (presbc)
   integer :: iseqcapacity   ! Sequence number for ercapacity
   integer :: iseqchcf       ! Sequence number for ercofs (change coefficients)
   integer :: iseqchcoor     ! Sequence number for erchcoor
   integer :: iseqcofs       ! Sequence number for ercofs
   integer :: iseqcomm       ! Sequence number for ercomm
   integer :: iseqcomp       ! Sequence number for ercomp
   integer :: iseqcontct     ! Sequence number for ercontct
   integer :: iseqcr         ! Sequence number for ercrea (create)
   integer :: iseqderi       ! Sequence number for erderi
   integer :: iseqeigval     ! Sequence number for ereigval
   integer :: iseqenthalpy   ! Sequence number for erenthalpy
   integer :: iseqinstfr     ! Sequence number for erinstfr
   integer :: iseqintb       ! Sequence number for erintb
   integer :: iseqinti       ! Sequence number for erinti
   integer :: iseqinverse    ! Sequence number for erinverse
   integer :: iseqloop       ! Sequence number for erloop
   integer :: iseqnlns       ! Sequence number for ernlns
   integer :: iseqoutp       ! Sequence number for eroutp
   integer :: iseqsolv       ! Sequence number for ersolv
   integer :: iseqstatfr     ! Sequence number for erstatfr
   integer :: iseqtimd       ! Sequence number for ertimd

   integer, pointer :: iinputout(:)  ! array iinput for proutp
   integer, pointer :: iinputmesh(:) ! array iinput for mesh
   integer, pointer :: iinputtmp(:)  ! temporary array iinput

   double precision, pointer :: rinputmesh(:)  ! array rinput for mesh
   double precision, pointer :: rinputtmp(:)   ! temporary array rinput

   type inputinf
      integer :: icall        ! sequence number of next call of subroutine (2)
      integer :: istart       ! Contains lowest number j of iin%iinput
                              ! entries for subroutine i (4)
      integer :: maxcall      ! maximum number of input arrays
                              ! that have been read for subroutine (3)
      integer :: maxsub       ! maximum number of input arrays
                              ! that may be stored for subroutine (1)
      integer :: irefin       ! sequence of integer input array in iin
      integer :: irefrl       ! sequence of real input array in rin
      integer :: irefrlin     ! sequence of

   end type inputinf

   type iin
      logical :: used
      integer, pointer :: iinput(:)
   end type iin
   type rin
      double precision, pointer :: rinput(:)
   end type rin
   type iinf
      integer, pointer :: iinputf(:)
   end type iinf

   integer, parameter :: nsubr = 33
   integer, parameter :: nsubparms = 688

   type (iin) :: in(nsubparms)
   type (rin) :: re(nsubparms)
   type (iinf) :: inf(nsubparms)

   type (inputinf) :: iinputarrs(nsubr)  ! contains input for subroutines

!     1:  START  (not yet implemented)
!     2:  PROBDF
!     3:  COMMAT
!     4:  CREATE
!     5:  PRESDF
!     6:  FILCOF
!     7:  CHNCOF
!     8:  SOLVE
!     9:  OUTPUT
!    10:  SEPCOMP
!    11:  DERIVS
!    12:  NLNPRB
!    13:  INTEGR
!    14:  INTBND
!    15:  TIMPRB
!    16:  ADAPBOUN
!    17:  ADAPMESH
!    18:  STATFREE
!    19:  INSTFREE
!    20:  CONTACT
!    21:  LOOP
!    22:  CHANGE_COORDINATES
!    23:  EIGENVALUES
!    24:  CAPCITY
!    25:  INVERSE_PROBLEM
!    26:  ENTHALPY_INTEGRATION
!    27:  PROBLEM
!    28:  REFINE
!    29:  PRESSURE_CORRECTION
!    30:  NAVIER-STOKES
!    31:  LEVEL_SET
!    32:  MAKE_OBSTACLE_MESH
!    33:  BEARING

!   subroutines that can be used to get information from this module:
!
!   call sepgetinpfinf ( isubr, iseqnr, ipos, maxcall )
!                        isubr   sequence number of subroutine
!                        iseqnr  sequence number of input block
!                        ipos    reference to arrays in() etc
!                        maxcall maximum number of blocks found

end module sepmoduleinput
