module sepmodulemach
   integer :: icarcn  ! Indicates if the computer uses the carriage control
                      ! parameter for output to a file (1) or not (0)
   integer :: iplotf  ! Indicates if a copy of the plot must be made to
                      ! a file (1) or not (0)
   integer :: iplopn  ! Indicates if the default SEPRAN has been opened and not
                      ! closed (1) or not (0)
   integer :: iref10  ! Dataset reference number with respect to file meshoutput
                      ! If negative the file is unformatted
   integer :: iref17  ! Dataset reference number with respect to file menumsg
   integer :: iref73  ! Dataset reference number with respect to file
                      ! sepcomp.inf
   integer :: iref74  ! Dataset reference number with respect to file
                      ! sepcomp.out
                      ! If negative the file is unformatted
   integer :: iref75  ! Dataset reference number with respect to file
                      ! sepcomp.freq
   integer :: irefpl  ! Dataset reference number with respect to
                      ! SEPRAN plot file
                      ! If negative the file is unformatted
   integer :: irefps  ! Reference number for postscript writing
   integer :: irefwrsave  ! Dataset reference number with respect to output
                      ! as stored at start of run
   integer :: isite   ! Sequence number of site to call special site adapted
                      ! subroutines
                      !  Possible values:
                      !  0:  general
                      !  1:  Eindhoven University of Technology
   integer :: lenwor  ! This parameter is used in the open statement of direct
                      ! access files. The record length in the statement rec =
                      ! is given by lenwor times the number of words
                      ! So if the machine requires that the length is given in
                      ! words then lenwor should be one. If the record length
                      ! must be given in bytes, lenwor gives the number of
                      ! bytes per word
   integer :: machin  ! Type of computer system. Possible values:
                      !  1    IBM
                      !  5    .....    Unix
                      !  7    Windows 95, Visual fortran
                      !  8    Cray
                      ! 14    unknown
   integer :: nrec4   ! Number of words that can be stored in one record of the
                      ! error message file
   integer :: numchr  ! Number of characters that can be stored in a word

   character (len=1) :: escape  ! Prefix for many terminal control commands
   character (len=1) :: formfd  ! Form-feed character, new-page on some
                                ! terminals
   character (len=1) :: malpha  ! Switches Tektronix to alphanumerical mode
   character (len=1) :: mgraph  ! Switches Tektronix to graphics mode
   character (len=1) :: mvt100  ! Switches MS-Kermit back to VT100 mode
   character (len=1) :: null    ! Terminator for C-like strings
                                ! (used in StarBase)

   character (len=2) :: posdev  ! Device designation of device to send plot output to
!      fb        Write input parameters in binary form to file 8
!      fa        Write input parameters in ascii form to file 8
!      f1        Write formatted, make only 1 output file
!      g         GKS code
!      gi        GKS code (choose your workstation)
!      hh        StarBase code for HP-display, Color HiRes (1280x1024)
!      hl        HP-display, Color LowRes (1024x768)
!      hm        HP-display, Monochrome LowRes (1024x768)
!      ht        HP-display, Turbo SRX (1280x1024, 24 bitplanes)
!      hx        Starbase on X11
!      ow        Local version, not supported by SEPRAN
!      p         HP-GL plotter A4 format (file output)
!      pb        HP-GL plotter A3
!      ps        PostScript (greyscale) in ascii to file irefpl (portrait mode)
!      pl        PostScript (greyscale landscape)
!      pc        PostScript COLOR (portrait)
!      pw        PostScript (color landscape)

   character (len=8) :: date_start  !  Date at which the process is started

   character (len=10) :: time_start  ! Time at which the process is started

   character (len=16) :: devdis  ! Device for interactive plotting
   character (len=16) :: devhcp  ! Device for hard copies of plot
   character (len=16) :: macnam  ! Hostname of computer on which the program runs
   character (len=16) :: pidsep  ! Process id (Unix only)
   character (len=16) :: spappn  ! Indication if the output must be appended
                                 ! to an existing output file (yes) or not (no)
   character (len=16) :: spexec  ! Name of executable
   character (len=16) :: stdate  ! Starting date of program
   character (len=16) :: stoper  ! Type of operating system
   character (len=16) :: sttime  ! Starting time of program (i.e. time at which
                                 ! the program has been started)
   character (len=16) :: termin  ! Terminal type used, full name according
                                 ! to O/S
   character (len=16) :: usrnam  ! Login name of user

   character (len=100) :: name10  ! Name of file 10 (mesh output file)
   character (len=100) :: name73  ! Name of file 73 (sepcomp.inf)
   character (len=100) :: name74  ! Name of file 74 (sepcomp.out)
   character (len=100) :: namebm  ! Name of bitmap file if a bitmap mus be made,
                                  ! otherwise blank
   character (len=100) :: namediff  ! Name of difference file
   character (len=100) :: namef1  ! Name of file 1
                                  ! (information about standard elements)
   character (len=100) :: namef2  ! Name of file 2 (SEPRAN backing storage file)
   character (len=100) :: namef3  ! Name of file 3 (scratch file)
   character (len=100) :: namef4  ! Name of file 4 (error messages)
   character (len=100) :: namems  ! Name of file 17 (menu texts)
   character (len=100) :: nameout2  ! Name of second sepcomp.out file
   character (len=100) :: namepl  ! Name of default SEPRAN plot file
   character (len=100) :: namere  ! Name of file from which input is read
   character (len=100) :: namewr  ! Name of file to which output is written
   character (len=100) :: sepwind  ! Name of window for X11
   character (len=100) :: sphome  ! SEPRAN home directory
   character (len=100) :: sprenv  ! name of SEPRAN environment file
                                  ! (Usually sepran.env)
   character (len=100) :: spvers  ! SEPRAN version name
end module sepmodulemach
