module sepmodulemap

   type mapping

!  --- Defines mapping arrays between meshes

      integer :: iseqkm1             ! refers to first mesh
      integer :: iseqkm2             ! refers to second mesh
      logical :: copy                ! if true solution array must be copied
      logical :: equal               ! meshes are equal
      integer, pointer :: imap(:,:)  ! Mapping array
!                         Array imap is filled as follows:
!                         imap(i,1) = 0 means node i has not been interpolated
!                         yet
!                         imap(i,1) = n (>0) means node i must be interpolated
!                                     with n points
!                         imap(i,2-n+1) contain the nodes in the old mesh
!                                     required for the interpolation
      double precision, pointer :: rmap(:,:)  ! Mapping array
!                         If imap(i,1) = n (>0) then the positions
!                         rmap(i,1-n) contain the weight factor for the
!                         interpolation

   end type mapping

   integer, pointer :: imap1(:)             ! integer part of mapping
   integer, pointer :: imap(:,:)             ! integer part of mapping
   integer, pointer :: imap2(:,:)            ! integer part of mapping
   double precision, pointer :: rmap(:,:)    ! real part of mapping
   double precision, pointer :: rmap2(:,:)   ! real part of mapping

end module sepmodulemap
