module sepmoduleread

!  --- Include commons for reading

   use sepmodulecomio
   use sepmodulecons


   integer :: firstcol     ! Active first column number
   integer :: firstcolitems(maxitems) !Indicates first column of item in cardim
                           ! The column number is increased by
                           ! 240*(recordnumber-1)
   integer :: firstcolumn(maxrecords) ! Indicates first column of item in
                                      ! cardim
                                      ! The column number is increased by
                                      ! 240*(recordnumber-1)
   integer :: icolum       ! Last column number that has been used
   integer :: iexpression  ! If 0 no special action
               !  if 1 return from asknxt if an openings bracket for
               !  an expression has been found.
               !  Return with ityprd = 100 in this case
   integer :: index_rdarr(10)  ! is only used if ityprd > 11
                ! In that case it is filled as follows:
                ! Pos. 1: sequence number of name in corresponding array
                ! Pos. 2: if > 0, position of array index in variables
                !         array
                ! Pos. 3: iseq: if not 0, it means that the variable or constant
                !         is indexed
                !         if iseq>0 the index is a variable with sequence number
                !         iseq
                ! Pos. 4: Sequence number of name if index_rdarr(3) # 0
                ! Pos. 5: indicates if it is an integer (1) or real array (2)
   integer :: irecnr       ! Record number read
   integer :: ispecl       ! Parameter indicating if the input must be treated
                           ! in the standard way or that special rules must
                           !  be applied.
               !  Possible values:
               !  0  Normal case
               !  1  Special situation for a111
               !  2  Special situation for a111
               !  3  Characters are not translated to upper case
               !     The text is interpreted as a string
               !  4  Special case, the program also finds the occurences of
               !     the - sign not followed by a digit and the ) or ( sign
               !  5  Special case, the occurence of a ( sign is marked
               !  6  Special case: the environment file is read, so error
               !     messages can not be read from the error file
               !  7  Combination of 3 and 6
               !  8  Special case, the next equals sign is found and the
               !     position following it is returned in kcolum
               !  9  Special case, a keyword may also contain digits and
               !     underscores. It must, however, start with a letter.
               ! 10  Special case, the index corresponding to a scalar must be
               !     stored in index_rdarr(1), and ityprd must return with 14
               !     if a scalar has been found
               ! 11  Special case, this option tells readname that a name that
               !     is not yet available may be added to the list of vector
               !     names
               ! 12  Special case, a minus sign is treated separately and not
               !     used in the number
               ! 13  Special case, a variable vectorname is replaced by
               !     its sequence number.
               !     Also 12 is valid
               ! 15  Combination of 10 and 5
               ! 19  Combination of 10 and 9
   integer :: istop        ! Indicates which actions must be taken if end of file or
               !  end of record has been found.
               !  Possible values:
               !  0:  Stop the process if end of file has been found
               !  1:  Return with ityprd=0 if end of file has been found
               !  2:  Read next record if end of record has been found,
               !      return with ityprd=0 if end of file has been found
               !  3:  Do not interpret next item, but return
               !      istop is reset to 0
   integer :: ityprd       ! Indication of what kind action has been taken
                           ! place last
               !  Possible values:
               !  0   End of file found
               !  1   End of record found
               !  2   integer has been read
               !  3   Real has been read
               !  4   Keyword has been read
               !  5   Text between quotes has been read
               !      or text in the case of ispec=3
               !  6   - sign not followed by digit (ispecl=4 only)
               !  7   ) sign (ispecl=4 only)
               !  8   ( sign (ispecl=5 only)
               !  9   = sign (ispecl=6 only)
               !  10  = integer sequence number with respect to array names
               !         (<1000)or namefuncs (>1000)
               !  11  = integer sequence number with respect to array scalars
               !        found, the sequence number is enlarged by 100000000
               !  12  = integer sequence number with respect to array incons,
               !        in combination with an array index
               !  13  = integer sequence number with respect to array rlcons,
               !        in combination with an array index
               !  14  = integer sequence number with respect to array scalars,
               !        in combination with an array index
               !  15  = integer sequence number with respect to array strings,
               !        in combination with an array index
               !  16  = integer sequence number with respect to array strings
               !        found, the sequence number is enlarged by 100000000
               !  17  = integer sequence number with respect to array intscalars
               !        found, the sequence number is enlarged by 100000000
               !  18  = integer sequence number with respect to array intscalars
               !        in combination with an array index
               !  19  = expression
               !  20  = nothing found
               !  100 = start of openings bracket for expression found
               !  102   vector number has been read
   integer :: kcolum       ! Last column number that could be interpreted
   integer :: last         ! Last non-blank position in record before comment
   integer :: lastcol      ! Active last column number
   integer :: lastcolumn(maxrecords)  ! For each record in cardim the last
                                      ! column with information
   integer :: lastcolitems(maxitems)  !Indicates last column of item in cardim
                           ! The column number is increased by
                           ! 240*(recordnumber-1)
   integer :: lastitem     ! Last item that has been used in the list of items
   integer :: lastitembef  ! Prior value of lastitem
   integer :: lastp        ! Last non-blank position in record
   integer :: maxcolum     ! Last column number that can be used
   integer :: nchar        ! Number of characters found in the string
   integer :: nitems       ! Number of items found
   integer :: numrecord    ! Active record number
   integer :: numrecstored ! Number of cards stored in cardim
                           ! making one "record"
   integer :: typeitems(maxitems)     ! Contains for each item in the
                           ! "record" what it is:
                           ! Possible values:
                           !  1    integer with value stored in realitems(item)
                           !  2    real with value stored in realitems(item)
                           !  3    string
                           !  4    quote
                           !  5    (
                           !  6    )
                           !  7    *
                           !  8    +
                           !  9    $
                           ! 10    %
                           ! 11    -
                           ! 12    /
                           ! 13    =
                           ! 14    \
                           ! 15    ~
                           ! 16    :
                           ! 17    {
                           ! 18    }
                           ! 19    ^
                           ! 20    <
                           ! 21    <=
                           ! 22    >
                           ! 23    >=
                           ! 24    /=
                           ! 25    ==
                           ! 26    ,
                           ! 27    .
                           ! 28    ?
                           ! 29    ;
                           ! 30    & or &&
                           ! 31    | or ||


   double precision realitems(maxitems)  ! Contains values of items
   double precision :: realrd  ! Last real or integer number that has been read
                               ! from the input file

   character (len=240) :: cardim         ! Contains the record read in
                                         ! original form
   character (len=240) :: cardimage(maxrecords)  ! Contains the record(s) read
                                         ! in original form
   character (len=240) :: cards          ! Contains one record read in
                                         ! character format
   character (len=80) :: keyword         ! Text containing a string without
                                         ! numbers
   character (len=240) :: string         ! Contains the last string that has
                                         ! been read in capitals
   character (len=240) :: stringim       ! Contains the last string that has
                                         ! been read in original form

   contains

!  --- Split keyword read into part without numbers (readsplitkeyw)

      integer function sepsplitkeyw ( ) result(numchar)

      keyword = ' '
      numchar = 0
      do while ( numchar<nchar .and. &
                 ( string(numchar+1:numchar+1)<'0' .or. &
                   string(numchar+1:numchar+1)>'9' ) )
         numchar = numchar+1  ! Not a number
      end do  ! while ( numchar<nchar .and. ... )
      keyword(1:numchar) = string(1:numchar)

      end function sepsplitkeyw

!  List of functions
!     numchar = sepsplitkeyw()   ! number of characters in keyword without
!                                ! digits

end module sepmoduleread
