module sepmoduletimhis

   use sepmodulecons

   type scaltime
      integer :: nstephiscal            !Number of time steps allowed
      double precision, pointer :: arr(:,:)  ! Array of size 2 x nstephis
                                        !     The storage is  t_1 val_1
   end type scaltime

   type vecttime
      integer :: npoint_hist            !Number of points with a time history
      integer, pointer :: point_nrs(:)  ! Array of size npoint_hist containing
                                        ! the nodal points where the
                                        ! where the history is required
      double precision, pointer :: arr(:,:) ! Array of size
                                        ! (npoint_hist+1) x nunkp x nstephis
                        ! For each time step the following information is stored
                        ! t_1 val_1, t_2 val_1, ..., t_nphys val_1,
                        ! t_1 val_2, ....
      logical :: zerolev            ! if true it concerns a zero level set
   end type vecttime

!     Contains information about time-histories

   integer :: iscaltimlast  ! last scalar that is filled
   integer :: istephis      ! number of time steps that is stored
   integer :: istephiscal   ! number of time steps that is stored for scalars
   integer :: ivecttimlast  ! last vector that is filled
   integer :: nstephis      ! maximum number of time steps that may be stored
   integer :: nstephiscal   ! maximum number of time steps for scalars
   integer::  npoint_hist   ! Number of points with a time history
   integer, pointer :: ivecttim(:) ! array point_nrs
   double precision, pointer :: rvectim(:,:) ! array vectim

   logical :: zerolev            ! if true it concerns a zero level set

   type (scaltime) :: scaltim(maxcls)
   type (vecttime) :: vecttim(maxvec+3)

end module sepmoduletimhis
