module sepmodulexpr
!
!     Contains information about expressions
!
   integer, parameter :: maxexpression=1000 ! Length of array istexpress
                                            ! (max number of expressions)
   integer, parameter :: lenrealexpr=5000   ! Length of array realexpress
   integer, parameter :: lenintexpr=10000   ! Length of array intexpress

   integer :: intexpress(lenintexpr) ! information about the expressions
                                     ! Each expression starts with an operator
                                     ! The following information is stored
                                     ! Operators and functions:
                                     ! -4:  )
                                     ! -3:  (
                                     ! -2:  division
                                     ! -1:  subtraction
                                     !  1:  addition
                                     !  2:  multiplication
                                     !  3:  raise to the power
                                     ! 10:  sqrt
                                     ! 11:  sin
                                     ! 12:  cos
                                     ! 13:  exp
                                     ! 14:  tan
                                     ! 15:  asin
                                     ! 16:  acos
                                     ! 17:  atan
                                     ! > 1000 and < 100000000 refers to number
                                     !      in realexpress
                                     ! > 100000000 refers to scalar

   integer :: istexpress(0:maxexpression) ! end addresses of each expression in
                                          ! intexpress
                                          ! Position 0 contains a 0
   integer :: lastrealexpr           ! Last free position in realexpress
   integer :: numexpress             ! Number of expressions stored

   double precision :: realexpress(lenrealexpr) ! real numbers corresponding
                                                ! to intexpress

end module sepmodulexpr
