      subroutine prinlc(namear,ivalue,array)
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.5  date 19-12-2014 Print buffer length if ioutp>=2
!        version  1.4  date 04-06-2007 Fortran 90
!        version  1.3  date 26-12-1994 New commons cmessc and cmessg
!
!   copyright (c) 1990-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   checks the length of by the user declared complex array
!   lengths and depending on ioutp prints the length if has been extended
! **********************************************************************
!
!                       KEYWORDS
!
!     array_length
!     check
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpif90'
      include 'SPcommon/cinoutf90'
      include 'SPcommon/cconstf90'
      include 'SPcommon/cmessgf90'
      include 'SPcommon/cmesscf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character * (*) namear
      double complex array(*)
      integer ivalue

!     array   i   Complex array to be checked
!     ivalue  i   ivalue gives the computed length of the array
!     namear  i   Name of the array to be checked
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     INSTOP  Stop the program
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
1     format(' computed array length of array ',a,' is equal to' , &
            i9,' in subroutine ',a)
2     format(' **********    error 2:  length of array ',a,' too small' &
            ,'     ***********'/ &
             '     computed array length',i8)
3     format(///' **********   errors in subroutine ',a,5x,'********')
      if ( abs(array(3))>abs(array(1)) ) array(3)=(0d0,0d0)
      if ( ivalue>abs(array(3)) ) array(3)=ivalue
      if ( abs(array(1))>=ivalue ) then

         if(ioutp>=2) write(irefwr,1) namear,ivalue,namsub(levsub)
      else
         if(ierror==0) then
            write(irefwr,3) namsub(levsub)
         end if
         write(irefwr,2) namear,ivalue
         ierror=2
         call instop
      end if
      end
