      subroutine msh602 ( istart, ibuur, i, j )
! ======================================================================
!
!        programmer    Niek Praagman
!        version  2.1  date 20-11-2013 minor change
!        version  2.0  date 03-09-2010 New release
!        version  1.3  date 13-04-2005 Update code
!
!   copyright (c) 1987-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Subroutine to fill array ibuur containing the neighbour points
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     3d
!     mesh_generation
!     tetrahedron
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer istart(*), ibuur(*), i, j

!     i       i    First point of line considered
!     ibuur   o    neighbour array
!     istart  i    array with startaddresses for neighbours of
!                  each point
!     j       i    Last point of line considered
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ist, kn, ib

!     ib       neighbour number
!     ist      helpvariable for starting number
!     kn       loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Line i - j

      if ( i==1 ) then
         ist = 1
      else
         ist = istart(i-1) + 1
      end if

      do kn = ist, istart(i)

          ib = ibuur(kn)

          if ( ib==0 ) then
             ibuur(kn) = j
             go to 1000
          else if ( ib==j ) then
             ibuur(kn) = -j
             go to 1000
          end if

      end do

1000  end
