      subroutine er0066 ( usol, igathr, ucompr, n )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.0  date 14-04-1989
!
!   copyright (c) 1989-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     General scattering subroutine, i.e. the positions of ucompr are stored
!     in usol with index igathr(i) (i=1,...,n)
!     Complex version
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, igathr(n)
      double complex usol(*), ucompr(n)

!     igathr   i    Integer array containing the indices of the positions
!                   in usol to be copied into ucompr
!     n        i    Number of entries of igathr and hence of ucompr
!     ucompr   i    Array of length n in with the array to be scattered
!     usol    i/o   Array in which the result is stored
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i        Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!        usol          = ucompr     i = 1(1) n
!            igathr(i)         i
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      do i = 1, n
         usol(igathr(i)) = ucompr(i)
      end do
      end
