      subroutine inimapcoor ( coorglob, coorloc, nodeloc, ndim, &
                              nsfnodes )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 05-06-2000
!
!   copyright (c) 2000-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Map coordinates of global mesh into local mesh using an array with
!    global node numbers corresponding to the local mesh
! **********************************************************************
!
!                       KEYWORDS
!
!     map
!     coordinate
!     global
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nsfnodes, ndim, nodeloc(*)
      double precision coorglob(ndim,*), coorloc(ndim,*)

!     coorglob       i    Array with global coordinates
!     coorloc        o    Array with local coordinates
!     ndim           i    Dimension of the space.
!     nodeloc        i    Contain the global node numbers corresponding to the
!                         local ones
!     nsfnodes       i    number of nodes in surface
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, nsfnodes
         coorloc(:,i) =coorglob(:,nodeloc(i))
      end do
      end
