      subroutine inimapint1 ( intarrglob, intarrloc, irenum, lenloc )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 15-02-2005
!
!   copyright (c) 2005-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Map integer array corresponding to global mesh into integer array
!    corresponding to local mesh using an array with
!    local node numbers corresponding to the global mesh
!    This subroutine has much in common with inimapint only the contents
!    of irenum are dfferent
! **********************************************************************
!
!                       KEYWORDS
!
!     map
!     global
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer intarrglob(*), intarrloc(*), lenloc, irenum(*)

!     intarrglob     i    Global integer array
!     intarrloc      o    Local integer array
!     irenum         i    Contain the local node numbers corresponding to the
!                         global ones
!     lenloc         i    Length of intarrloc
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, inew

!     i              Counting variable
!     inew           Local node number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     intarrloc(i) := irenum(intarrglob(i))
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, lenloc
         inew = irenum(intarrglob(i))
         if ( inew>0 ) then
            intarrloc(i) = inew
         else
            intarrloc(i) = 0
         end if
      end do
      end
