      subroutine inimapsol ( usolglob, usolloc, nodeloc, nunkp, &
                             nnodes )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 05-06-2000
!
!   copyright (c) 2000-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Map usol of global mesh into local mesh using an array with
!    global node numbers corresponding to the local mesh
! **********************************************************************
!
!                       KEYWORDS
!
!     map
!     global
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nnodes, nunkp, nodeloc(*)
      double precision usolglob(nunkp,*), usolloc(nnodes,nunkp)

!     nnodes         i    number of nodes
!     nodeloc        i    Contain the global node numbers corresponding to the
!                         local ones
!     nunkp          i    Dimension of the space.
!     usolglob       i    Array with global usoldinates
!     usolloc        o    Array with local usoldinates
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, nnodes
         usolloc(i,1:nunkp) =usolglob(1:nunkp,nodeloc(i))
      end do
      end
