      subroutine iniputrl ( realnm, wrtrecord, ilast )
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.0    date   07-03-1997
!
!
!   copyright (c) 1997-1997 "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Put real number in wrtrecord from position ilast
!   Raise ilast
! **********************************************************************
!
!                       KEYWORDS
!
!    write
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer ilast
      double precision realnm
      character *1000 wrtrecord

!     ilast     i/o   Last position used in wrtrecord
!     realnm     i    Real number
!     wrtrecord i/o   Contains record to be written
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer n, exponent, i
      double precision r

!     exponent   Exponent of real number
!     i          Counting variable
!     n          number of positions required in output record
!     r          |realnm|
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( realnm.lt.0 ) then
         wrtrecord(ilast+1:ilast+1) = '-'
         ilast = ilast+1
      end if
      r = abs(realnm)
      if ( r.le.0d0 ) then
         wrtrecord(ilast+1:ilast+1) = '0'
         ilast = ilast+1
      else
         exponent = log10(r)
         if ( exponent.gt.5 .or. exponent.lt.-5 ) then
            write(wrtrecord(ilast+1:ilast+12),100) r
100         format(ss,1e12.6e2)
            n = 12
            if ( wrtrecord(ilast+11:ilast+11).eq.'0' ) then
               wrtrecord(ilast+11:ilast+11) = &
                  wrtrecord(ilast+12:ilast+12)
               n = 11
            end if
            if ( wrtrecord(ilast+10:ilast+10).eq.'0'.or. &
                 wrtrecord(ilast+10:ilast+10).eq.'+' ) then
               wrtrecord(ilast+10:ilast+n-1) = &
                  wrtrecord(ilast+11:ilast+n)
               n = n-1
            end if
            do i = 1, 6
               if ( wrtrecord(ilast+9-i:ilast+9-i).ne.'0' ) go to 200
               wrtrecord(ilast+9-i:ilast+n-1) = &
                  wrtrecord(ilast+10-i:ilast+n)
               n = n-1
            end do
            if ( wrtrecord(ilast+2:ilast+2).eq.'.' ) then
               wrtrecord(ilast+2:ilast+n-1) = &
                  wrtrecord(ilast+3:ilast+n)
               n = n-1
            end if
200         ilast = ilast+n
         else
            write(wrtrecord(ilast+1:ilast+14),210) r
210         format(f14.6)
            n = 14
            do i = 1, 6
               if ( wrtrecord(ilast+1:ilast+1).eq.' ' ) then
                  wrtrecord(ilast+1:ilast+n-1) = &
                     wrtrecord(ilast+2:ilast+n)
                  n = n-1
               else
                  go to 250
               end if
            end do

250         do i = 1, 6
               if ( wrtrecord(ilast+n:ilast+n).ne.'0' ) go to 300
               n = n-1
            end do
            if ( wrtrecord(ilast+n:ilast+n).eq.'.' ) n = n-1
300         ilast = ilast+n

         end if

      end if

      end
