      subroutine mshdelkmeshad
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 08-12-2003
!
!   copyright (c) 2003-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Remove array kmesh part ad if it exists
!
! **********************************************************************
!
!                       KEYWORDS
!
!     delete
!     mesh
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERTRACE        Prints trace back of subroutines
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshdelkmeshad' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshdelkmeshad'
         call ertrace
         write(irefwr,1) 'iseqkm', iseqkm
  1      format ( a, 1x, (10i6) )

      end if
      if ( ierror/=0 ) go to 1000
      if ( km(iseqkm)%kmesh(52)>0 ) then
         if ( associated(km(iseqkm)%ipointobst) ) &
            deallocate ( km(iseqkm)%ipointobst )
         if ( associated(km(iseqkm)%ielemobst ) ) &
            deallocate ( km(iseqkm)%ielemobst )
         if ( associated(km(iseqkm)%icrossobst) ) &
            deallocate ( km(iseqkm)%icrossobst )
         if ( associated(km(iseqkm)%rcrossobst) ) &
            deallocate ( km(iseqkm)%rcrossobst )
         if ( associated(km(iseqkm)%obstfaces ) ) &
            deallocate ( km(iseqkm)%obstfaces )
         km(iseqkm)%kmeshad = 0
         km(iseqkm)%kmesh(52) = 0
      end if  ! ( kelmad>0 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshdelkmeshad'

      end if
      call erclos ( 'mshdelkmeshad' )

      end
