      subroutine priinsurfaces ( iinput, rinput, iinp, irinp )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 15-08-1999
!
!   copyright (c) 1999-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*), iinp, irinp
      double precision rinput(*)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, nsurfs, isurnr, isurf, ifirst, j, icurnr, ncurvs, ih
      logical paver
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      nsurfs = iinput(4)
      write(irefwr,100)
100   format(' Information of surfaces: iinput' )
      paver = .false.
      do isurnr = 1, nsurfs
         ifirst = iinp
         isurf = iinput(iinp)
         if ( isurf.eq.19 ) paver = .true.
         call msh049 ( iinput, iinp, isurf )
         ih = min(ifirst+9,iinp-1)
         write(irefwr,110) isurnr, (iinput(i), i=ifirst,ih)
110      format(i4,':  ', 10i6)
         if ( iinp-ifirst.gt.10 ) then
            write(irefwr,120) (iinput(i), i=ih+1,iinp-1)
120         format(7x, 10i6)
         end if
      end do
      write(irefwr,130)
130   format(' Information of surfaces: u1, u2, v1, v2' )
      do isurnr = 1, nsurfs
         write(irefwr,140) isurnr, (rinput(irinp-1+j),j=0,3)
         irinp = irinp+4
140      format(i4,':  ', 4d15.6 )
      end do
      if ( paver ) then

!     --- Surface generator paver found, extra information in rinput

         write(irefwr,150)
150      format(' Information of curves with respect to paver' )
         ncurvs = iinput(3)
         do icurnr = 1, ncurvs
            write(irefwr,140) icurnr, (rinput(irinp-1+j),j=0,3)
            irinp = irinp+4
         end do
      end if
      end
