      subroutine sepcopycode ( code2, nncode2, ncode2, ncodmx2 )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 20-03-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy code2 and related arrays into code
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer :: nncode2, ncode2(nncode2), ncodmx2(nncode2)
      character (len=*) :: code2(nncode2)

!     code2          i    Set of strings to be copied
!     ncode2         i    Number of significant characters in strings of code2
!     ncodmx2        i    Maximum number of characters in strings of code2
!     nncode2        i    Size of arrays
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepcopycode' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepcopycode'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      nncode = nncode2
      code(1:nncode) = code2
      ncode(1:nncode) = ncode2
      ncodmx(1:nncode) = ncodmx2

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepcopycode'

      end if  ! ( debug )
      call erclos ( 'sepcopycode' )

      end subroutine sepcopycode
