      subroutine sepcopycodemn ( codemn2, nncodemn, ncodemn2 )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 20-03-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy codemn2 and related arrays into codemain
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer :: nncodemn, ncodemn2(nncodemn)
      character (len=*) :: codemn2(nncodemn)

!     codemn2          i    Set of strings to be copied
!     ncodemn2         i    Number of significant characters in strings of codemn2
!     nncodemn         i    Size of arrays
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepcopycodemn' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepcopycodemn'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      nncodemain = nncodemn
      codemain(1:nncodemain) = codemn2
      ncodemain(1:nncodemain) = ncodemn2

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepcopycodemn'

      end if  ! ( debug )
      call erclos ( 'sepcopycodemn' )

      end subroutine sepcopycodemn
