      subroutine sepfillkprobn
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 31-01-2019
!
!   copyright (c) 2019-2019  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill parameters in module sepmodulekprob
!
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix_structure
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepfillkprobn' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepfillkprobn'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      kproba => kprobpart%kproba
      kprobc => kprobpart%kprobc
      kprobi => kprobpart%kprobi
      kprobf => kprobpart%kprobf
      kprobh => kprobpart%kprobh
      kprobhinv => kprobpart%kprobhinv
      kprobj => kprobpart%kprobj
      kprobo => kprobpart%kprobo
      kprobp => kprobpart%kprobp
      kprobr => kprobpart%kprobr
      kprobz => kprobpart%kprobz
      kprobaa => kprobpart%kprobaa
      kprobpar => kprobpart%kprobpar
      kprobper => kprobpart%kprobper
      probzarr => kprobpart%probzarr
      indpra = kprobloc(14)
      indprf = kprobloc(19)
      indprh = kprobloc(50)
      indpri = kprobloc(22)
      indprp = kprobloc(35)
      indprr = kprobloc(37)
      indprfi = indprf
      kprobfi => kprobf
      if ( indprr==0 ) then
         indprr = indprh
         kprobr => kprobh
      end if  ! ( indprr==0 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepfillkprobn'

      end if  ! ( debug )
      call erclos ( 'sepfillkprobn' )

      end subroutine sepfillkprobn
