      function sepgetnamevar ( namevar )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 01-09-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     If not a constant return with index of scalar
!     If not scalar either return with 0
!     Return with index of integer or real in module cons
! **********************************************************************
!
!                       KEYWORDS
!
!     name
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecons
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
!
      character (len=*), intent(in) :: namevar
      integer :: sepgetnamevar

!     namevar        i    Name of variable
!     sepgetnamevar  o    sequence number of scalar, real or integer at output
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: iseq

!     iseq           Sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer :: getnameint, getnamereal, getnamevar

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     GETNAMEINT     Return with sequence number of integer in incons
!     GETNAMEREAL    Return with sequence number of real in rlcons
!     GETNAMEVAR     Return with sequence number of variable in scalars
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepgetnamevar' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepgetnamevar'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      iseq = getnamevar ( namevar )
      if ( iseq>0 ) then
         iseq = iseq+maxints+maxreals
      else
         iseq = getnamereal ( namevar )
         if ( iseq>0 ) then
            iseq = iseq+maxints
         else
            iseq = getnameint ( namevar )
         end if  ! ( iseq>0 )
      end if  ! ( iseq>0 )

      sepgetnamevar = iseq

1000  call erclos ( 'sepgetnamevar' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepgetnamevar'

      end if  ! ( debug )

      end function sepgetnamevar
