      subroutine sepprintstrarr ( code, nncode, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 28-03-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print string array for debugging perposes
!
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer, intent(in) :: nncode
      character (len=*), intent(in) :: code(nncode), text

!     code           i    Array with strings to be printed
!     nncode         i    Number of entries in code
!     text           i    String variable containing some text to be printed
!                         before printing the array
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepprintstrarr' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepprintstrarr'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      write(irefwr,*) text

      do i = 1, nncode
         write(irefwr,10) i, code(i)
 10      format( i3, ' ', a )
      end do  ! i = 1, nncode

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepprintstrarr'

      end if  ! ( debug )
      call erclos ( 'sepprintstrarr' )

      end subroutine sepprintstrarr
