      subroutine sepreadnumber
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 12-04-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Read number in case iretur = -10
!     Help subroutine for sepreadsetkeyw
!     Old subroutine intx02number
! **********************************************************************
!
!                       KEYWORDS
!
!     interpret
!     keyword
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1468   Array tabout too small
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepreadnumber' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepreadnumber'
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      iposut = iposut+1
      tabout(iposut) = realrd
      iretur = iretur-1
      nseqkeyw = nseqkeyw+1
      iseqkeyw(nseqkeyw) = -iposut
      if ( debug ) &
         write(irefwr,1) 'iretur, iposut', iretur, iposut

      if ( iposut>nout ) then

!     --- Error: tabout too small

         call errint ( nout, 1 )
         call errsub ( 1468, 1, 0, 0 )

      end if  ! ( iposut>nout )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepreadnumber'

      end if  ! ( debug )
      call erclos ( 'sepreadnumber' )

      end subroutine sepreadnumber
