      subroutine startsep ( nbuf, manag )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 25-01-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     General start routine for sepran
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulexxx
      use sepmodulecons
      use sepmodulecomio
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer manag(lenmanag), nbuf

!    manag  o   Manager array that sets the parameters in subroutine
!               SEPSTR
!               See subroutine readsp
!    nbuf   i   If nbuf<0, all output is suppressed.
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer nextrecord

!     nextrecord     Defines last record read by readsp
!                    Possible values:
!                    0: none
!                    1: PROBLEM
!                    2: POSTPROCESSING
!                    3: MESH
!                    4: READ MESH
!                    5: EXTRA_MESH_INPUT
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     INIFIL         Open files
!     INITCB         Initializes SEPRAN machine-independent common blocks
!     INITMDBF       Set machine-dependent quantities
!     READSP         Reads information for subroutine SEPSTL
!     SEPLOGO        Print copyright statement of SEPRAN
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Start the SEPRAN program

      call initcb
      ioutp = 0

      call initmd

!     --- Open read and write files

      call inifil(5)
      call inifil(6)

!     --- Open standard elements file and error message file

      call inifil(1)
      call inifil(4)

      call seplogo      ! print copyright statement

!     --- Read array manag (defaults)

      if ( nbuf>=0 ) then
         manag(5) = 1000
      else
         manag(5) = -1000
      end if
      call readsp ( manag, lenmanag, nextrecord )

      end subroutine startsep
