      subroutine topq02 ( nelem, kmeshc, kmshsb, npelm, nplsub )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 31-12-1992
!
!   copyright (c) 1992-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Create a submesh consisting of triangles or quadrilaterals where
!    only the vertices are used. The original mesh must be quadratic
!    Restriction: the mesh may consist of one type of elements only
! **********************************************************************
!
!                       KEYWORDS
!
!     2d
!     create
!     mesh
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nelem, npelm, nplsub, kmeshc(npelm,nelem), &
              kmshsb(nplsub,nelem)

!     kmeshc  i    kmesh part c, contains the nodal points corresponding to the
!                  elements
!     kmshsb  o    KMESH part c corresponding to the submesh consisting of
!                  elements with vertex nodes only
!     nelem   i    Number of elements
!     npelm   i    Number of points per element
!     nplsub  i    Number of points in the submesh consisting of elements
!                  with vertex nodes only
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!     i       Counting variable
!     j       Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do 120 i = 1, nplsub
         do 100 j = 1, nelem
            kmshsb(i,j) = kmeshc(2*i-1,j)
100      continue
120   continue
      end
