      subroutine writ00 ( inum, numarr, namevc, iarray, lenarr, ifirst, &
                          lenglc, ihelp )
! ======================================================================
!
!        programmer     Niek Praagman
!        version 2.3    date  24-07-1998 include commons
!        version 2.2    date  18-12-1992 Correction error message
!        version 2.1    date  18-11-1991 new type of error messages
!
!
!
!   copyright (c) 1985-1998  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!                       DESCRIPTION
!
!   writ00 writes array iarray to file 2
!
! **********************************************************************
!
!                       KEYWORDS
!
!    write
!    backing_storage
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmodulefiles
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character *(*) namevc
      integer inum, numarr, iarray(*), lenarr, ifirst, lenglc, ihelp(*)

!      iarray  i  (part of) array to be written on file 2
!      ifirst  i  choice parameter.  Possibilities:
!                 0  the complete array is written in one call of writ00
!                 1  first call of writ00 for an array
!                 2  subsequent call of writ00 for an array
!                 3  last call of writ00 for an array
!      ihelp      work array of length nrec2 which as a buffer
!      inum    i  indication on which positions iarray must be written
!                 inum < 0  new positions
!                 inum > 0  old positions if possible
!      lenglc  i  length of this part of the array to be written
!      lenarr  i  total length of the array to be written on file 2
!      namevc  i  namevc of array to be written
!      numarr  o  array number at output
!                 is only used when inum=-1
!  *******************************************************************
!                         LOCAL PARAMETERS
      integer kstart, lh, n, iunder, i, leng, index
      save kstart, index

!     i       Counting variable
!     index   Record number from which writing must be performed
!     iunder  Actual lower index of an array
!     kstart  Last position used in IHELP
!     leng    Local length
!     lh      Old length used
!     n       number of basis functions for each component
!  *******************************************************************
!                SUBROUTINES CALLED
!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     ERRINT  Put integer in error message
!     ERRSUB  Error messages
!     WRITFL  Write array to SEPRAN direct access file
!  *******************************************************************
!
!                       ERROR MESSAGES
!
!     382   inum has incorrect value
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'writ00' )

      if(ifirst<2) then

!     --- ifirst = 0, 1  initiate

!         kstart:  last position used in ihelp

         kstart=0
         if ( inum<-1 .or. inum>1000 ) then
            call errint ( 1, inum )
            call errsub ( 382, 1, 0, 0 )
            go to 1000
         end if

         if ( inum<=0 ) then

!        --- inum < =  0   write on next free positions

!            find first free position on file 2

            iwork3(2*inew-1) = ifree2
            iwork3(2*inew) = lenarr
            numarr = inew
            inew = inew+1
            index = ifree2
         else

!        --- inum > 0, if possible write on old positions

            lh = iwork3(2*inum)

!           --- check old lenarr

            if ( lenarr>lh ) then
               iwork3(2*inum-1) = ifree2
            end if
            iwork3(2*inum) = lenarr
            numarr = inum
            index = iwork3(2*inum-1)
            inew = max(inew, inum+1)
         end if
      end if

!     --- store information in array ihelp
!         write to file 2 if necessary

      n = (kstart+lenglc)/nrec2
      iunder = 1
      do i = 1, n
         leng = nrec2-kstart

!        --- Copy iarray into ihelp

         ihelp(kstart+1:kstart+leng) = iarray(iunder:iunder+leng-1)
         iunder = iunder+leng
         kstart = 0
         call writfl(index, 1, nrec2, 1, 2, ihelp)
         index = index+1

       end do

      if ( lenglc>0 ) then

!     --- lenglc > 0 copy rest of iarray into ihelp

         leng = lenglc-iunder+1
         ihelp(kstart+1:kstart+leng) = iarray(iunder:iunder+leng-1)
         kstart = kstart+leng
      end if

      if ( ifirst==0 .or. ifirst.eq.3 ) then

!     --- ifirst  =  0 or 3  last part of array

        if ( kstart>0 ) call writfl(index, 1, kstart, 1, 2, ihelp)
        if ( inum==-1 ) write(irefwr, 10) namevc, numarr
 10     format(' array ', a, ' is stored as array number', i4)
      end if
1000  call erclos ( 'writ00' )
      end subroutine writ00
