      subroutine erfillcfrule
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 22-12-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill array iincof/rincof part integration rule and coordinate system
!
! **********************************************************************
!
!                       KEYWORDS
!
!     coefficient
!     fill
!     element_group
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulestrings
      use sepmodulecoeffs
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

!                    they are not
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     ERFILLDEFCOF3  Check if keyword is found in list of constants or scalars
!     ERFILLDEFCOF4  Check if keyword is found in list of constants or strings
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'erfillcfrule' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from erfillcfrule'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      icoef = 3  ! INTEGRATION_RULE

      if ( imark(icoef)==0 ) then

!     --- Coefficient icoef has not been filled

         call erfilldefcof3 ( codegen(2) )

      end if  ! ( imark(icoef)==0 )

      icoef = 4  ! COORDINATE_SYSTEM

      if ( imark(icoef)==0 ) then

!     --- Coefficient icoef has not been filled

        call erfilldefcof4 ( codegen(3) )

      end if  ! ( imark(icoef)==0 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End erfillcfrule'

      end if  ! ( debug )
      call erclos ( 'erfillcfrule' )

      end subroutine erfillcfrule
