      subroutine initdf
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.7  date 01-09-2006 Extension of cpost1
!        version  1.6  date 21-01-1999 Include commons
!        version  1.5  date 21-12-1991 Set type of projection
!
!   copyright (c) 1988-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Help subroutine for program SEPPOST
!   This subroutine is used to set some default values for program SEPPOST
!   The following parameters are set:
!   JMAX, XMIN, XMAX, YMIN, YMAX, ZMIN, ZMAX
!   The arrays rinputpst and iinputpst
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulepost
      use sepmodulecons
      use sepmoduleplot
      use sepmodulefiles
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!    i         General loop variable.
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Clear iinputpst and rinputpst

      do i = 1,36
         iinputpst(i) = 0
      end do
      do i = 41,43
         iinputpst(i) = 0
      end do
      do i = 46,100
         iinputpst(i) = 0
      end do
      do i = 3,9
         rinputpst(i) = 0d0
      end do
      rinputpst(15) = 0d0
      do i = 17,100
         rinputpst(i) = 0d0
      end do

!     --- Set defaults

      if ( jtimes==10 ) then

         rinputpst(1) = 0d0
         rinputpst(2) = 0d0
         jmax   = jmaxrf
         xmin   = xminrf
         xmax   = xmaxrf
         ymin   = yminrf
         ymax   = ymaxrf
         zmin   = zminrf
         zmax   = zmaxrf
         kiesx  = kiesxr
         kiesy  = kiesyr
         nstepx = nstxrf
         nstepy = nstyrf
         isigx  = isigxr
         isigy  = isigyr
         irotat = irotrf
         dcolor = dcolrf
         rinputpst(1)  = plotrf
         rinputpst(2)  = yfacrf
         rinputpst(10) = xeyerf
         rinputpst(11) = yeyerf
         rinputpst(12) = zeyerf
         rinputpst(13) = xprorf
         rinputpst(14) = yprorf
         rinputpst(16) = heigrf
         rinputpst(22) = refvrf
         iinputpst(39) = 0
         iinputpst(40) = iaxisr

      end if
      rinputpst(15) = zprorf

!     --- iinputpst(8)  = 1

      iinputpst(9)  = 2
      iinputpst(21) = isymrf
      iinputpst(22) = 1
      iinputpst(23) = 1
      iinputpst(24) = 3
      iinputpst(26) = minclr
      iinputpst(27) = maxclr
      iinputpst(28) = ibounr
      iinputpst(29) = icontr
      iinputpst(30) = innerr
      iinputpst(31) = iboldr
      iinputpst(33) = ielemr
      iinputpst(34) = inoder
      iinputpst(35) = imarkr
      iinputpst(53) = 11
      iinputpst(54) = 2
      iinputpst(55) = 3
      iinputpst(56) = 4
      iinputpst(58) = 5
      end
