      subroutine prfilltextleg ( textleg, inpsep, numvecs, seqvecs )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 12-05-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill array textleg with the text to be used in the legenda
!
! **********************************************************************
!
!                       KEYWORDS
!
!     plot
!     text
!     legenda
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecons
      use sepmoduleplot
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer, intent(in) :: inpsep(*), numvecs, seqvecs(numvecs)
      character (len=*) :: textleg(numvecs)

!     inpsep         i    The integer input read is stored in array INPSEP
!     numvecs        i    Number of vectors in seqvecs
!     seqvecs        i    Contains the sequence numbers of the vectors in isol
!     textleg        o    Contains the texts to be plotted in the legenda
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prfilltextleg' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prfilltextleg'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( inpsep(8)>0 ) then

!     --- legenda given by the user

      else

!     --- Default legenda

         do i = 1, numvecs
            textleg(i) = names(seqvecs(i))
         end do  ! i = 1, numvecs

      end if  ! ( inpsep(1)>0 )

1000  call erclos ( 'prfilltextleg' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prfilltextleg'

      end if  ! ( debug )

      end
