      subroutine prset
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.6  date 01-09-2006 Extension of cpost1
!        version  1.5  date 21-09-1991 Extension of cpost3 with refvrf
!        version  1.4  date 21-09-1991  Extension of cpost4 with colour
!
!   copyright (c) 1988-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Help subroutine for program SEPPOST
!     This subroutine is used to set some reference default values
!     for program SEPPOST to a first default
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulepost
      use sepmodulecons
      use sepmoduleplot
      use sepmodulefiles
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
!      none
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Set defaults

      jmaxrf = jmax
      xminrf = xmin
      xmaxrf = xmax
      yminrf = ymin
      ymaxrf = ymax
      zminrf = zmin
      zmaxrf = zmax
      kiesxr = kiesx
      kiesyr = kiesy
      nstxrf = nstepx
      nstyrf = nstepy
      isigxr = isigx
      isigyr = isigy
      irotrf = irotat
      dcolrf = dcolor
      plotrf = rinputpst(1)
      yfacrf = rinputpst(2)
      heigrf = rinputpst(16)
      isymrf = iinputpst(21)
      minclr = iinputpst(26)
      if ( iinputpst(27)>0 ) then
         maxclr = iinputpst(27)
      else
         maxclr = 0
      end if
      ibounr = iinputpst(28)
      icontr = iinputpst(29)
      innerr = iinputpst(30)
      iboldr = iinputpst(31)
      ielemr = iinputpst(33)
      inoder = iinputpst(34)
      imarkr = iinputpst(35)
      iaxisr = iinputpst(40)
      xeyerf = rinputpst(10)
      yeyerf = rinputpst(11)
      zeyerf = rinputpst(12)
      xprorf = rinputpst(13)
      yprorf = rinputpst(14)
      zprorf = rinputpst(15)
      refvrf = rinputpst(22)
      end
