      subroutine readalfake ( iseqprob )
! ======================================================================
!
!        programmer    Dragan Vidovic
!        version  2.0  date 20-08-2016 use sepmoduleinput
!        version  1.4  date 24-12-2014 New definition clinsl
!        version  1.3  date 15-11-2012 Long integers
!
!   copyright (c) 2005-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Made from readal by removing some code
!
! **********************************************************************
!
!                       KEYWORDS
!
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemain
      use sepmoduledebug
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iseqprob

!     iseqprob       i    Sequence number of problem input
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer nncode
      parameter ( nncode=33)  ! if changed, change fillinp
      logical nooutput

!                    they are not
!     nncode         Number of entries in code
!     nooutput       If true no output is written to the file sepcomp.out
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     INI016         Fill default structure in ISEPIN
!     SEPINITREAD    Initialize module sepmoduleinput
!     SEPPROBSTART   Fill problem input read first into isepi2/3
! **********************************************************************
!
!                       I/O
!
!    This subroutine recognizes the following input records:
!
!    MATRIX
!    CREATE
!    ESSENTIAL
!    COEFFICIENTS
!    CHANGE COEFFICIENTS
!    CHANGE_COORDINATES
!    SOLVE
!    NONLINEAR_EQUATIONS
!    END_OF_SEPRAN_INPUT
!    COMPLEX
!    OUTPUT
!    STRUCTURE
!    DERIVATIVES
!    INTEGRALS
!    BOUNDARY_INTEGRAL
!    EIGENVALUES
!    TIME_INTEGRATION
!    ADAPT_BOUNDARY
!    ADAPT_MESH
!    STATIONARY_FREE_BOUNDARY
!    INSTATIONARY_FREE_BOUNDARY
!    CONTACT
!    CAPACITY
!    LOOP_INPUT
!    INVERSE_PROBLEM
!    PROBLEM
!    ENTHALPY_INTEGRATION
!    REFINE
!    PRESSURE_CORRECTION
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'readalfake' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from readalfake'

      end if
      if ( ierror/=0 ) go to 1000

!     --- Set some general constants

      nooutput = .false.

!     Initialize module sepmoduleinput

      call sepinitread

!     --- Store the first input read for problem into the block 27

      call sepprobstart ( iseqprob )
      if ( ierror/=0 ) go to 1000

!     --- Fill structure of program in ISEPIN in case no structure is given

      call ini016 (  nooutput )

1000  call erclos ( 'readalfake' )

      end
