      subroutine readscchstruct ( istart, inpsep )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 09-03-2005 Fortran 90
!        version  1.1  date 22-11-2004 Fortran 90
!        version  1.0  date 29-11-2002
!
!   copyright (c) 2002-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Read the input following the following the keyword
!   CHANGE_STRUCTURE
!   with respect to subroutine readsc
!   The input is stored in array inpsep and the real array rinsep
! **********************************************************************
!
!                       KEYWORDS
!
!     read
!     matrix_structure
!     change
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      use sepmoduletexts
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer istart, inpsep(*)

!     inpsep        i/o   The integer input read is stored in array INPSEP
!                         This part contains:
!                         2: Sequence number COMMAT input
!     istart        i/o   Next free position in inpsep
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPREADSETKEYW Interpret a record containing keywords followed by data
! **********************************************************************
!
!                       I/O
!
!       CHANGE_STRUCTURE_OF_MATRIX, SEQ_STRUCTURE = s
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'readscchstruct' )

      inpsep(istart) = icode

      nncode = 2
      code(1) = 'SEQ_STRUCTURE'
      code(2) = 'SEQ_STORAGE'
      ncode(1:2) = 7
      ncodmx(1) = 13
      ncodmx(2) = 11
      itype(1:2) =  0
      tabmin(1:2) = 1d0
      tabmax(1:2) = 10d0
      table(1) = 0d0
      table(2) = 1d0
      iretur = 0
      nmain = 0
      call sepreadsetkeyw
      if ( ierror/=0 ) go to 1000

      inpsep(istart+1) = nint(table(1))
      inpsep(istart+2) = nint(table(2))
      istart = istart + 3

1000  call erclos ( 'readscchstruct' )

      end subroutine readscchstruct
