      subroutine sepps2sub2 ( ivec )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 25-11-2012 Long integers
!        version  1.0  date 22-11-2006
!
!   copyright (c) 2006-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Multiply vector by constant and add constant to vector
!
! **********************************************************************
!
!                       KEYWORDS
!
!     add
!     multiplication
!     vector
!     constant
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulevecs
      use sepmodulepost
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ivec

!     ivec           i    Sequence number of vector in isol
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer indsol, nusol

!     indsol         Sequence number of vector in isol
!     nusol          Total number of unknowns
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRMULTADD      Compute alpha usol + beta and store in usol
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepps2sub2' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepps2sub2'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Find sequence number in isol

      indsol = imapsol(ivec,itimst)

!     --- Compute starting address

      usoltemp => ks(isol(indsol))%sol

!     --- Perform action

      nusol = ks(isol(indsol))%nusol
      call prmultadd ( nusol, rinputpst(46), usoltemp, rinputpst(47) )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepps2sub2'

      end if  ! ( debug )
      call erclos ( 'sepps2sub2' )

      end subroutine sepps2sub2
