      subroutine msh069 ( iinput, ihelp, iinp3 )
! ======================================================================
!
!        programmer   Guus Segal
!        version 2.0    date   02-02-1997 Extra parameter iinp3
!        version 1.1    date   11-06-1994 extension for smoothed rectangle
!        version 1.0    date   09-10-1991
!
!
!   copyright (c) 1991-1997  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                       DESCRIPTION
!
!      Put the parameters nx and ny into array ihelp position 2 and 3
!      MSH069 is used by subroutine msh068
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     mesh_generation
!     surface
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer iinput(*), ihelp(*), iinp3

!     ihelp    o    Work array to store input required by subroutine msh059
!                   The positions 2 to 3 must be filled in the following way:
!                   2:   the parameter n for a "rectangular" grid
!                   3:   the parameter m for a "rectangular" grid
!     iinp3    i    first pos. iinput definition surfaces
!     iinput   i    Standard input array for subroutine MESH
!                   Is used from position 6
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ndefsf, isurf, n, m

!     isurf      Type of surface with respect to mesh generator
!     m          number of integration points
!     n          number of basis functions for each component
!     ndefsf     Number of curves along the boundary
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      isurf = iinput(iinp3)
      if ( isurf.eq.1 .or. isurf.eq.17 ) then

         ndefsf = iinput(iinp3+2)
         n = iinput(iinp3+ndefsf+3)
         m = iinput(iinp3+ndefsf+4)
         ihelp(2) = n
         ihelp(3) = m

      end if
      end
