      subroutine mshact010
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.3  date 25-11-2012 Long integers
!        version  1.2  date 20-10-2008 Allow isurf = 24
!        version  1.1  date 15-11-2004 ini091 --> sepcreatebuf
!
!   copyright (c) 2001-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Activate subarrays of kmesh part h used by msh010
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     mapping_array
!     topology
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer isurnr, npointlc, isurf, ivolnr

!     isurf          Type of surface with respect to mesh generator
!     isurnr         Surface sequence number
!     ivolnr         Volume sequence number
!     npointlc       Local number of points
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshact010' )
      if ( nvolms>0 ) then

!     --- nvolms>0, standard situation

         do isurnr = 1, nsurfs

            isurf = kmeshs2(1,isurnr)
            if ( isurf==24 ) isurf = 7
            if ( kmeshh(4,isurnr+1)<0 .and. isurf/=7 .and. &
                 isurf/=11 .and. isurf/=12 ) then

!           --- Activate "kmeshc"

               npointlc = kmeshh(1,isurnr+1)

!              --- Create array mapar

               kmeshh(4,isurnr+1) = abs(kmeshh(4,isurnr+1))
               if ( kmeshh(3,isurnr+1)>0 ) &
                  deallocate ( kmhsur(isurnr)%maparsur )
               allocate ( kmhsur(isurnr)%maparsur(npointlc) )
               kmeshh(3,isurnr+1) = npointlc

            end if

         end do

      else

!     --- nvolms = 0, special situation

         do isurnr = 1, nsurfs

            isurf = kmeshs2(1,isurnr)
            if ( isurf==24 ) isurf = 7
            if ( kmeshh(4,isurnr+1)<0 .and. isurf/=7 .and. &
                 isurf/=11 .and. isurf/=12 ) then

               npointlc = kmeshh(1,isurnr+1)

!              --- Create array mapar

               kmeshh(4,isurnr+1) = abs(kmeshh(4,isurnr+1))
               if ( kmeshh(3,isurnr+1)>0 ) &
                  deallocate ( kmhsur(isurnr)%maparsur )
               allocate ( kmhsur(isurnr)%maparsur(npointlc) )
               kmeshh(3,isurnr+1) = npointlc

            end if

         end do

      end if

!     --- Now consider the volumes that have not been treated yet

      do ivolnr = 1, nvolms

         isurnr = ivolnr+nsurfs
         if ( kmeshh(5,isurnr+1)<0 ) then

!        --- Read "kmeshc" into iwork

            npointlc = kmeshh(1,isurnr+1)

!           --- Create array mapar

            kmeshh(4,isurnr+1) = abs(kmeshh(4,isurnr+1))
            if ( kmeshh(3,isurnr+1)>0 ) &
               deallocate ( kmhsur(isurnr)%maparsur )
            allocate ( kmhsur(isurnr)%maparsur(npointlc) )
            kmeshh(3,isurnr+1) = npointlc

         end if

      end do
      call erclos ( 'mshact010' )

      end
