      subroutine mshchacr1 ( numnodes, icall, itypepos, icurvs, &
                             ifirst, ilast )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 02-09-2010 Remove intarmsh
!        version  1.0  date 24-08-2010
!
!   copyright (c) 2010-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Overestimate numnodes for subroutine mshchacr
!     This is used to declare arrays iwork and nodes
! **********************************************************************
!
!                       KEYWORDS
!
!     estimate
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      use sepmodulemesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer numnodes, icall, itypepos, icurvs(*), ifirst, ilast

!     icall          i    See subroutine mshchacr
!     icurvs         i    See subroutine mshchacr
!     ifirst         i    First curve (surface) number read
!     ilast          i    Last curve (surface) number read
!     itypepos       i    Type of position parameter
!                         See subroutine mshchacr
!     numnodes       o    Number of nodal points in array nodes
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer istart

!     istart         First position used at a part
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshchacr1' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshchacr1'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( icall==5 .and. mod(itypepos,100)==0 ) then

!     --- itypepos = 0, all points

         numnodes = npoint

      else if ( icall==5 .and. itypepos==1 .or. &
                icall==1 .and. itypepos==101 ) then

!     --- itypepos = 1, user points from ifirst to ilast

         numnodes = ilast-ifirst+1

      else if ( icall==5 .and. &
                (itypepos>=2 .and. itypepos<=4 .or. itypepos==101) ) then

!     --- itypepos = 2, curves from ifirst to ilast

         numnodes = npoint

      else if ( icall==2 .and. itypepos==102 ) then

!     --- itypepos = 102, curves from ifirst to ilast

         if ( ifirst==1 ) then
            istart = 0
         else
            istart = icurvs(ifirst-1)
         end if
         numnodes = icurvs(ilast)-istart

      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshchacr1'

      end if  ! ( debug )
      call erclos ( 'mshchacr1' )

      end
