      subroutine mshg04(jbuure,jbuura,levelp,ja,np,npoint,kelem,inpelm, &
                        jaelm,nelem)
      integer jbuure(*), jbuura(*), levelp(*), ja(*), kelem(*), &
              jaelm(*)
! ****************************************************************
! * &
! *   subroutine for the generation of levels in the finite
! *   element domain
! * &
! ****************************************************************
!
!
!        programmer   Niek Praagman
!        version 1.1    date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1.0    date   11-02-1985
!        version 1.1    date   17-02-1989  Deletion of superfluous parameters
!
!
!
!   copyright (c) 1985,1989  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
! * &
! * &
! *   input / output
! * &
! *   jbuure      (i)  :  array containing the adjacent elements of the
! *                       nodal points
! *   jbuura      (i)  :  addresses where the adjacent elements of each
! *                       point start
! *   ja               :  helparray of npoint positions
! *   levelp      (o)  :  array containing the nodal point numbers
! *                       of the levels
! *   np          (i)  :  number of corner points in domain, &
! *                       in linear case np=npoint
! *   npoint      (i)  :  number of points in domain
! *   kelem       (i)  :  array containing the elements
! *   inpelm      (i)  :  number of nodal points in element
! *   jaelm            :  helparray of nelem positions
! *   nelem       (i)  :  number of elements in mesh
! * &
! ******************************************************************
! * &
      do 10 i=1,npoint
          ja(i)=1
10    continue
      do 20 i=1,nelem
         jaelm(i)=1
20    continue
! * &
! *   start with point 1
! * &
      ja(1)=0
      lp=1
      levelp(lp)=1
      levela=0
      levelb=1
      nb=1
! * &
! *   determine next level
! * &
100   continue
      itot=nb
      nb=0
      do 300 i=1,itot
! * &
          ikn=levelp(levela+i)
          if (ikn.gt.np) goto 300
! * &
! *   determine neighbours of ikn
! * &
         j1=1
         if (ikn.ne.1) j1=jbuura(ikn-1)+1
         j2=jbuura(ikn)
         if ((j1-1).eq.j2) goto 300
         do 200 j=j1,j2
             ielem=jbuure(j)
             if (jaelm(ielem).eq.1) then
                 jaelm(ielem)=0
! *  nodal points in element
                 k=(ielem-1)*inpelm
                 do 150 ih=1,inpelm
                     ibp=kelem(k+ih)
                     if (ja(ibp).eq.1) then
                          lp=lp+1
                          levelp(lp)=ibp
                          nb=nb+1
                          ja(ibp)=0
                     end if
150              continue
! *  end of loop through element
            end if
200      continue
! *  end of loop through adjacent elements
300   continue
! * &
! *   number of neighbours of this level is nb
! * &
      if (nb.eq.0) then
         goto 400
      else
         levela=levelb
         levelb=levelb+nb
         goto 100
      end if
! * &
400   continue
! * &
! *   nb=0 , hence ready
! * &
      end
