      subroutine  mshg12 ( bcord, nbcrd, nbndpt )
! ======================================================================
!
!        programmer    Niek Praagman
!        version  2.0  date 25-02-2001 extra parameter nbcrd
!        version  1.1  date 07-09-1990 renamed version of msho36
!        version  1.0  date 17-06-1990
!
!   copyright (c) 1990-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Subroutine to reorder the points of a boundary by making a
!   transformation X => -X.
!   As a result BCORD goes from clockwise to counterclockwise and
!   vice versa.
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     counter_clockwise
!     boundary
!     coordinate
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nbndpt, nbcrd
      double precision bcord(nbcrd,*)

!     bcord      i    coordinate array for boundary points
!     nbcrd      i    first dimension of bcord
!     nbndpt     i    number of points in boundary, bcord has length
!                     nbndpt + 1 because last point is first point
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i          Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, nbndpt
         bcord(1,i) = -bcord(1,i)
      end do

      end
