      subroutine mshlns ( iinput, infel, lengpc, new, rinput )
! ======================================================================
!
!        programmer    Guus Segal
!        version  9.0  date 02-09-2010 Remove intarmsh
!        version  8.1  date 01-08-2001 new definition kmesh part h
!        version  8.0  date 02-02-1997 Extra parameter intarmsh
!
!   copyright (c) 1984-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     fill the line elements in kmesh part c  and fill first part of
!     coordinate array coor
!     a part of the arrays kmeshl and kmeshm is filled
!     the first four positions of infel are filled
!     the contents of kmesh part c are written on file 3
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh_generation
!     line_element
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      use sepmodulemesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*), infel(*), lengpc
      double precision rinput(*)
      logical new

!     iinput     i    integer input array
!     infel     i/o   array containing some information of how the elements
!                     created are stored on file 3
!     lengpc     i    computed length of kmesh part c
!     new        i    indication whether the mesh is new (true) or not
!     rinput     i    input array rinput
!                     the first position must correspond to the first
!                     co-ordinate of the first user point
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i          Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     MSH016         Compute the line elements
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshlns' )
      do i = 1, 4
         infel(i)=0
      end do
      if ( nlines==0 ) go to 1000
      call msh016 ( iinput, lengpc, new, rinput )
      if( new ) then

!     --- fill information in infel

         infel(2)=lengpc

      end if
      infel(4)=inodp-1

1000  call erclos ( 'mshlns' )
      end subroutine mshlns
