      subroutine msho80( ndim, coor, npoint, rinput )
! ======================================================================
!
!        programmer     Niek Praagman
!        version 1.0    date   27-06-1996
!
!
!
!   copyright (c) 1996-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill coordinate array in case of an unstructured mesh while the
!     boundary nodes have been given
! **********************************************************************
!
!                       KEYWORDS
!
!     unstructured
!     coordinate
!     2d
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer ndim, npoint
      double precision coor(ndim, npoint), rinput(ndim, npoint)

!     coor    o    array with all coordinates of the nodes
!     ndim    i    dimension of Euclidian space considered
!     npoint  i    total number of nodes in array coor
!     rinput  i    coordinates of unstructured nodes as given by user
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i , j

!     i       loop variable
!     j       loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Place all user supplied points in coor
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do 200 i = 1 , ndim

      do 100 j = 1 , npoint

         coor( i, j ) = rinput( i, j )

100   continue

200   continue

      end
