      subroutine mshp06 ( kbndpt, linear, m, n )
! ======================================================================
!
!        programmer   Niek Praagman
!        version 1.2  date    09-02-1997 Remove celiar
!        version 1.1  date    22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1.0  date    04-01-1988
!
!
!
!   copyright (c) 1988-1997  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Fill array KBNDPT with nodal point numbers of boundary
!    for surface generator PIPE SURFACE
!    Two generating curves
! **********************************************************************
!
!                       KEYWORDS
!
!    mesh
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer kbndpt(*), linear, m, n

!     kbndpt    i/o   array containing the nodal point numbers of the boundary
!     linear     i    Indicates whether the element is a linear simplex (true)
!                     or not (false)
!     m          i    Parameter for mesh generation
!     n          i    Parameter for mesh generation
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, m2, ih, j

!     i          Counting variable
!     ih         Help variable to store a constant temporarily
!     j          Counting variable
!     m2
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- First under boundary

      m2=linear*m+1
      do i=1,m2
         kbndpt(i)=i
      end do

!     --- Next upper boundary

      ih=n*m2*linear
      do i=1,m2
         kbndpt(i+m2)=ih+i
      end do

!     --- First generating curve

      ih=2*m2
      do j=1,n*linear+1
         kbndpt(ih+j)=m2*(j-1)+1
      end do

!     --- Last generating curve

      ih=ih+n*linear+1
      do j=1,n*linear+1
         kbndpt(ih+j)=m2*j
      end do

      end
