      subroutine mshr19 ( kbndpt, numnp1, numnp2, inpelm )
! ======================================================================
!
!        programmer   Guus Segal
!        version 3.2  date   22-08-1994 Extension with inpelm = 5
!        version 3.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 3    date   05-05-1987
!
!
!
!   copyright (c) 1984-1994  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!                         DESCRIPTION
!
!    fill array kbndpt  for subroutine msher1
!
! ********************************************************************
!
!                      KEYWORDS
!
!     mesh
!     mesh_generation
!     surface
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none

      integer kbndpt(*), numnp1, numnp2, inpelm

!     inpelm  i    number of points per element
!     kbndpt  o    array containing the nodal point numbers of the boundary
!     numnp1  i    number of points in first direction minus one
!     numnp2  i    number of points in second direction minus one
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer i, iextra, ihkbn, ihtel, j, m, n, n1, n2, n3, nh, nh1

!     i       Counting variable
!     iextra  Extra number of nodes because of centroid points in a row
!     ihkbn   ?
!     ihtel   ?
!     j       Counting variable
!     m       number of points in 2-direction
!     n       number of points in 1-direction
!     n1      ?
!     n2      ?
!     n3      ?
!     nh      ?
!     nh1     ?
! ********************************************************************
!
!                    SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
      if ( inpelm.lt.10 ) then

!     --- inpelm < 10

         n1=numnp1+1
         nh1=n1
         if ( inpelm.eq.5 ) then
            iextra = numnp1
         else if ( inpelm.eq.7 ) then
            iextra = numnp1/2
         else
            iextra = 0
         end if

         nh1=n1+iextra
         n3=numnp2-1

!        --- first row

         do 100 i=1,n1
100         kbndpt(i)=i

!        --- first column

         do 110 j=1,n3
110         kbndpt(n1+j)=j*nh1+n1

!        --- last row

         n2=n1+n3
         nh=nh1*(n3+1)+1+n1
         do 120 i=1,n1
120        kbndpt(n2+i)=nh-i

!        --- last column

         n2=n2+n1
         nh=n3+1
         do 130 j=1,n3
130         kbndpt(n2+j)=1+nh1*(nh-j)
         kbndpt(n2+n3+1)=1

      else

!     --- inpelm = 10

         n=numnp1/3
         m=numnp2/3
         do 200 i=1,numnp1+1
200         kbndpt(i)=i
         ihkbn=numnp1+1
         ihtel=3*n+1
         do 210 j=1,m
            kbndpt(ihkbn+1)=ihtel+2*n+1
            kbndpt(ihkbn+2)=ihtel+6*n+2
            ihtel=ihtel+9*n+3
            ihkbn=ihkbn+3
210         kbndpt(ihkbn)=ihtel
         do 220 i=1,n
            kbndpt(ihkbn+1)=ihtel-1
            kbndpt(ihkbn+2)=ihtel-2
            ihtel=ihtel-3
            ihkbn=ihkbn+3
220         kbndpt(ihkbn)=ihtel
         do 230 j=1,m
            kbndpt(ihkbn+1)=ihtel-(2*n+1)
            kbndpt(ihkbn+2)=ihtel-(6*n+2)
            if(j.ne.m) then
               ihtel=ihtel-(9*n+3)
               ihkbn=ihkbn+3
               kbndpt(ihkbn)=ihtel
            end if
230      continue
         kbndpt(ihkbn+3)=1

      end if

      end
