      subroutine mshv06(i,jmog,sleng,ri,n)
      implicit double precision (a-h,o-z)
! ***********************************************************************
! *                                                                     * &
! *   subroutine mshv06 determines the number of nodal points to be     * &
! *   created between points (relative numbering ) i and jmog .         * &
! *                                                                     * &
! *                                                                     * &
! ***********************************************************************
!                                                                       * &
!                                                                       * &
!         programmer   niek praagman                                    * &
!         version 2    date  14-12-1985                                   * &
!                                                                       * &
!                                                                       * &
!                                                                       * &
!   copyright (c) 1984  "ingenieursbureau sepra"                        * &
!   permission to copy or distribute this software or documentation     * &
!   in hard or soft copy granted only by written license obtained       * &
!   from "ingenieursbureau sepra".                                      * &
!   all rights reserved. no part of this publication may be reproduced, * &
!   stored in a retrieval system (e.g. , in memory, disk or core)       * &
!   or be transmitted by any means, electronic, mechanical, photocopy,  * &
!   recording, or otherwise, without written permission from the        * &
!   publisher.                                                          * &
!                                                                       * &
! ***********************************************************************
! *                                                                     * &
! *  input / output :                                                   * &
! *                                                                     * &
! *  i , jmog      (i)  : nodal point numbers (relative in this polygon)* &
! *  sleng         (i)  : length of line i-jmog                         * &
! *  ri            (i)  : mean value of coarseness in i and jmog        * &
! *  n             (o)  : number of points to be created                * &
! *                                                                     * &
! ***********************************************************************
! * &
! *  if i+jmog even then an odd number of points has to be created
! *  between these two points , in the other situation an even number
! *  of intermediate points.
! * &
      n=(i+jmog)/2
! * &
      n=i+jmog-n*2
! * &
! *   n = 0 means i+jmog is even , n = 1 means i+jmog is odd
! * &
      if ( n.eq.0 ) goto 100
! * &
! *   create an even number of points
! * &
      a=sleng/ri
      n=0
! * &
10    continue
! * &
      if ( a.lt.2.75d0 ) return
! * &
      n=n+2
      a=a-2d0
      goto 10
! * &
100   continue
! * &
! *   create an odd number of points
! * &
      a=sleng/ri
      n=1
! * &
110   continue
! * &
      if ( a.lt.3.75d0 ) return
! * &
      n=n+2
      a=a-2d0
      goto 110
! * &
      end
