      subroutine mshz18 ( iQ, newb, n1, n2, n3, n4 )
!
! **********************************************************************
!
!       programmer      Zdenek Vlasek
!       version 1.1     date 31-07-1990  extra parameters n1..n4
!       version 1.0     date 14-02-1990
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                  PURPOSE
!
!     To change the values iQ(2..13) in the record iQ ( see mshz21 ), &
!     when a new first side of the boundary of the quadrilateral is
!     selected.
!     To update n1=iQ(2), n2=iQ(3), n3=iQ(4), n4=iQ(5).
!
!     The orientation of the boundary is not influenced
!
! **********************************************************************
!
!                  INPUT / OUTPUT  PARAMETERS

      integer iQ ( 13 ), newb, n1, n2, n3, n4

!     iQ      io    Integer array of length 13.
!                   The first part of the record, see mshz21.
!     newb    i     One of values 1, 2, 3, 4.
!                   The new first side is the old side newb
!     n1,n2,n3,n4
!             o     On output there are iQ(2..5)
!
! **********************************************************************
!
!                  LOCAL VARIABLES

      integer iR ( 13 ), i, inew, iold, iplus

!     iR     Integer array of the same structure as iQ.  It keeps the
!            old values iQ(2..13)
!     i      Loop control
!     inew   New value of iQ(2..5)
!     iold   Old value of iQ(2..5)
!     iplus  Shift from  2..5  to  2..5  or to  6..9  or to  10..13
!
! **********************************************************************
!

      do 10 i = 2, 13
         iR ( i ) = iQ (i )
   10 continue

      do 30 inew = 2, 5

         iold = inew + ( newb - 1 )
         if ( iold.gt.5 ) iold = iold - 4

         do 20 iplus = 0, 8, 4
            iQ ( inew + iplus ) = iR ( iold + iplus )
   20    continue

   30 continue

      n1 = iQ(2)
      n2 = iQ(3)
      n3 = iQ(4)
      n4 = iQ(5)

      end
