      subroutine chanbn ( ichois, number, icrv1, icrv2, kmeshlc, kproblc, &
                          isol, iinput, rinput, iuser, user )
      use sepmodulesol
      use sepmodulemain
      use sepmodulekmesh
      use sepmodulekprob
      implicit none
      integer kmeshlc, kproblc, isol, iuser(*), iinput(*), icrv1, &
              icrv2, number, ichois
      double precision user(*), rinput(*)
      integer itypvc, inpada(17), jchoi1, jchoi2, kchois, &
              numcrv, i, iseqvecs(1)
      double precision rinada(4)
      logical changed, changeinput
      integer, allocatable :: icurves(:)
      double precision :: timebefore(2)
      call eropen ( 'chanbn' )
      if ( itime>0 ) call ersettime ( timebefore )

      kprob2d(1) = kproblc
      kprob => kprob2d(1)
      iseqkp = kprob
      kprobpart => kp(iseqkp)%kprobsub(1)
      kprobloc => kprobpart%kprobloc
      call sepfillkprob

      kmesh2d(1) = kmeshlc
      kmesh => kmesh2d(1)
      call sepfillkmesh(kmesh)

!     --- checks of the parameters

      if ( ichois==0 .or. ichois<-12 .or. ichois>3312 ) then
         call errint ( ichois, 1 )
         call errsub ( 1, 1, 0, 0)
      end if
      kchois=ichois
      jchoi2=(kchois+12)/1000
      if ( kchois>=2988) then
         kchois=kchois-3000
      else if ( kchois>=1988) then
         kchois=kchois-2000
      else if ( kchois>= 988) then
         kchois=kchois-1000
      end if
      jchoi1=(kchois+12)/100
      if ( kchois>=288) then
         kchois=kchois-300
      else if ( kchois>=188) then
         kchois=kchois-200
      else if ( kchois>= 88) then
         kchois=kchois-100
      end if
      if ( kchois==0 .or. kchois<-12 .or. kchois>12 ) then
         call errint ( kchois, 1 )
         call errsub ( 1, 1, 0, 0)
      end if
      itypvc = ks(isol)%typevec
      if ( itypvc/=110 .and. itypvc/=115 ) then
         call errint ( ks(isol)%typevec, 1 )
         call errsub ( 60, 1, 0, 0)
      end if
      if ( icrv1<1 .or. icrv1>ncurvs ) then
         call errint ( icrv1, 1 )
         call errint ( ncurvs, 2 )
         call errsub ( 185, 2, 0, 0)
      end if
      if ( icrv2<icrv1 .or. icrv2>ncurvs ) then
         call errint ( icrv2, 1 )
         call errint ( icrv1, 2 )
         call errint ( ncurvs, 3 )
         call errsub ( 186, 3, 0, 0)
      end if

      numcrv = icrv2-icrv1+1

!     --- Reserve space for array icurves

      allocate ( icurves(numcrv), stat = error )
      if ( error/=0 ) call eralloc ( error, numcrv, 'icurves' )
      if ( ierror/=0 ) go to 1000

!     --- Fill array icurvs

      do i = 1, numcrv
         icurves(i) = icrv1+i-1
      end do

!     --- Fill array inpada

      inpada(1) = 17
      inpada(2) = numcrv
      inpada(3) = 0
      inpada(5) = 1
      kchois = abs(kchois)
      if ( kchois<=2 ) then
         if ( ichois<0 ) then
            inpada(4) = 2
         else
            inpada(4) = 1
         end if
      else if ( kchois<=6 ) then
         inpada(4) = 3
         if ( ichois<0 ) inpada(5) = -1
      else if ( kchois<=10 ) then
         inpada(4) = 4
         if ( ichois<0 ) inpada(5) = -1
      else
         inpada(4) = 5
         if ( ichois<0 ) inpada(5) = -1
      end if
      if ( inpada(4)==2 ) then
         inpada(6) = 1
      else
         inpada(6) = number
      end if
      if ( mod(kchois,2)==0 ) then
         inpada(7) = 2
      else
         inpada(7) = 1
      end if
      if ( kchois==5 .or. kchois==6 .or. kchois==9 .or. &
           kchois==10 ) then
         inpada(8) = 2
      else
         inpada(8) = 1
      end if
      inpada(9) = jchoi1
      inpada(10) = jchoi2
      if ( user(1)>=6d0 .and. iuser(1)>=6 .and. iuser(6)==1 ) then
         rinada(1) = user(6)
         inpada(11) = 2
      else
         inpada(11) = 0
      end if
      if ( user(1)>=7d0 .and. iuser(1)>=7 .and. iuser(7)==1 ) then
         rinada(2) = user(7)
         inpada(12) = 1
      else
         inpada(12) = 0
      end if
      if ( user(1)>=8d0 .and. iuser(1)>=8 .and. iuser(8)==1 ) then
         rinada(3) = user(8)
         inpada(13) = 1
      else
         inpada(13) = 0
      end if
      if ( user(1)>=9d0 .and. iuser(1)>=9 .and. iuser(9)==1 ) then
         rinada(4) = user(9)
         inpada(14) = 1
      else
         inpada(14) = 0
      end if
      inpada(15) = 0
      inpada(16) = 0
      inpada(17) = 0

!     --- actual call of body

      iseqvecs(1) = 1
      call msh056 ( inpada, rinada, isol, &
                    iinput(6), rinput(6), icurves, 1, 1, &
                    changed, changeinput, 1, iseqvecs )

      deallocate ( icurves, stat = error )
      if ( error/=0 ) call erdealloc ( error, 'icurves' )

1000  call erclmn ( 'chanbn', timebefore )
      end subroutine chanbn
