      subroutine mshcr08 ( coorol, coornw, u, npoint, amult )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 29-12-2008 Fortran 90
!        version  1.0  date 08-09-1997
!
!   copyright (c) 1997-2008  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Compute the co-ordinates of the new boundary in msh047 in the case
!   iadapt = 8 i.e. x_new = x_old + factor u, with u constant
! **********************************************************************
!
!                       KEYWORDS
!
!     adapt_boundary
!     free_boundary
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer npoint
      double precision coorol(2,npoint), coornw(2,npoint), u(2), amult

!     amult      i    Multiplication factor
!     coornw     o    Array containing the new co-ordinates along the boundary
!     coorol     i    Array containing the old co-ordinates along the boundary
!     npoint     i    Number of nodal points along the boundary
!     u          i    Velocity vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision alpha

!     alpha      Multiplication factor
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!    The co-ordinates along the boundary are updated according to the
!    formula:
!    x_new(i) = x_old(i) + factor u
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      alpha = amult*u(1)
      coornw(1,:) = coorol(1,:) + alpha
      alpha = amult*u(2)
      coornw(2,:) = coorol(2,:) + alpha

      end
