      subroutine mshnegsurf ( nelloc, ishape, inplmt, kbndpt, ikelmc )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 24-11-2004 Fortran 90
!        version  1.0  date 13-11-2002
!
!   copyright (c) 2002-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Reorder array kbndpt for negative subsurfaces of a compound
!     surface
! **********************************************************************
!
!                       KEYWORDS
!
!     compound_surface
!     ordering
!     reordering
!     surfaces
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nelloc, ishape, inplmt, kbndpt(*), ikelmc

!     ikelmc         i    position in kmesh part c
!     inplmt         i    Number of points in element of surface corresponding
!                         to volume
!     ishape         i    Shape number of elements
!     kbndpt        i/o   array containing the nodal point numbers of the
!                         boundary
!     nelloc         i    Local number of elements
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, k, istore(10)

!     i              Counting variable
!     istore         Work array to store the nodes of one element
!     k              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshnegsurf' )
      do i = 1, nelloc

         if ( ishape.le.5 ) then

!        --- ishape = 3, 4, 5 all points must be reversed
!            start with first one

            do k = 2, inplmt
               istore(k) = kbndpt(ikelmc+k)
            end do

            do k = 2, inplmt
               kbndpt(ikelmc+inplmt+2-k) = istore(k)
            end do

         else

!        --- ishape > 5 last point must be kept

            do k = 2, inplmt-1
               istore(k) = kbndpt(ikelmc+k)
            end do

            do k = 2, inplmt-1
               kbndpt(ikelmc+inplmt+1-k) = istore(k)
            end do

         end if
         ikelmc = ikelmc+inplmt

      end do
      call erclos ( 'mshnegsurf' )
      end
