      subroutine mshobstms2d06a ( trianglenode, trianglenodenew, &
                                  edgenode )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.3  date 20-09-2006 Correction subdivision
!        version  1.2  date 19-05-2005 Reset of edgenode
!        version  1.1  date 07-04-2004 Extension of edgenode (RvL)
!        version  1.0  date 27-12-2001 Copied from mshobstms2d06
!
!   copyright (c) 2001-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Subdivide triangle into four triangles
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     obstacle
!     intersection
!     linear
!     triangle
!     subdivision
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer trianglenode(3), trianglenodenew(12), edgenode(3,3)

!     edgenode        i   Array with nodes on the crossed edges
!                         edgenode(1,i): first node on the i-th crossed edge
!                         edgenode(2,i): last node on the i-th crossed edge
!                         edgenode(3,i): new node on the i-th crossed edge
!     trianglenode    i   Array of nodal point numbers of the corners of
!                         the original triangle
!     trianglenodenew o   Array of nodal point numbers of the corners of
!                         the new triangles.
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Find the local position of the edgenodes
!     If the angles a1 and a2 and a3<90 subdivide as follows
!
!
!                        t3
!     case 1             /\
!     a1,a2,a3<90     /  \
!                      /    \
!                     /      \
!                e3  /_______ \ e2
!                   /\a3    a2/\
!                  /  \      /  \
!                 /    \    /    \
!                /      \a1/      \
!               /        \/        \
!              ---------------------- &
!             t1         e1          t2
!
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      trianglenodenew(1) = trianglenode(1)
      trianglenodenew(2) = edgenode(3,1)
      trianglenodenew(3) = edgenode(3,3)
      trianglenodenew(4) = edgenode(3,1)
      trianglenodenew(5) = edgenode(3,2)
      trianglenodenew(6) = edgenode(3,3)
      trianglenodenew(7) = trianglenode(2)
      trianglenodenew(8) = edgenode(3,2)
      trianglenodenew(9) = edgenode(3,1)
      trianglenodenew(10) = trianglenode(3)
      trianglenodenew(11) = edgenode(3,3)
      trianglenodenew(12) = edgenode(3,2)

      end
