      subroutine mshparcoor ( coorglob, npointloc, coorloc, ndim, &
                              points )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 03-02-2003
!
!   copyright (c) 2003-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill array coorloc with the coordinates of the nodes by extracting from
!     the global mesh
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     coordinate
!     2d
!     3d
!     parallel
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer npointloc, ndim, points(*)
      double precision coorglob(ndim,*), coorloc(ndim,*)

!     coorglob       i    Array with the coordinates of the global mesh
!     coorloc        o    Array with the coordinates of the local mesh
!     ndim           i    Dimension of the space.
!     npointloc      i    Number of points in local mesh
!     points         i    Array of size npointloc containing the node
!                         numbers corresponding to the local mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, node, j

!     i              Counting variable
!     j              Counting variable
!     node           Node number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Copy coordinates from global to local array
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshparcoor' )

!     --- Copy coordinates from global to local array

      do i = 1, npointloc
         node = points(i)
         do j = 1, ndim
           coorloc(j,i) = coorglob(j,node)
         end do
      end do  ! i = 1, npointloc

      call erclos ( 'mshparcoor' )
      end
