      subroutine mshrmiobgrd
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 13-11-2003 Extension for 3D obstacles (RvL)
!        version  1.0  date 01-12-2002
!
!   copyright (c) 2002-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Remove all arrays iobgrid from array kmeshx
!
! **********************************************************************
!
!                       KEYWORDS
!
!     remove
!     obstacle
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer iobst

!     iobst          Obstacle sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshrmiobgrd' )

!     --- Store all memory management sequence numbers mmiobgrd of obstacles
!         in mmiobgrd

      do iobst = 1, numobst

         if ( kmeshx(2,iobst)>0 ) then

!        --- curve number positive, mmiobgrd exists

            if ( ndim==2 .and. kmeshx(5,iobst)>0 ) then

               deallocate ( km(iseqkm)%kmobst(iobst)%iobgrid2d, &
                            km(iseqkm)%kmobst(iobst)%iobgrid2d1 )
               kmeshx(5,iobst) = 0

            else if ( ndim==3  .and. kmeshx(6,iobst)>0) then

               deallocate ( km(iseqkm)%kmobst(iobst)%iobgrid3d )
               kmeshx(6,iobst) = 0

            end if

         end if

      end do

      call erclos ( 'mshrmiobgrd' )
      end subroutine mshrmiobgrd
