      subroutine mshwritereal ( irefc, text, realarr, lenrealarr )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 04-02-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Write real array to file irefc
!
! **********************************************************************
!
!                       KEYWORDS
!
!     write
!     write_mesh
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer irefc, lenrealarr
      double precision realarr(*)
      character *(*) text

!     irefc          i    dataset reference number for reading (>0 formatted, &
!                         <0 unformatted)
!     lenrealarr     i    Length of array realarr
!     realarr        i    Array containing the reals to be written
!     text           i    String variable containing some text
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshwritereal' )

      if ( irefc.ge.0 ) then

!     --- irefc > 0, formatted

         write(irefc,100) text
100      format(a)
         write(irefc,110) lenrealarr
110      format(10i8)
         write(irefc,120) (realarr(i),i=1,lenrealarr)
120      format(1x, 3e19.10)

      else

!     --- irefc < 0, unformatted

         write(-irefc) text
         write(-irefc) lenrealarr
         write(-irefc) (realarr(i),i=1,lenrealarr)

      end if
      call erclos ( 'mshwritereal' )
      end
