      subroutine sepmshnorms
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 28-03-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Compute normals on boundary and store in array normal
!     Old subroutine mshnorms
! **********************************************************************
!
!                       KEYWORDS
!
!     2d
!     3d
!     boundary
!     outer_boundary
!     normal_vector
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPMSHNORM2D   Compute normals on boundary in R^2 and store in array
!                    normal
!     SEPMSHNORM3D   Compute normals on boundary in R^3 and store in array
!                    normal
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepmshnorms' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepmshnorms'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( ndim==2 ) then

!     --- ndim = 2

         call sepmshnorm2d

      else if ( ndim==3 ) then

!     --- ndim = 3

         call sepmshnorm3d

      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepmshnorms'

      end if
      call erclos ( 'sepmshnorms' )

      end subroutine sepmshnorms
