      subroutine mshrefpar7 ( coorglob, coorloc, mapping, npointlocold, &
                              npointlocnew, ndim )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 29-04-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy local coordinates of submesh in coorglobnew
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     refine
!     parallel
!     node
!     coordinate
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer mapping(*), npointlocold, npointlocnew, ndim
      double precision coorglob(ndim,*), coorloc(ndim,npointlocnew)

!     coorglob       o    Array with the coordinates of the global mesh
!     coorloc        i    Array with the coordinates of the local mesh
!     mapping        i    contains global node numbers for old mesh
!     ndim           i    Dimension of the space.
!     npointlocnew   i    Number of local points in new mesh
!     npointlocold   i    Number of local points in old mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshrefpar7' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshrefpar7'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      coorglob(:,mapping(npointlocold+1:npointlocnew)) = &
         coorloc(:,npointlocold+1:npointlocnew)

1000  call erclos ( 'mshrefpar7' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshrefpar7'

      end if  ! ( debug )

      end
