      subroutine er0002(vector,nunkp,npoint,text)
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.5  date 09-06-2010 Change of layout
!        version  2.4  date 22-06-2000 Remove pages
!        version  2.3  date 22-08-1991 Zdenek: no dimension, cdc, ce
!
!   copyright (c) 1982-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   print array   nunkp positions in each row; npoint rows
!   layout=4
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     coordinate
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character text *(*)
      double precision vector(*)
      integer nunkp, npoint

!     npoint     i    Number of nodal points
!     nunkp      i    Maximum number of unknowns in a point
!     text       i    text to be printed in the heading
!     vector     i    array to be printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, inodp, iunder, iupper, nh, nunh

!     i          Counting variable
!     inodp      Nodal point number
!     iunder     Lower bound of array
!     iupper     Upper bound of array
!     nh
!     nunh
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- print array   nunkp positions in each row; npoint rows
!         layout=4

  2   format(' vector ',a)
  4   format(i8,2x,5(ss,1pe14.6e2))
  5   format(10x,5(ss,1pe14.6e2))

      write(irefwr,2) text
      if ( nunkp<=5 ) then

!     --- nunkp<=5

         iunder=1
         nunh=nunkp-1
         do inodp=1,npoint
            iupper=iunder+nunh
            write(irefwr,4) inodp,(vector(i),i=iunder,iupper)
            iunder=iupper+1
         end do

      else

!     --- nunkp>5

         iunder=1
         nh=nunkp-5
         do inodp=1,npoint

            iupper=iunder+4
            write(irefwr,4) inodp,(vector(i),i=iunder,iupper)
            iunder=iupper+1
            iupper=iupper+nh
            write(irefwr,5) (vector(i),i=iunder,iupper)
            iunder=iupper+1
         end do

      end if

      end
