      subroutine er0033(iwork,n,number,kprobf)
! ======================================================================
!
!        programmer    Guus Segal
!        version  3.2  date 30-11-2012 Long integers
!        version  3.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  3.0  date 28-01-1986
!
!   copyright (c) 1985-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     delete points where degrees of freedom number is not available
!     for iwork
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kprobf(*), iwork(*), n, number

!     iwork         i/o   array containing the nodal point numbers where the
!                         degrees of freedom are defined
!     kprobf         i    KPROB part f: contains the number of unknowns per
!                         point accumulated
!     n             i/o   number of nodal points in iwork
!     number         i     degree of freedom to be checked
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer iknpt, istart, inunkp, i

!     i              Counting variable
!     iknpt          Nodal point number
!     inunkp         Number of degrees of freedom in point
!     istart         First position used at a part
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      istart=0
      do i=1,n
         iknpt=iwork(i)
         inunkp=kprobf(iknpt+1)-kprobf(iknpt)
         if(number<=inunkp) then
            istart=istart+1
            iwork(istart)=iknpt
         end if
      end do
      n=istart
      end
