      subroutine incmvc ( n, vect1, vect2, eps, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 07-04-1991
!
!   copyright (c) 1991-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!       incmvc compares the arrays VECT1, and VECT2, &
!       and prints the difference between the two, if any
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n
      double precision vect1(*), vect2(*), eps
      character *(*) text

!     eps     i   All differences between the matrix that are larger than
!                 eps are printed
!     n       i   Number of rows in INTMT1/2
!     text    i   Text to be printed in case of a difference
!     vect1   i   First vector to be compared.
!     vect2   i   Second vector to be compared.
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      logical headin
      integer i

!    headin    Indicates if a heading must be printed (true) or not (false)
!    i         General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      headin = .true.
      do 200 i = 1, n
         if ( abs(vect1(i)-vect2(i)).gt.eps ) then
            if ( headin ) then
               write(irefwr,100) text
100            format(//' Differences found in'/1x,a//)
               headin = .false.
            end if
            write(irefwr,120) i, abs(vect1(i)-vect2(i))
120         format('Element', i6,'  difference:',ss, 1pe12.4e2 )
         end if
200   continue
      end
