      subroutine intbou ( iintbn, rintbn, kmeshlc, kproblc, ivectr, value )
      use sepmodulemain
      use sepmodulekmesh
      use sepmodulevecs
      use sepmodulekprob
      implicit none
      integer iintbn(*), kmeshlc, kproblc, ivectr
      double precision rintbn(*), value(*)
      integer iintlc(7), icrv1, icrv2, idim, numcrv, i
      logical compl
      integer, allocatable :: icurvs(:)
      call eropen ( 'intbou' )
      kmesh2d(1) = kmeshlc
      kprob2d(1) = kproblc
      kmesh => kmesh2d(1)
      kprob => kprob2d(1)

!     --- Fill array iintlc

      call erintg ( iintbn, iintlc, icrv1, icrv2 )

      numcrv = iintlc(7)

!     --- Reserve space for array icurvs

      allocate ( icurvs(numcrv), stat = error )
      if ( error/=0 ) call eralloc ( error, numcrv, 'icurvs' )
      if ( ierror/=0 ) go to 1000

      iprob = ks(ivectr)%iprob
      iseqkp = kprob
      kprobpart => kp(iseqkp)%kprobsub(iprob)
      call sepfillkprob

!     --- Fill array icurvs

      idim = iintlc(5)
      iintlc(5) = abs(idim)
      if ( idim>0 ) then

!     --- Standard direction

         if ( icrv2>icrv1 ) then
            do i = 1, numcrv
               icurvs(i) = icrv1+i-1
            end do
         else
            do i = 1, numcrv
               icurvs(i) = icrv2-i+1
            end do
         end if

      else

!     --- Reversed direction

         if ( icrv2>icrv1 ) then
            do i = 1, numcrv
               icurvs(i) = -(icrv2-i+1)
            end do
         else
            do i = 1, numcrv
               icurvs(i) = -(icrv1+i-1)
            end do
         end if

      end if

      if ( ierror/=0 ) go to 1000

      iprob  = ks(ivectr)%iprob

      if ( iintlc(2)/=9 ) call sepactsolbf2 ( ivectr )

!     --- Actual computation

      if ( ndim==2 ) then

!     --- ndim = 2, integral over curves

         call er0058 ( iintlc, ivectr, icurvs, value )

      else

!     --- ndim = 3, integral over surfaces

         usoltemp => ks(ivectr)%sol
         compl = ks(ivectr)%compl==1
         call er0070 ( iintlc, usoltemp, icurvs, value, compl )

      end if

      deallocate ( icurvs, stat = error )
      if ( error/=0 ) call erdealloc ( error, 'icurvs' )

1000  call erclos ( 'intbou' )

      end subroutine intbou
