      subroutine intcop02 ( iunk, usol, usolcop, indprp, kprobf, &
                            kprobp, minnode, maxnode, npoint )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 15-02-1998 Remove indprh and kprobh
!        version  1.0  date 01-01-1997
!
!   copyright (c) 1997-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Copy usolcop into usol for the points in the range minnode, maxnode
!
! **********************************************************************
!
!                       KEYWORDS
!
!     interpolation
!     mesh
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iunk, indprp, kprobf(*), npoint, &
              kprobp(npoint,*), minnode, maxnode
      double precision usol(*), usolcop(*)

!     indprp     i    Indication if array kprob part p has been filled (1)
!                     or not (0)
!     iunk       i    Sequence number of unknown
!     kprobf     i    KPROB part f: contains the number of unknowns per point
!                     accumulated
!     kprobp     i    SEPRAN array KPROB part p containing the positions of the
!                     the unkowns per point
!     maxnode    i    Maximum nodal point number in part
!     minnode    i    Minimum nodal point number in part
!     npoint     i    Number of nodal points
!     usol      i/o   Solution vector
!     usolcop    i    Vector to be copied
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer nodp, ih, ih1

!     ih         Help variable to store a constant temporarily
!     ih1        Help variable to store a constant temporarily
!     nodp       Nodal point sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( indprp.gt.0 ) then

!     --- Array kprobp has been filled

         do nodp = minnode, maxnode
            ih = kprobp(nodp,iunk)
            if ( ih.ne.0 ) usol(ih) = usolcop(nodp)
         end do

      else

!     --- Array kprobp has not been filled

         ih = kprobf(minnode)
         do nodp = minnode, maxnode
            ih1 = kprobf(nodp+1)
            if ( ih1-ih.ne.0 ) then
               ih = ih+iunk
               usol(ih1) = usolcop(nodp)
            end if
         end do
      end if
      end
