      subroutine intcopcompl03 ( iunk, usol, usolcop, &
                                 minnode, maxnode, inunk )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 12-10-2001 Complex variant of intcop03
!
!   copyright (c) 2001-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Copy usolcop into usol for the points in the range minnode, maxnode
!
! **********************************************************************
!
!                       KEYWORDS
!
!     interpolation
!     mesh
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iunk, minnode, maxnode, inunk
      double complex usol(*), usolcop(*)

!     inunk      i    number of unknowns
!     iunk       i    Sequence number of unknown
!     maxnode    i    Maximum nodal point number in part
!     minnode    i    Minimum nodal point number in part
!     usol      i/o   Solution vector
!     usolcop    i    Vector to be copied
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer nodp, ih1

!     ih1        Help variable to store a constant temporarily
!     nodp       Nodal point sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do nodp = minnode, maxnode
         ih1 = (nodp-1)*inunk
         ih1 = ih1+iunk
         usol(ih1) = usolcop(nodp)
      end do
      end
