      subroutine pr0000
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.9  date 11-12-2017 Replace probdf by probdfext
!        version  1.8  date 30-11-2012 Long integers
!        version  1.7  date 13-05-2011 Debug statements
!
!   copyright (c) 1982-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     print kprob parts b and i
!
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     natural_boundary_condition
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ibound, iielem, inelem, inpelm, ikelm, ikelm1

!     ibound
!     iielem         Relative element number in element group
!     ikelm
!     inelem         Number of elements in a specific element group
!     inpelm         number of points per element
! **********************************************************************
!
!                       SUBROUTINES CALLED
!

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPIACTIVATE   Reactivate existing array in IBUFFR
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'pr0000' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from pr0000'
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( numnat==0 .or. kprobloc(22)==0 ) go to 1000

      kprobb => kprobpart%kprobb

      write(irefwr,100)
100   format(' boundary elements:')

      ikelm = 1
      do ibound = 1,numnat
         inelem = kprobb(ibound)
         inpelm = kprobj(ibound,1)

         if ( debug ) &
            write(irefwr,1) 'ibound, inelem, inpelm', &
                             ibound, inelem, inpelm

         write(irefwr,110) ibound
110      format(' standard boundary element sequence number',i6)
         do iielem = 1,inelem
            ikelm1 = ikelm+inpelm-1
            write(irefwr,120) iielem,kprobi(ikelm:ikelm1)
120         format(i6,':',1x,10i8/(8x,10i8))
            ikelm = ikelm1+1
         end do
      end do  ! ibound = 1,numnat

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End pr0000'

      end if  ! ( debug )
      call erclos ( 'pr0000' )

      end
