      subroutine pr0005 ( nbound, intmt1, intmt2, ishift )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.2  date 20-05-2015 Skip zero rows
!        version  2.1  date 01-11-1996 Also print 2nd line (BvR)
!        version  2.0  date 31-03-1991 Extra parameter ishift
!
!   copyright (c) 1982-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    print second part of array intmat
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer intmt1(*), intmt2(*), nbound, ishift

!     intmt1   i  first part of array intmat part 2
!     intmt2   i  second part of array intmat part 2
!     ishift   i  Shift for printing of row numbers
!     nbound   i  number of boundary conditions
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ih, ikbnd, nbnd, m, i

!     i          Counting variable
!     ih         Help variable to store a constant temporarily
!     ikbnd      ?
!     m          ?
!     nbnd       ?
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      ih = intmt1(1)
      do ikbnd = 1, nbound
         nbnd = intmt1(ikbnd+1)-ih
         m = min(10, nbnd)
         if ( nbnd>0 ) then
            write(irefwr, 2) ikbnd+ishift, (intmt2(ih+i), i = 1,m)
  2         format(1x, i6, ':', 1x, 10i6)
            if(m.lt.nbnd) write(irefwr, 3) (intmt2(ih+i), i = m+1,nbnd)
  3         format(9x, 10i6)
            ih = ih+nbnd
         end if  ! ( nbnd>0 )
      end do  ! ikbnd = 1, nbound
      end
