      subroutine  prindiagmat ( matr )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 20-08-2007 Correction type error
!        version  1.0  date 21-02-2001
!
!   copyright (c) 2001-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print a diagonal matrix
!
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix
!     print
!     diagonal
!     diagonal_matrix
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleintmat
      use sepmodulemain
      use sepmodulematr
      use sepmodulekprob
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer, intent(in) :: matr

!     matr    i   Standard SEPRAN array containing information of the matrix
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: i
      type (intmatrix), pointer :: IM
      type (globmat), pointer :: A
      double precision, pointer :: amat(:)

!     A              Structure of type globmat containing the necessary
!                    information of the matrix
!     amat           Refers to matrix
!     IM             Refers to intmt(intmat)
!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!        Print diagonal matrix
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prindiagmat' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prindiagmat'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      A => realmt(matr)
      IM => intmt(A%intmatref)
      amat => A%S_ii

      IM => intmt(intmat)
      nrusol = IM%nrusol

      write(irefwr,*) 'Diagonal matrix, without boundary conditions'
      write(irefwr,*) 'Diagonal number followed by value'

!     --- indprh = 0, print diagonal matrix

      write(irefwr,100) (i,amat(i),i=1,nrusol)
100   format ( (5(1x,i4,':',ss,1pe10.3e2)) )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prindiagmat'

      end if  ! ( debug )
      call erclos ( 'prindiagmat' )

      end subroutine prindiagmat
