      subroutine prindiffarr ( iarray, nfirst, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 21-06-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of an array with the following structure
!     Pos. 1 to nfirst+1 pointers, iarray(1) = nfirst+1
!     Rest: contents
!     Only the information from the contents part is printed
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     array
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iarray(*), nfirst
      character *(*) text

!     iarray         i    Array to be printed
!                         The following structure is assumed:
!                         Pos. 1 to nfirst+1: pointers
!                         Pos. 1: nfirst+1
!                         Pos. nfirst+1: Last position of array
!                         Rest contain the actual information
!     nfirst         i    Length of pointers part-1
!     text           i    String variable containing a text to be printed
!                         before the integer array is printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istart, j, num

!     i              Counting variable
!     istart         First position used at a part
!     j              Counting variable
!     num            Number of numbers to be printed
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write(irefwr,*) text
      istart = iarray(1)
      do i = 1, nfirst
         num = iarray(i+1) - istart
         if ( num.gt.0 ) then

!        --- Contents found, print and raise istart

            write(irefwr,100) i, (iarray(istart+j), j = 1, num)
100         format ( i5, 100i7 )
            istart = istart+num

         end if
      end do
      end
