      subroutine prinelmfaces ( ielem )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 30-11-2012 Long integers
!        version  1.0  date 11-02-2002
!
!   copyright (c) 2002-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print all faces corresponding to an element
!
! **********************************************************************
!
!                       KEYWORDS
!
!     face
!     element
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer :: ielem

!     ielem          i    Element number of element to be printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ipstart, i, nface_elm

!     i              Counting variable
!     ipstart        Starting address in array
!     nface_elm      Number of faces per element
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPFILLKMESHAA Fill first part of array KMESH part aa
!     SEPFILLNMESHA  Fill array nmesha
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Activate array
!     Compute starting address
!     Actual printing
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinelmfaces' )

!     --- Activate array

      if ( kelmaa==0 ) call sepfillkmeshaa
      if ( nmesh(31)==0 ) call sepfillnmesha

!     --- Actual printing

      ipstart = nmesha(ielem)
      nface_elm = nmesha(ipstart)
      write ( irefwr,100 ) ielem, (nmesha(ipstart+i), i=1,nface_elm)
100   format ( 'Faces corresponding to element ', i8, ' are'/ &
               (10i8) )

      call erclos ( 'prinelmfaces' )

      end
