      subroutine prinin2c ( iarray, m, n, text, icomp )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 05-02-2000
!
!   copyright (c) 2000-2000  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Auxiliary help subroutine only meant for debugging purposes
!   The task of prinin2c is to print an integer array in the
!   form   seq. number:  n numbers etc.
!   Only the component icomp is printed, i.e.:
!   iarray(icomp,.)
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, m, iarray(m,n), icomp
      character *(*) text

!    iarray   i  integer array to be printed
!    icomp    i  component to be printed
!    m        i  Number of entries of the integer array to be printed per line
!    n        i  Number of lines of the integer array to be printed
!    text     i  Text to be printed in the heading
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!    i          General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!    - &
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 ) text, (i,iarray(icomp,i),i=1,n)
100   format(1x,a/(5(i7,':',i7)))

      end
