      subroutine prininnonzero1 ( iwork, lenwork )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 30-03-2005
!
!   copyright (c) 2005-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print a series of integers where zeros are replaced by spaces
!
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     integer
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iwork(*), lenwork

!     iwork          i    integer array containing the integers to be printed
!     lenwork        i    Number of entries in array iwork
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, numpos, istart, iend
      character (len=240) line

!     i              Counting variable
!     iend           Last position of integer in line
!     istart         First position of integer in line
!     line           line to be printed
!     numpos         Number of positions per integer
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     INICHKARLEN    Check length of array and give error message 550 of
!                    array is too small
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prininnonzero1' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prininnonzero1'

      end if
      if ( ierror/=0 ) go to 1000

!     --- Check available space in line

      numpos = 6
      call inichkarlen ( lenwork*numpos, 240, 'line' )
      if ( ierror/=0 ) go to 1000

!     --- Fill line

      line = ' '   ! set to spaces
      istart = 1
      iend = numpos

      do i = 1, lenwork

         if ( iwork(i)/=0 ) then

!        --- Fill if not zero

            write(line(istart:iend),200) iwork(i)
200         format(i6)

         end if  ! ( iwork(i)/=0 )
         istart = istart+numpos
         iend = iend+numpos

      end do  ! i = 1, lenwork

!     --- Print

      write(irefwr,210) line(1:lenwork*numpos)
210   format(a)

1000  call erclos ( 'prininnonzero1' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prininnonzero1'

      end if

      end
