      subroutine prinioutercs
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 09-01-2004
!
!   copyright (c) 2004-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print array ioutercurvs or ioutersurfs, depending on the dimension
!
! **********************************************************************
!
!                       KEYWORDS
!
!     array
!     print
!     outer_boundary
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer nparts, ipart, istart, nouter
      character *14 text

!     ipart          Sequence number of part
!     istart         First position used at a part
!     nouter         Number of outer curves in a part
!     nparts         number of parts the boundary consists of
!     text           String variable containing some text
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRININ         print 1d integer array
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinioutercs' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prinioutercs'

      end if
      if ( ierror.ne.0 ) go to 1000
      if ( ndim.eq.2 ) then

!     --- ndim = 2, outer curves

         text = 'outer curves'

      else

!     --- ndim = 3, outer surfaces

         text = 'outer surfaces'

      end if
      nparts = outerboun(1)

!     --- Loop over various parts

      do ipart = 1, nparts
         write(irefwr,*) 'part ', ipart
         istart = outerboun(1+ipart)
         nouter = outerboun(istart)
         call prinin ( outerboun(istart+1), nouter, text )
      end do  ! ipart = 1, nparts

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prinioutercs'

      end if
      call erclos ( 'prinioutercs' )

      end
