      subroutine prinsurfcoor1 ( coor, nodes, nnodes )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 25-03-2009
!
!   copyright (c) 2009-2009  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the coordinates of surface isurnr in R^3
!
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     surface
!     coordinate
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nnodes, nodes(nnodes)
      double precision coor(3,*)

!     coor           i    array of length 3 x npoint containing the
!                         co-ordinates of the nodal points with respect to the
!                         global numbering
!     nnodes         i    Number of nodes in array nodes
!     nodes          i    Contains the node numbers that must be printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, inode

!     i              Counting variable
!     inode          Node sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinsurfcoor1' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prinsurfcoor1'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      write(irefwr,*) '   node        x           y            z'

      do i = 1, nnodes
         inode = nodes(i)
         write(irefwr,100) inode, coor(1:3,inode)
100      format ( i8, 3d13.5 )
      end do  ! i = 1, nnodes

1000  call erclos ( 'prinsurfcoor1' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prinsurfcoor1'

      end if  ! ( debug )

      end
