      subroutine printuser
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 19-08-2013
!
!   copyright (c) 2013-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of the arrays iuser and user
!     corresponding to iuser1/2
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleuser
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPACTIVATE   Reactivate existing array in IBUFFR
!     PRININ         print 1d integer array
!     PRINRL         Print 1d real vector
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'printuser' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from printuser'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- activate and print arrays

      if ( associated(iuser) ) then

!     --- iuser1>0, array iuser exists

         call prinin ( iuser, size(iuser), 'iuser' )

      end if  ! ( iuser1>0 )

      if ( associated(user) ) then

!     --- iuser2>0, array user exists

         call prinrl ( user, size(user), 'user' )

      end if  ! ( iuser1>0 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End printuser'

      end if  ! ( debug )
      call erclos ( 'printuser' )

      end subroutine printuser
