      subroutine prsepblockelgs ( numlayers )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 27-01-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Write part element groups to output file
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer numlayers

!     numlayers      i    Number of blocks that are created
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i
      double precision vars(numlayers)
      character (len=80) text

!     i              Counting variable
!     text           String variable containing some text
!     vars           Contains real variables
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     GETCONSTAR     Get the values of a set of reals in the block constants
!                    with name realname
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prsepblockelgs' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prsepblockelgs'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      call getconstar ( 'kappa', vars, numlayers )

      write(irefwr,*) 'meshvolume'

      do i = 1, numlayers

         write(text,100) i, i, vars(i)
100      format ( '   velm', i3, ' = ( v', i3, ', real_property 1 = ', &
                  d12.4, ')' )
         write(irefwr,*) text

      end do  ! i = 1, numlayers

1000  call erclos ( 'prsepblockelgs' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prsepblockelgs'

      end if  ! ( debug )

      end
