      subroutine prsepblockprob ( numlayers )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 05-02-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Write part problem to problem file
!
! **********************************************************************
!
!                       KEYWORDS
!
!     write
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer numlayers

!     numlayers      i    Number of blocks that are created
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prsepblockprob' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prsepblockprob'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      write(irefwr,*) 'problem'
      write(irefwr,*) '   types'

      do i = 1, numlayers
         write(irefwr,100) '      elgrp', i, ' = 800'
100      format ( a, i2, a )
      end do  ! i = 1, numlayers

      write(irefwr,*) '   essbouncond'
      write(irefwr,*) '      surfaces(s1)'
      write(irefwr,*) 'end'

1000  call erclos ( 'prsepblockprob' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prsepblockprob'

      end if  ! ( debug )

      end
