      subroutine prsepblockvols ( numlayers )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 27-01-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer numlayers

!     numlayers      i    Number of blocks that are created
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, icount, jcount, j
      character (len=80) text

!     i              Counting variable
!     icount         Counter
!     j              Counting variable
!     jcount         Counter
!     text           String variable containing some text
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prsepblockvols' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prsepblockvols'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      write(irefwr,*) 'volumes'

      write(irefwr,*) '   v1 = brick  shape_vol (s1,s2,s3,s4,s5,s6)'

      icount = 1
      jcount = 6
      do i = 2, numlayers

         write(text,100) icount+1, jcount, (jcount+j, j=1,5)
100      format ( '   v', i3, ' =  brick  shape_vol( s', i3, ',s', &
                  i3, ',s', i3, ',s', i3, ',s', i3, ',s', i3, ' )' )
         write(irefwr,*) text

         icount = icount+1
         jcount = jcount+5

      end do  ! i = 2, numlayers

1000  call erclos ( 'prsepblockvols' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prsepblockvols'

      end if  ! ( debug )

      end
