      subroutine prsw06c1 ( iformat, inodes, nnodes, usol )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 27-12-2006
!
!   copyright (c) 2006-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the solution for subroutine PRINVC
!     complex case
!     Special case, do not print coordinates
!     One unknown to be printed
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     complex
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer inodes(*), nnodes, iformat
      complex * 16 usol(*)

!     iformat        i    Format used for printing
!                         1: e13.5
!                         2: e16.8
!                         3: e13.5, one node per line
!                         4: e16.8, one node per line
!     inodes         i    Array containing the nodal point numbers for which
!                         printing must be performed
!     nnodes         i    Number of nodes in inodes
!     usol           i    Solution vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
!     Print of vector
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prsw06c1' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prsw06c1'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( iformat==1 ) then
         write(irefwr,220) (inodes(i), usol(i), i=1,nnodes)
      else if ( iformat==2 ) then
         write(irefwr,221) (inodes(i), usol(i), i=1,nnodes)
      else if ( iformat==3 ) then
         write(irefwr,222) (inodes(i), usol(i), i=1,nnodes)
      else
         write(irefwr,223) (inodes(i), usol(i), i=1,nnodes)
      end if
220   format((1x,2(i5,':',ss,2('(',1pe13.5e2,',',1pe13.5e2,1x,')',2x))))
221   format((1x,2(i5,':',ss,2('(',1pe16.8e2,',',1pe16.8e2,1x,')',2x))))
222   format((1x, (i5,':',ss,2('(',1pe13.5e2,',',1pe13.5e2,1x,')',2x))))
223   format((1x, (i5,':',ss,2('(',1pe16.8e2,',',1pe16.8e2,1x,')',2x))))

1000  call erclos ( 'prsw06c1' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prsw06c1'

      end if  ! ( debug )

      end
