      subroutine sepheading1 ( ichoice )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 07-11-2019
!
!   copyright (c) 2019-2019  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print heading: coordinates values
!
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     real
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer, intent(in) :: ichoice

!     ichoice        i    Integer choice parameter
!                         0: do not use node numbers
!                         1: use node numbers
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      character (len=60) :: textloc
      integer :: lentext

!     lentext        Number of characters in text
!     textloc        String to store a local text
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepheading1' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepheading1'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      textloc = ' '
      lentext = 0
      if ( ichoice==1 ) then

!     --- ichoice = 1, use node number

         textloc(7:10) = 'node'
         lentext = 10

      end if  ! ( ichoice==1 )
      textloc(lentext+8:lentext+8) = 'x'
      lentext = lentext+20
      if ( ndim>=2 ) then
         textloc(lentext+1:lentext+1) = 'y'
         lentext = lentext+13
      end if  ! ( ndim>=2 )
      if ( ndim==3 ) then
         textloc(lentext+1:lentext+1) = 'z'
         lentext = lentext+10
      end if  ! ( ndim==3 )
      lentext = lentext
      textloc(lentext+1:lentext+7) = 'values'
      lentext = lentext+7
      write(irefwr,100) textloc(1:lentext)
100   format ( a/ )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepheading1'

      end if  ! ( debug )
      call erclos ( 'sepheading1' )

      end subroutine sepheading1
