      subroutine sepintelinit
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 06-06-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     initialize some parameters for one element group in subroutine integr
!
! **********************************************************************
!
!                       KEYWORDS
!
!     initialization
!     integral
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      use sepmodulebuild
      use sepmoduleelm
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!

! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepintelinit' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepintelinit'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      notvec = 0
      ifirst = 0
      nsubel = 1

      ishape = sepgetshape(ielgrp)
      inelem = sepgetinelem(ielgrp)
      inpelm = sepgetinpelm(ielgrp)
      itype = kprobc(ielgrp)

      if ( itype<=0 ) go to 1000

      icount = sepfillcountvc ( E%islold(iseqin), ielgrp )

      E%icount = icount
      E%last = 0
      E%ielgrp = ielgrp

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepintelinit'

      end if  ! ( debug )
      call erclos ( 'sepintelinit' )

      end subroutine sepintelinit
