      subroutine sepprinkmeshc
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 22-02-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     print kmesh parts c and g
!     Old subroutine pr0003
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: inpelm, ielgrp, iielem, ikelm1, ikelm, i, ielem

!    i         General loop variable
!    ielem     Actual element sequence number
!    ielgrp    Actual element group sequence number
!    iielem    Relative element number with respect to element group
!    ikelm     Starting address in array KMESHC
!    ikelm1    Starting address in array KMESHC
!    inpelm    number of nodal points in elements of element group
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      ikelm  = 1
      write(irefwr, 1)
  1   format(' internal elements:')
      ielem = 0
      do ielgrp = 1, nelgrp
         inelem = Topgrp(ielgrp)%inelem
         inpelm = Topgrp(ielgrp)%inpelm
         write(irefwr, 2) ielgrp
  2      format(' standard element sequence number', i6/ &
                ' absolute/relative el.number     nodes'/)
         do iielem = 1, inelem
            ikelm1 = ikelm+inpelm-1
            write(irefwr,3) ielem+iielem, iielem, (kmeshc(i), i=ikelm, &
                  min(ikelm1, ikelm+9))
            if(ikelm+9.lt.ikelm1) write(irefwr,4) (kmeshc(i),i=ikelm+10, &
                       ikelm1)
  3         format(i8,i6,':',5x,10i6)
  4         format(20x,10i6)
            ikelm = ikelm1+1
         end do
         ielem = ielem + inelem
      end do
      end
