      subroutine sepprinkprobh
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 16-01-2019
!
!   copyright (c) 2019-2019  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print kprob part r in case the number of degrees of freedom per points is
!     not constant
!     Old subroutine prinkprobn
! **********************************************************************
!
!                       KEYWORDS
!
!     array
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, inunkp, istart

!     i              Counting variable
!     inunkp         Number of degrees of freedom in point
!     istart         First position used at a part
!     j              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      istart = 0
      do i = 1, npoint
         inunkp = kprobf(i+1) - istart
         if ( inunkp>0 ) then
            write(irefwr,100) i, (kprobh(istart+j),j=1,inunkp)
100         format( i6,':',5x, (100i6) )
         end if
         istart = kprobf(i+1)
      end do
      end
