      subroutine sepprinnmeshi
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 08-04-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of array nmesh part i
!     Face numbers connected to the edges
!     Old subroutine prinnmeshi
! **********************************************************************
!
!                       KEYWORDS
!
!     edge
!     face
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istart, iedge, numfaces

!     i              Counting variable
!     iedge          edge sequence number
!     istart         First position used at a part
!     numfaces       number of faces connected to edge
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 )
100   format ( 'Face numbers connected to edges'/ )
      do iedge = 1, nedges
         istart = nmeshi(iedge)
         numfaces = nmeshi(istart)
         write ( irefwr, 110 ) iedge, &
            (nmeshi(istart+i), i = 1, numfaces )
110      format ( i6,':', 40i7 )
      end do
      end
