      subroutine to0025 ( itype, ifirst, ipos, istfl1, ielgrp )
! ======================================================================
!
!        programmer    Jaap van der Zanden
!        version  2.1  date 19-10-1992 Correction call to readfl
!        version  2.0  date 30-04-1992 Removal of name
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  0.1  date 27-08-1984
!
!   copyright (c) 1984-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     information from backing storage (file 1) is stored in array istfl1
!     for a standard problem with standard problem number > 99
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulefiles
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer itype, ifirst, ipos, istfl1(*), ielgrp

!     ielgrp     i    element group number
!     ifirst     i    ifirst=0  istfl1 is filled by subroutine for the first
!                               time
!                     ifirst=1  is set by subroutine after processing istfl1
!     ipos       o    position in istfl1 where information about standard
!                     problem itype starts
!     istfl1    i/o   array (length : two records of file1)
!     itype      i    type number of standard element
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer jtype, krcst1, krcst2

!     jtype
!     krcst1
!     krcst2
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS    Resets old name of previous subroutine of higher level
!     EROPEN    Produces concatenated name of local subroutine
!     ERRINT    Put integer in error message
!     ERRSUB    Error messages
!     READFL    Read integer array from a direct access SEPRAN file
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!      43   Type number not available
!     225
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'to0025' )
      if(itype<100) then
         call errint ( itype, 1 )
         call errsub ( 225, 1, 0, 0 )
         go to 1000
      end if
      jtype=itype

!     --- jtype >= 99900 ?

      if (itype>=99900) jtype=1150-99900+itype

!     --- compute record number of first part

      krcst1=(jtype-100)/nrec1+1
      if ( krcst1/=irecp1 .or. ifirst==0 ) &
           call readfl(krcst1,1,nrec1,1,1,istfl1)
      ipos=istfl1(jtype-99-nrec1*(krcst1-1))

!     --- ipos=0  ** error 43

      if (ipos==0) then
         call errint ( itype, 1 )
         call errint ( ielgrp, 2 )
         call errsub ( 43, 2, 0, 0 )
      else

!     --- ipos > 0

         krcst2=(ipos-1)/nrec1+1
         if ( krcst2/=irecp2 .or. ifirst==0 ) &
            call readfl(krcst2,nrec1+1,2*nrec1,2,1,istfl1)
         ipos=ipos-(krcst2-2)*nrec1
         ifirst=1
      end if
1000  call erclos('to0025')
      end
