      subroutine to0077 ( icount, x, xc, ndim )
!
! ********************************************************************
!
!
!        programmer    Arno van Duin
!        version 1.1   date   91-03-21 adjusted for NDIM = 3
!        version 1.0   date   90-11-14
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
!
! ********************************************************************
!
!   The coordinates of the centre of the element are computed
!
! ********************************************************************
!
!
!                INPUT / OUTPUT PARAMETERS

      implicit none
      integer icount, ndim
      double precision x(*), xc(*)

!
!     icount   i  integer, number of unknowns per element
!
!     ndim     i  the dimension of space
!
!     x        i  real array, containing the coordinates of the mid points
!                 of the edges of this element
!
!     xc       o  real array, containing the coordinates of the centre
!                 of this element
!
! *********************************************************************
!
!               LOCAL PARAMETERS

      integer i, j

!
!     i, j        integer, loop variable
!
! ********************************************************************
!
!                              METHOD
!
!                      _      1   icount  _
!                      x = ------ sum    x
!                       c  icount  i=1     i
!
! ********************************************************************
!
!               SUBROUTINES CALLED
!
!     none
!
! ********************************************************************

      call eropen ( 'to0077' )

      do 10 i = 1, ndim
         xc(i) = 0d0
10    continue
      do 30 i = 1, icount
         do 20 j = 1, ndim
            xc(j) = xc(j) + x(ndim*(i-1)+j)/icount
20       continue
30    continue

      call erclos ( 'to0077' )

      end
