      function to0084 ( x )
! ======================================================================
!
!        programmer    Arno van Duin
!        version  1.1  date 30-11-2012 Long integers
!        version  1.0  date 90-11-14
!
!   copyright (c) 1990-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   the function value corresponding to x is calculated
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision to0084, x

!     to0084         o    the returned function value
!     x              i    real
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision u
      parameter ( u = 3.5527137d-15 )

!     u              parameter for checking if x>0
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!            ln ( 1 + x )
!       f =  ------------ if x>0
!                 x
!
!
!         =       1          otherwise
!
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- PSEUDO CODE

      call eropen ( 'to0084' )

      if ( abs ( x )<u ) then
         to0084 = 1d0
      else
         to0084 = log ( 1d0 + x ) / x
      end if

      call erclos ( 'to0084' )

      end
