      subroutine to0102 ( list )
! ======================================================================
!
!        programmer     Guus Segal
!        version 2.0    date   24-07-1997 Extra parameter itypvo
!        version 1.1    date   11-07-1994 Minor change because of FORCHECK
!        version 1.0    date   11-04-1994
!
!
!   copyright (c) 1994-1997  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!                       DESCRIPTION
!
!    Compute line integral over a gradient for one element along a curve
!    At this moment the subroutine is restricted to linear line elements only
! **********************************************************************
!
!                       KEYWORDS
!
!    derivative
!    integral
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuild
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer list(*)

!     list    i    Array of length 3, containing the element number and
!                  the corresponding nodal point numbers
!                  list(1) contains the i-th element sequence number
!                  list(2) contains the first node at the curve for this
!                          element
!                  list(3) contains the second node at the curve for this
!                          element
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision t1, t2

!     t1      First component to compute the tangential vector
!     t2      Second component to compute the tangential vector
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     t = (x2-x1, y2-y1 )/h
!     n = ( t2, -t1 )
!     integral = h ( grad(1) n1 + grad(2) * n2 )  (mid point rule)
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      t1 = coor(1,list(3)) - coor(1,list(2))
      t2 = coor(2,list(3)) - coor(2,list(2))
      if ( itypvo==116 .or. itypvo==126 ) then
         valintegral = valintegral + elemvc1(1)*t2-elemvc1(2)*t1
      else
         valintegral = valintegral + &
                       elemvc1(1)/elemwg(1)*t2-elemvc1(2)/elemwg(2)*t1
      end if
      end subroutine to0102
