      subroutine to0113
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 05-12-2012 Long integers
!        version  1.0  date 16-04-1999
!
!   copyright (c) 1999-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Compute local reaction force by R = Su - f (per element)
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulevecs
      use sepmodulebuild
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i
      double precision work(icount)

!     i          Counting variable
!     work       work array to store the solution for this element
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!    Store solution in element into work
!    Compute matrix vector multiplication, subtract result from elemvc
!    and store result in elemvc
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Store solution in element into work

      work(1:icount) = vectin(index2(1:icount))

!     --- Compute matrix vector multiplication, subtract result from elemvc
!         and store result in elemvc

      do i = 1, icount
         elemvc(i) = sum(elemmt(1:icount,i)*work(1:icount))-elemvc(i)
      end do

      end
