      subroutine er0087 ( coornw )
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.0    date 19-11-1995
!
!
!
!   copyright (c) 1995-1995  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!                       DESCRIPTION
!
!     Store co-ordinates of centroids of elements in array coornw
!
! **********************************************************************
!
!                       KEYWORDS
!
!    coordinate
!    fill
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision :: coornw(ndim,*)

!     coornw  o    Array of length ndim x nelem containing the co-ordinates
!                  of the centroids of the elements
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, inpelm, ikelmc, ielem, ielgrp, irelem, nodp

!     i       Counting variable
!     ielem   Element number
!     ielgrp  element group number
!     ikelmc  position in kmesh part c
!     inpelm  number of points per element
!     irelem  Relative element sequence number with respect to element group
!     nodp    Nodal point sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      ikelmc = 0
      ielem  = 1
      do ielgrp = 1, nelgrp
         inpelm = Topgrp(ielgrp)%inpelm
         inelem = Topgrp(ielgrp)%inelem
         do irelem = 1, inelem
            coornw(:,ielem) = 0d0
            do i = 1, inpelm
               nodp = kmeshc(ikelmc+i)
               coornw(:,ielem) = coornw(:,ielem) + coor(:,nodp)
            end do
            coornw(:,ielem) = coornw(:,ielem)/inpelm
            ikelmc = ikelmc + inpelm
            ielem  = ielem  + 1
         end do
      end do
      end
