      subroutine inicls
! ======================================================================
!
!        programmer    Guus Segal
!        version 2.9   date   20-04-1999 Inlcude commons
!        version 2.8   date   21-11-1992 Small change in layout for version
!        version 2.7   date   03-11-1990 new common cmacht
!
!   copyright (c) 1987-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!     Subroutine to clear screen of device from which the interactive
!     program is started
!     This subroutine is machine and device dependent and requires the
!     type of device as input
!     This version is for HP9000 and supports Cit/Vt100, HP terminals
!     and Tektronix 4010 or emulators (VTERM and/or MS-Kermit).
!     The terminal type should have been set in common /cmacht/
!     routine (done by START in sepran programs).
!
! ********************************************************************
!
      use sepmodulemach
      implicit none

! ======================================================================
      if (termin(1:3).eq.'vt1' .or. termin(1:3).eq.'vt2') then
!  * VT100 compatible terminal, use Home,Clear-till-end-of-screen (ANSI)
         write (*,10) escape,'[H',escape,'[J'
10       format (1x,4a)
      else if (termin(1:5).eq.'hp150' .or. termin(1:6).eq.'hp2623') then
!  * HP150/HP2623 terminal, use Goto0,0 (relative), Clear-till-end-of-screen
         write (*,10) escape,'h',escape,'J'
      else if (termin(1:2).eq.'hp') then
!  * HP terminal, use Goto0,0 (relative), Clear-till-end-of-screen
         write (*,10) escape,'&a0c0Y',escape,'J'
      else if (termin(1:3).eq.'tek') then
!  * Tektronix 4010 compatible, use Escape, Formfeed
         write (*,10) escape,formfd
      else
!  * Unknown terminal, write 24 blank lines
         write (*,20)
20       format (////////////////////////////)
      end if
      return
!
      end
