      subroutine plbc05 ( ibrelm, ibrpnt, i1, i2, ielem1, ielem2 )
! ======================================================================
!
!        programmer    Niek Praagman
!        version  1.3  date 27-09-2005 Fortran 90
!        version  1.2  date 20-01-1996 New layout
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.0  date 29-07-1986
!
!   copyright (c) 1986-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    subroutine to determine the, atmost 2, elements where both
!    nodes i1 and i2 belong to
! **********************************************************************
!
!                       KEYWORDS
!
!     2d
!     element
!     plot_contour
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ibrelm(*), ibrpnt(*), i1, i2, ielem1, ielem2

!     i1         i    First point on line to be considered
!     i2         i    Last point on line to be considered
!     ibrelm     i    array containing the elements the nodes belong
!                     to , sequentially
!     ibrpnt     i    array with the starting addresses
!     ielem1     o    number of element where line i1 - i2 belongs to
!     ielem2     o    number of element where line i1 - i2 belongs to
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istart, istend, jstart, jstend, iel, j, jel

!     i          Counting variable
!     iel
!     istart
!     istend
!     j          Counting variable
!     jel
!     jstart
!     jstend
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'plbc05' )
      ielem1=0
      ielem2=0
      istart=ibrpnt(i1)
      istend=ibrpnt(i1+1)-1
      jstart=ibrpnt(i2)
      jstend=ibrpnt(i2+1)-1
      do i=istart,istend
         iel=ibrelm(i)
         do j=jstart,jstend
            jel=ibrelm(j)
            if ( jel==iel ) then
               if ( ielem1==0 ) then
                  ielem1=iel
               else
                  ielem2=iel
                  go to 1000
               end if
               goto 200
            end if
         end do  ! j=jstart,jstend
200   end do  ! i=istart,istend
1000  call erclos ( 'plbc05' )
      end
