      subroutine plbc16(work2,n,ilev)
! ======================================================================
!
!        programmer    Niek Praagman
!        version  2.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  2.0  date 13-01-1987
!
!   copyright (c) 1986-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    PLBC16 plots the smoothed contours .
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleplot
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision work2(*)
      integer n, ilev

!     ilev       i    Sequence number of level being considered
!     n          i
!     work2      i
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istep, jnbr
      double precision arc, ax, ay, bx, by, delx, dely, dr, dx, dy, &
              multfact, r1, r2, tpos, xcentr1, xnew, xold, xpos, xstart, &
              ycentr1, ynew, yold, ypos, ystart, cx, cy

!     arc
!     ax
!     ay
!     bx
!     by
!     cx
!     cy
!     delx
!     dely
!     dr
!     dx         length of vector in x-direction
!     dy         length of vector in y-direction
!     multfact   Multiplication factor
!     i          Counting variable
!     istep
!     jnbr
!     r1
!     r2
!     tpos
!     xcentr1
!     xnew
!     xold
!     xpos
!     xstart
!     ycentr1
!     ynew
!     yold
!     ypos
!     ystart
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     PLAFEP    General SEPRAN low level plotting subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      jnbr=(n+1)/2
      if (jnbr.lt.3 ) jnbr=0

!     --- goto start position

      xstart=work2(6)
      ystart=work2(6+n)
      call plafep(4,xstart,ystart,0d0,0d0,0)

      do i=1,n-1

!     --- compute x and y coefficients

          ax=work2(5+(0*n)+i)
          bx=work2(5+(2*n)+i)
          cx=work2(5+(4*n)+i)
          dx=work2(5+(6*n)+i)

          ay=work2(5+(1*n)+i)
          by=work2(5+(3*n)+i)
          cy=work2(5+(5*n)+i)
          dy=work2(5+(7*n)+i)

!         --- arclength

          arc=work2(5+8*n+i)

          if ( i.eq.jnbr ) then
               xold=ax
               yold=ay
               xnew=work2(6+i)
               ynew=work2(6+i+n)
               delx=xnew-xold
               dely=ynew-yold
               dr=sqrt(delx*delx+dely*dely)
               if ( dr.le.0d0 ) then
                    jnbr=jnbr+1
               else
                    multfact=(xmax-xmin)/2.5d2
                    r1=(delx/dr)*multfact
                    r2=(dely/dr)*multfact
                    if ( xold.lt.xnew ) then
                         xcentr1=(xnew+xold)/2d0-r2
                         ycentr1=(ynew+yold)/2d0+r1
                    else
                         xcentr1=(xnew+xold)/2d0+r2
                         ycentr1=(ynew+yold)/2d0-r1
                    end if
                    call plafep(10,xcentr1,ycentr1,0d0,0d0,ilev)
                    call plafep(4,xold,yold,0d0,0d0,0)
               end if
          end if

          do istep=1,10
              tpos=istep*arc/1d1
              xpos=((dx*tpos+cx)*tpos+bx)*tpos+ax
              ypos=((dy*tpos+cy)*tpos+by)*tpos+ay
              call plafep(5,xpos,ypos,0d0,0d0,0)
          end do

      end do

      end
