      subroutine plbc18(work2,n,j)
      implicit double precision (a-h,o-z)
      double precision work2(*)
!
! ***********************************************************************
!
!
!         programmer   niek praagman
!         version 2.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!         version 2    date   5-198-1987
!
!
!
!   copyright (c) 1986  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
! *                                                                     * &
! *   PLBC18 computes the matrix of the system of equations to be solved* &
! *   for discrete cubic spline smoothing                               * &
! *   Distinguish two cases:                                            * &
! *    1: for open contour lines the matrix is symmetric and 5 banded   * &
! *    2: for closed contour lines the matrix has three added elements  * &
! *    in the upper right and lower left corner, which are stored in    * &
! *    the tail positions of the diagonals                              * &
! *   The matrix is stored in array work2 :                             * &
! *   main diagonal   in positions ipp+i ,                              * &
! *   second diagonal in positions ipq+i ,                              * &
! *   third diagonal  in positions ipr+i , i=1(1)n-1 .                  * &
! *   at the second call of PLBC15 (k=1) these positions will be used   * &
! *   for storage of the spline coefficients too.                       * &
! *                                                                     * &
! ***********************************************************************
! *                                                                     * &
! *   Parameters : See PLBC14                                           * &
! *                                                                     * &
! ***********************************************************************
! * &
      h  =work2(4)
      rho=work2(5)
      hsq=h*h
      r6 =6*hsq*h/rho
      r12=2*r6
      nm1=n-1
      ipp=5+n
      ipq=5+3*n
      ipr=5+7*n
      iph=5+8*n
      iphp1=iph+1
! * &
      if ( j.eq.1 ) h2=work2(iph+nm1)
      if ( j.eq.2 ) h2=work2(iph+j-1)
      h3=work2(iph+j)
! * &
      bet3=r6/(h2*h3)
      eps2=r12/(h2*h2)
! * &
! *   If open contour, boundary conditions require
! * &
      if ( j.eq.2 ) eps2=0.5*eps2
! * &
      eta2=2*h2+hsq/h2
! * &
      do 100 i=j,nm1
          h2=h3
          h3=work2(iphp1+i)
          hsdh2=hsq/h2
          bet2=bet3
          eta1=eta2
          eps1=eps2
          bet3=r6/(h2*h3)
          eta2=2*h2+hsdh2
          eps2=r12/(h2*h2)
! * &
! *       store matrix elements
! * &
          work2(ipp+i)=eta1+eta2+2d0*bet2+eps1+eps2
          work2(ipq+i)=h2-(hsdh2+bet2+bet3+eps2)
          work2(ipr+i)=bet3
100   continue
! * &
! *   If open contour boundary conditions require
! * &
      if ( j.eq.2 ) then
           work2(ipp+nm1) = work2(ipp+nm1) - 0.5 * eps2
      end if
! * &
      if ( j.eq.2 .or. n.gt.5 ) return
! * &
! *        correct matrix for very short contour lines
! * &
      if ( n.ne.4 ) then
! * &
           work2(ipr+3)=work2(ipr+1)+work2(ipr+3)
           work2(ipr+4)=work2(ipr+2)+work2(ipr+4)
           return
! * &
      end if
! * &
      work2(ipq+1)=work2(ipq+1)+work2(ipr+2)
      work2(ipq+2)=work2(ipq+2)+work2(ipr+3)
      work2(ipr+1)=work2(ipr+1)+work2(ipq+3)
! * &
      end
