      subroutine plbc30( tst, ten, xa, ya, xb, yb, icolor )
! =======================================================================
!
!
!         programmer     Niek Praagman
!         version 1.1    date  21-11-1994 New norms
!         version 1.0    date  12-04-1990
!
!
!
!   copyright (c) 1990-1994   "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Plot (indicated) part of line A - B
!
! ***********************************************************************
!
!     KEYWORDS
!
!     plot
!     line
!
! ***********************************************************************
!
!     INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer icolor
      double precision tst, ten, xa, ya, xb, yb

!     icolor   i    color to be used
!     ten      i    end value of part to be plotted
!     tst      i    start value of part to be plotted
!     xa       i    x-coordinate first point
!     xb       i    x-coordinate second point
!     ya       i    y-coordinate first point
!     yb       i    y-coordinate second point
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
      double precision xst,yst,xen,yen

!     xen   x-coordinate end point plotting part
!     xst   x-coordinate start point plotting part
!     yen   y-coordinate end point plotting part
!     yst   y-coordinate start point plotting part
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
!     ERCLOS   Deconcatenate name of subroutine from calling string
!     EROPEN   Concatenate name of subroutine to calling string
!     PLAFEP   General SEPRAN plot routine
! ***********************************************************************
!
!     ERROR MESSAGES
!
! ***********************************************************************
!
!     PSEUDO CODE
!
!     trivial
! =======================================================================
!
      call eropen( 'plbc30' )

!     --- Compute coordinates start point part of line

      xst = xa + tst * ( xb-xa )
      yst = ya + tst * ( yb-ya )

!     --- Move to this point

      call plafep(4,xst,yst,0d0,0d0,0)

!     --- Compute coordinates end point part of line

      xen = xa + ten * ( xb-xa )
      yen = ya + ten * ( yb-ya )

!     --- Plot linepart

      call plafep(5,xen,yen,0d0,0d0,icolor)

      call erclos( 'plbc30' )

      end
