      subroutine pllgvc( multfact )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 11-11-1990
!        version  1.0  date 24-06-1990
!
!   copyright (c) 1990-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!        Plot subroutine to plot the scale factors
!        scalex, scaley and multfact next to the velocity plot
!        Help subroutine for subroutine PLOTVC
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleplot
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision multfact

!    multfact    i   Multiplication factor for velocity
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      character * 18 charac
      double precision xp

!    charac   Help variable to store a number in character form
!    xp       X-component of start of text
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     PLAFP7    Plot text using absolute co-ordinates
!     PLSCAL    Plot scales
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Plot scales:

      call plscal

!     --- Plot multfact

      xp = max ( 16d0, ale+5.0d0 )
      if ( multfact.lt.1d-3 .or. multfact.gt.1d3 ) then

!     --- Plot in floating precision

         charac(1:8) = 'factor: '
         write ( charac(9:18),100 ) multfact
100      format(ss,1pe10.3e2)
         call plafp7 ( xp, 2.0d0, charac, 0d0, 0.25d0, 18 )
      else

!     --- Plot in fixed precision

         charac(1:8) = 'factor: '
         write ( charac(9:18),110 ) multfact
110      format(f10.3)
         call plafp7 ( xp, 2.0d0, charac, 0d0, 0.25d0, 18 )
      end if
      end
