      subroutine plotzerolev ( inpsep, istart  )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 15-11-2013 Extension of inpsep
!        version  1.0  date 03-07-2012
!
!   copyright (c) 2012-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Plot the edges (2d) or faces (3d) of the zero level set
!
! **********************************************************************
!
!                       KEYWORDS
!
!     plot
!     level_set
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer inpsep(*), istart

!     inpsep         i    The integer input read is stored in array INPSEP
!                         See subroutine readscplotzerl
!     istart        i/o   First position used at a part of inpsep
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PLOTZEROLEV2   Plot the edges (2d) or faces (3d) of the zero level set
!     PRININ         print 1d integer array
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'plotzerolev' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from plotzerolev'
         call prinin ( inpsep, 2, 'inpsep' )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( ndim>=2 ) then

!     --- ndim = 2 or 3

         call plotzerolev2 ( inpsep )

      end if  ! ( ndim==2 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End plotzerolev'

      end if  ! ( debug )
      call erclos ( 'plotzerolev' )
      istart = istart+3

      end
