      subroutine plt356(t,xa,xb,ya,yb,x1,x2,x3,y1,y2,y3,isnij)
! * &
! ***********************************************************************
! *                                                                     * &
! *   Subroutine to determine whether an intersection point             * &
! *   is real or fake.                                                  * &
! *                                                                     * &
! ***********************************************************************
!                                                                       * &
!                                                                       * &
!         programmer   niek praagman                                    * &
!                                                                       * &
!         version 3.1  date  03-03-1990  t=0 and t=1 added)              * &
!         version 3.0  date  24-01-1989                                   * &
!                                                                       * &
!                                                                       * &
!                                                                       * &
!   copyright (c) 1987-1990  "ingenieursbureau sepra"                   * &
!   permission to copy or distribute this software or documentation     * &
!   in hard or soft copy granted only by written license obtained       * &
!   from "ingenieursbureau sepra".                                      * &
!   all rights reserved. no part of this publication may be reproduced, * &
!   stored in a retrieval system (e.g. , in memory, disk or core)       * &
!   or be transmitted by any means, electronic, mechanical, photocopy,  * &
!   recording, or otherwise, without written permission from the        * &
!   publisher.                                                          * &
!                                                                       * &
! ***********************************************************************
! *                                                                     * &
! *   GLOBAL parameters
! * &
      double precision t, xa, ya, xb, yb, x1, y1, x2, y2, x3, y3
      integer isnij
! *                                                                     * &
! *   Meaning of parameters :                                           * &
! *                                                                     * &
! *   (xa,ya)      (i)  : coordinates of point A                        * &
! *   (xb,yb)      (i)  : coordinates of point B                        * &
! *   (xi,yi)      (i)  : coordinates of node i of triangle             * &
! *   t            (i)  : point A + t * ( B - A ) is considered         * &
! *   isnij       (i,o) : if intersection point : isnij = isnij + 1     * &
! *                                                                     * &
! ***********************************************************************
! * &
! *   LOCAL parameters
! * &
      double precision t1, xp, yp, ski1p, ski2p, ski3p, skminp
! * &
! ***********************************************************************
! * &
      if ( t.ge.0 .and. t.le.1.d0 ) then
! * &
           t1 =  t + 1.d-5
           xp = xa + t1 * ( xb-xa )
           yp = ya + t1 * ( yb-ya )
           call plt355(x1,x2,x3,y1,y2,y3,xp,yp, &
                       ski1p,ski2p,ski3p)
           skminp = min ( ski1p,ski2p,ski3p )
! * &
           if ( skminp.gt.0 ) isnij = isnij + 1
! * &
           t1 =  t - 1.d-5
           xp = xa + t1 * ( xb-xa )
           yp = ya + t1 * ( yb-ya )
           call plt355(x1,x2,x3,y1,y2,y3,xp,yp, &
                       ski1p,ski2p,ski3p)
           skminp = min ( ski1p,ski2p,ski3p )
! * &
           if ( skminp.gt.0 ) isnij = isnij + 1
! * &
      end if
! * &
      end
