      subroutine plt360(tst,ten,ta,tb,igeval)
! ======================================================================
!
!        programmer    niek praagman
!        version  1.0  date 27-06-1987
!
!   copyright (c) 1987-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!  Subroutine to determine which relation intervals ( tst,ten ) and
!  ( ta,tb ) have to each other. See also guide.
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer igeval
      double precision ta, tb, ten, tst

!     igeval    o   indicator for situations
!     ta        i   interval which is visible
!     tb        i   interval which is visible
!     ten       i   interval which is not visible
!     tst       i   interval which is not visible
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision eps

!     eps        Local accuracy
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      eps = epsmac

      if ( ten.lt.ta+eps ) then
           igeval = 6
           return
      end if

      if ( tst.gt.tb-eps ) then
           igeval = 5
           return
      end if

      if ( tst.lt.ta+eps .and. ten.gt.tb-eps ) then
           igeval = 4
           return
      end if

      if ( tst.lt.ta+eps .and. ten.lt.tb+eps ) then
           igeval = 3
           return
      end if

      if ( tst.gt.ta-eps .and. ten.gt.tb-eps ) then
           igeval = 2
           return
      end if

      if ( tst.gt.ta-eps .and. ten.lt.tb+eps ) then
           igeval = 1
           return
      end if

      end
