      subroutine pltjap ( oldcel, newcel, ncel )
! ======================================================================
!
!        programmer    Jos van Kan
!        version  1.1  date 21-11-1995 Better error handling
!        version  1.0  date 20-01-1995
!
!   copyright (c) 1995-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!       this subroutine appends ncel new cells after oldcel
!       by finding a ncel free cells c , c ,..., c   and  put
!                                     1   2       ncel
!       1. newcel = c
!                    ncel
!       2. dcrg (newcel) = dcrg (oldcel)
!       3. dcrg (oldcel) = c
!                           1
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulepltj
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer oldcel, newcel, ncel

!     ncel    i    number of cells
!     newcel  o    cellnumber of last appended cell
!     oldcel  i    cellnumber after which the cells arae appended
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer icel, auxptr, gbgcan

!     auxptr  auxiliary variable to temporarily store a pointer
!     gbgcan  ?
!     icel    counter to ncel
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer pltjcd

!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     ERRSUB  Error messages
!     PLTJCD  To find cellpointer to next cell
!     PLTJDC  to change the cell pointer of the freelist.
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1264   trying to append with empty freelist
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- get start of free list, put it in dec register of oldcel and
!         save pointer to successor of oldcel in auxptr

      call eropen ('pltjap')
      call pltjdc (oldcel, freest, auxptr)
      newcel = freest
      if (newcel.eq.nil) then
!        --- ERROR : trying to append with empty freelist
         call errsub (1264, 0, 0, 0)
         goto 99999
      end if

!     --- find ncel new cells

      do 100 icel = 2, ncel
      newcel = pltjcd (newcel)
      if (newcel.eq.nil) then
         call errsub (1264, 0, 0, 0)
         goto 99999
      end if

!     --- ERROR: trying to append with empty freelist

100   continue

!     --- update start of free list
!         update pointer at end of appended segment

      freest = pltjcd (newcel)
      call pltjdc (newcel, auxptr, gbgcan)
99999 continue
      call erclos ('pltjap')
      end
