      subroutine pltjmk ( seghdr, cellnr, point )
! ======================================================================
!
!        programmer    Jos van Kan
!        version  1.0  date 20-01-1995
!
!   copyright (c) 1995-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!       pltjmk makes the remainder of a list visible, to begin with cellnr in
!       segment with index seghdr. visibility property stored in array point.
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulepltj
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer seghdr, cellnr, point(*), pltjca, pltjcd

!     cellnr  i    index of first cell in this segment to be treated
!     point   o    array containing the visibility property.
!     seghdr  i    index of first segment to be treated
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     PLTJCA  to get the next segment
!     PLTJCD  To find cellpointer to next cell
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!       While (list not exhausted)
!         while (segment not exhausted)
!          Make point visible
!          get next point
!         end while (segment)
!         Get next segment
!       End While (list)
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ('pltjmk')
100   if (seghdr.eq.nil) goto 130

!     --- 130: END-OF-LIST

110   if (cellnr.eq.nil) goto 120

!     --- 120: END-OF-SEGMENT

      point (cellnr) = visbl
      cellnr = pltjcd (cellnr)
      goto 110
120   continue
      seghdr = pltjca (seghdr)
      cellnr = seghdr
      goto 100
130   continue
      call erclos ('pltjmk')
      end
