      subroutine pltjne ( nstadr, ncel )
! ======================================================================
!
!        programmer    Jos van Kan
!        version  1.1  date 21-11-1995 Better error handling
!        version  1.0  date 20-01-1995
!
!   copyright (c) 1995-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!       pltjne creates a new list consisting of ncel cells with start address at
!       nstadr. If the free list has insufficient space to accomodate pltjne an
!       error is signalled.
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulepltj
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nstadr, ncel

!     ncel    i    number of cells in the new list
!     nstadr  o    starting address of the new list
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer auxptr

!     auxptr  auxiliary variable to temporarily store a pointer
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     ERRSUB  Error messages
!     PLTJAP  to append the tail of n-1 cells after the header.
!     PLTJDC  to change the cell pointer of the freelist.
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1264   trying to append with empty freelist
! **********************************************************************
!
!                       PSEUDO CODE
!
!       Newlst places the start addres of the free list in nstadr and appends
!       ncel - 1 cells to that.
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ('pltjne')
      if (freest.eq.nil) then
         call errsub (1264, 0, 0, 0)

!        --- Error pltjne called with empty free list

         goto 99999

!        --- Signify fatal error and exit

      end if

!     --- Create a first cell with the first cell of the freelist

      nstadr = freest
      call pltjdc (nstadr, nil, auxptr)
      freest = auxptr

!     --- Append n - 1 cells to that

      call pltjap (nstadr, auxptr, ncel - 1)
99999 continue
      call erclos ('pltjne')
      end
