      function prgtmx ( elkey, kgrad, diael, nelem )
! ======================================================================
!
!
!        programmer     Jos van Kan
!        version 1.0    date   20-01-1995
!
!
!
!   copyright (c) 1995-1995 "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!       Auxiliary routine to LINES.
!       Gets maximum value of y-coordinate in a grid
! ********************************************************************
!
!                      KEYWORDS
!
!
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer nelem, kgrad(nelem)
      double precision elkey(nelem), diael(nelem), prgtmx

!     diael   i    array containing maximal difference in y- &
!                  coordinate per element
!     elkey   i    array of minimal y-coordinates per element
!     kgrad   i    integer array containing the permutation
!                  that sorts elkey ascending
!     nelem   i    Number of elements
!     prgtmx  o    Gets maximum value of y-coordinate in a grid
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                      LOCAL PARAMETERS
!
! ********************************************************************
!
!                      SUBROUTINES CALLED
!
! ********************************************************************
!
!                      I/O
!
! ********************************************************************
!
!                      ERROR MESSAGES
!
! ********************************************************************
!
!                      PSEUDO CODE
!
!   trivial
! ======================================================================
!
      prgtmx = elkey (kgrad (nelem)) + diael (kgrad (nelem))
      end
