      subroutine er0050(amat1,amat2,amat3,amat4,n,alpha,beta,gamma)
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 05-12-2012 Fortran 90
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.0  date 14-07-1987
!
!   copyright (c) 1987-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      add alpha times matrix amat1 plus beta times matrix amat2 and
!      gamma times matrix matr3 and store in matrix amat4
!      amat1, amat2 and amat3 must be large real matrices
!      alpha, beta and gamma are complex numbers
!      The result amat4 is a complex matrix
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n
      double complex alpha,beta,gamma,amat4(n)
      double precision amat1(n), amat2(n), amat3(n)

!    alpha    i   complex multiplication factor
!    amat1    i   First matrix to be multiplied
!    amat2    i   Second matrix to be multiplied
!    amat3    i   Third matrix to be multiplied
!    amat4    o   Result of multiplication
!    beta     i   complex multiplication factor
!    gamma    i   complex multiplication factor
!    n        i   number of elements in matrix
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!

!     --- input / output

      amat4=alpha*amat1+beta*amat2+gamma*amat3
      end
