      subroutine er0073 ( vector, n, rincre, kfun )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 23-01-1992
!
!   copyright (c) 1992-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Fill (constant) value into array of special structure defined
!    per element   (Complex case)
!    The real equivalent of this subroutine is ER0064
! **********************************************************************
!
!                       KEYWORDS
!
!     fill
!     vector_defined_per_element
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, kfun
      double complex vector(*)
      double precision rincre(*)

!    kfun    i   Indication of how the degrees of freedom must be filled.
!                Possibilities:
!                0:  Not filled
!               <0:  Constant value stored in RINCRE(-KFUN)
!               >0:  Function subroutine (not yet implemented)
!    n       i   Number of elements in vector
!    rincre  i   Double precision array containing the values of the constant
!                if KFUN < 0
!    vector i/o  Array of length n to be (partly) filled by this subroutine
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i
      double complex consta

!    consta   Help variable to store the constant
!    i        General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      consta = dcmplx (rincre(-kfun), rincre(-kfun+1))
      do 100 i = 1, n
         vector(i) = consta
100   continue
      end
