      subroutine sepcopymatc
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 15-04-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy real C part of simple matrix in type matrix
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     matrix
!     real
!     simple
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleintmat
      use sepmodulesimple
      use sepmodulekprob
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      type (intmatrix), pointer :: IM

!     IM             Refers to intmt(iseqimpre)
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepcopymatc' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepcopymatc'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      IM => intmt(intmat)

      C%rows => irowsPM
      C%cols => icolsPM
      C%type_prec = 0
      C%scaling = 1          ! matrix is scaled (standard)
      C%deflation = .false.
      C%prlump = 0

!     --- Store type of matrix

      C%type_storage = 5
      C%symmetric = .true.
      C%S => S_C
      C%diag => IM%diagPM
      C%neq = nrusolpress
      C%nglob = nrusolpress
      C%nproj = 0
      C%iprint = inpsol(6,1)
      C%factor = rinsol(3,1)
      C%adapt = rinsol(2,1)
      C%matmultsp = 0
      C%simple = .false.
      C%iseqmt = iseqmt
      C%iseqim = iseqim

      if ( parallel ) then

!     --- Parallel case

         C%innercontr => innercontrp
         C%sendinfo => sendinfop
         c%nglob = nusolglob

      end if  ! ( parallel )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepcopymatc'

      end if  ! ( debug )
      call erclos ( 'sepcopymatc' )

      end subroutine sepcopymatc
