      subroutine sepcopymatd
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 21-04-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy real D part of simple matrix in type matrixdiv
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulesimple
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepcopymatd' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepcopymatd'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      D%rows => irowsG
      D%cols => icolsG
      D%DIV => S_DIV
      D%np = nrusolpress
      D%nu = nrusolvel
 !     D%simple = .false.

      G%rows => irowsG
      G%cols => icolsG
      G%GRAD => S_G
      G%np = nrusolpress
      G%nu = nrusolvel
 !     G%simple = .false.

1000  call erclos ( 'sepcopymatd' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepcopymatd'

      end if  ! ( debug )

      end subroutine sepcopymatd
