      subroutine sepnullifybase
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 20-01-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Nullify all pointers associated with B
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebasefn
      use sepmodulecomio
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!

! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepnullifybase' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepnullifybase'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000
      nullify ( B%phi, B%psi, B%phic, B%phider, B%phiderc, B%phidern )
      nullify ( B%phidercn )
      nullify ( B%dxidx, B%phider2, B%lam, B%lamder, B%lamderc, B%lamn )
      nullify ( B%w, B%wc, B%xloc, B%xyz, B%xyzg, B%xyzgc, B%xyzgcn, B%qmat )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepnullifybase'

      end if  ! ( debug )
      call erclos ( 'sepnullifybase' )

      end subroutine sepnullifybase
