      subroutine sepprecprin3 ( A )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 05-03-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print diagonal of precondtioning matrix
!     Old subroutine precmkprin3
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     matrix
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemat
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      type (rmatrix) :: A

!     A             i/o   Structure of type matrix containing the necessary
!                         information of the matrix
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: i

!                    they are not
!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepprecprin3' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepprecprin3'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( .not. A%symmetric ) then

!     --- A%type_storage = 51, special row structure for multigrid
!         The diagonal is the first element of each row

         write(irefwr,400) (i,A%MD(A%rows(i)+1), i = 1, A%neq )

      else

!     --- other methods the diagonal is in the first n elements
!         of the matrix

          write(irefwr,400) (i,A%MD(i), i = 1, A%neq )
400       format ( 'Diagonals of preconditioning matrix'/ &
                   (5(1x,i4,':',ss,1pe10.3e2)) )

      end if  ! ( A%type_storage==51 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepprecprin3'

      end if  ! ( debug )
      call erclos ( 'sepprecprin3' )

      end
