      subroutine to0014 ( celemvc, rhside )
! ======================================================================
!
!        programmer    Guus Segal
!        version  3.0  date 06-12-2008 New parameter list
!        version  2.0  date 02-02-1991 Complete revision because of more
!                                      right-hand sides)
!        version  1.0  date 10-01-1983
!
!   copyright (c) 1983-2008  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Add element vector to right-hand side
!     Complex
! **********************************************************************
!
!                       KEYWORDS
!
!     assembly
!     complex
!     real
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuild
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double complex, intent(in) :: celemvc(icount)
      double complex, intent(inout) :: rhside(*)

!     celemvc    i    Array containing the various element vectors
!     rhside    i/o   Contains the various right-hand sides
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: i, inusol

!                    they are not
!     i              Counting variable
!     inusol         Position of unknown in array RHSIDE
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'to0014' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from to0014'

      end if
      if ( ierror/=0 ) go to 1000

      do i = 1, icount
         inusol = indexren(i)
         rhside(inusol) = rhside(inusol)+celemvc(i)
      end do

1000  call erclos ( 'to0014' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End to0014'

      end if

      end
