      subroutine printprobinp10 ( iinput, iinp )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 05-04-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of the skip elements part of array
!     iinput with respect to problem definition
!     Raise iinp
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     problem_definition
!     input
!     skip
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*), iinp

!     iinp          i/o   next position used in array iinput
!     iinput         i    integer input array to be printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, nskip

!     i              Counting variable
!     nskip          Number of parts where elements must be skipped
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRINTPOSINT    Print value of positive integer if>0
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'printprobinp10' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from printprobinp10'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( iinput(44)==0 ) go to 1000

      nskip = iinput(iinp)
      call printposint ( nskip, 'nskip' )
      iinp = iinp+1

      do i = 1, nskip

         call printposint ( iinput(iinp), 'itype_skip' )
         call printposint ( iinput(iinp+1), 'iobst' )
         call printposint ( iinput(iinp+2), 'ifirst' )
         call printposint ( iinput(iinp+3), 'ilast' )
         iinp = iinp+5

      end do  ! i = 1, nskip

1000  call erclos ( 'printprobinp10' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End printprobinp10'

      end if  ! ( debug )

      end
