      subroutine topbv1nokprobh
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 14-04-2015
!
!   copyright (c) 2015-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Array kprobh will not be filled since no renumbering required
!     Remove superfluous arrays
! **********************************************************************
!
!                       KEYWORDS
!
!     problem_definition
!     renumbering
!     boundary_condition
!     periodical
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPRMBUF       delete temporary array
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'topbv1nokprobh' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from topbv1nokprobh'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( associated(kprobpart%kprobh) ) then
         deallocate ( kp(iseqkp)%kprobsub(iprob)%kprobh, &
                      kp(iseqkp)%kprobsub(iprob)%kprobhinv )
         nullify( kprobpart%kprobh, kprobpart%kprobhinv )
      end if  ! ( associated(kprobpart%kprobh) ) then
      if ( associated(kprobpart%kprobr) ) then
         deallocate ( kp(iseqkp)%kprobsub(iprob)%kprobr )
         nullify( kprobpart%kprobr )
      end if  ! ( associated(kprobpart%kprobr) ) then

      if ( kprobloc(38)/=0 ) then
         deallocate ( kp(iseqkp)%kprobsub(iprob)%kprobs, &
                      kp(iseqkp)%kprobsub(iprob)%rprobs )
         kprobloc(38) = 0
      end if  ! ( kprobloc(38)/=0 ) then
      kprobloc(50) = 0
      kprobloc(37) = 0
      kprobloc(34) = 0
      indprh = 0
      indprr = 0

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End topbv1nokprobh'

      end if  ! ( debug )
      call erclos ( 'topbv1nokprobh' )

      end subroutine topbv1nokprobh
