      subroutine el0800ruledef
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 06-01-2016 Use sepmoduleelem
!        version  1.1  date 01-12-2014 Extension with 816
!        version  1.0  date 20-06-2013
!
!   copyright (c) 2013-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Compute the default integration rule depending on the shape number
!
! **********************************************************************
!
!                       KEYWORDS
!
!     initialization
!     numerical_integration
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleelem
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'el0800ruledef' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from el0800ruledef'
         write(irefwr,1) 'ishape, itype, n, ndim', ishape, itype, n, ndim
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( ishape==9 ) then
         irule = 3
      else if ( ishape==10 ) then
         irule = 2
      else if ( ishape>=17 ) then
         irule = 3
      else if ( itype>=700 .and. itype<=800 .or. itype==325 .or. &
                itype==816 .or. itype>=150 .and. itype<=165 .or. &
                itype==814 ) then
         irule = 1
      else if ( n==ndim+1 .or. ishape==21 ) then
         irule = 2
      else
         irule = 1
      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End el0800ruledef'

      end if  ! ( debug )
      call erclos ( 'el0800ruledef' )

      end
