      subroutine el2015(ichois,jdiag,amat,u,const,v,n,lrow,nstart)
      implicit double precision (a-h,o-z)
      double precision amat(*), u(*), v(*)
!
! ********************************************************************
!
!        programmer   guus segal
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1    date   16-07-1985
!
!
!   copyright (c) 1985  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!     compute matrix vector multiplication
!
!     v=amat*u*const+(ichois-1)*v
!
! ********************************************************************
!
!                          input / output
!
!     ichois  i  choice parameter
!       1        vector v is set to amat*u*const
!       2        vector v is updated to v+amat*u*const
!
!     jdiag   i  choice parameter
!       1        amat is a diagonal matrix
!       2        amat is a full matrix
!
!     amat    i  matrix of length (lrow*lrow)
!
!     const   i  constant
!
!     lrow    i number of rows of array amat
!
!     n       i  number of rows (to be used) of array amat, length of
!                u and v
!
!     u       i  input vector of  length n<=lrow
!
!     v       o  output vector (length n)
!
!     nstart  i  starting row for multiplication
!                multiplication is carried out for rows nstart to n
!
! ********************************************************************
!
      if (jdiag.eq.2) then
         if (ichois.eq.1) then
            do 120 i=nstart,n
               sum=0d0
               i1=(i-1)*lrow
               do 100 j=1,n
                  sum=sum+amat(i1+j)*u(j)
100            continue
               v(i)=const*sum
120         continue
         else
            do 140 i=nstart,n
               sum=0d0
               i1=(i-1)*lrow
               do 130 j=1,n
                  sum=sum+amat(i1+j)*u(j)
130            continue
               v(i)=v(i)+const*sum
140         continue
         end if
      else
         if (ichois.eq.1) then
            do 200 i=nstart,n
               v(i)=amat((i-1)*lrow+i)*u(i)*const
200         continue
         else
            do 210 i=nstart,n
               v(i)=v(i)+amat((i-1)*lrow+i)*u(i)*const
210         continue
         end if
      end if
      end
