      subroutine el6017(mass, w, det, mdecl)
! ======================================================================
!
!        programmer     Luc Timmermans/ Peter Minev
!        version 1.1    date  25-01-1996  Layout
!        version 1.0    date  24-04-1995
!
!
!
!   copyright (c) 1995-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!     compute the spectral element diagonal mass matrix
!
!           mass(i,j) = / phi  phi  det de
!                       e    j    i
!
!                     = w(i) delta
!                                 ij
!
!     EL6017 is called by the element subroutine ELM607
!            it must be preceded by the subroutines ELP640 and ELP647
!
! ********************************************************************
!
!                      KEYWORDS
!
!    element_matrix
!    element_vector
!    elliptic_equation
!     initialization
!    parabolic_equation
!     spectral
!***********************************************************************
!
!     INPUT/OUTPUT PARAMETERS
!
      implicit none
      integer mdecl
      double precision mass(mdecl), w(mdecl), det

!     det      i the jacobian of the transform
!     mass     o   array of length mdecl containing the spectral element
!                  diagonal mass-matrix
!     mdecl    i   number of integration/interpolation points
!     w        i   array of length mdecl containing the weights for
!                  numerical integration
!***********************************************************************
!
!           LOCAL PARAMETERS
!
      integer i

!    i      General loop variable
!***********************************************************************
!
!             SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
!    - &
! ********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
      do 100 i = 1, mdecl
         mass(i) = w(i)*det
100   continue

      end
