      subroutine elm603 ( swork )
! ======================================================================
!
!        programmer     Luc Timmermans
!        version 2.1    date   28-01-1996 Layout
!        verison 2.0    date   15-12-1994 integral over a general curve is
!                                         introduced - P. Minev
!        version 1.0    date   10-10-1993
!
!
!   copyright (c) 1993-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!     fill spectral element vector for inhomogeneous Neumann
!     condition
!
!     itype = 603  :   one dimensional spectral element
!                      (m nodal points)
! ********************************************************************
!
!                      KEYWORDS
!
!   element_matrix
!   element_vector
!   elliptic_equation
!   parabolic_equation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleelm
      use sepmodulebasefn
      use sepmodulebuild
      use sepmodulecactl
      implicit none
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      double precision swork(*)

!     swork          spectral element work array
!***********************************************************************
!
!                     COMMON BLOCKS

!***********************************************************************
!
!                         LOCAL PARAMETERS

      integer i

!     i          Counting variable
!***********************************************************************
!
!                    I/O
!
!     the user provides the coefficients through the arrays E%iuser and
!     USER in the usual way, the sequence is:
!
!     1:  alpha, non-zero
!
!***********************************************************************
!
!                     SUBROUTINES CALLED
!
!     EL0603    initialize parameters for subroutine ELD603
!     ERCLOS    Resets old name of previous subroutine of higher level
!     EROPEN    Produces concatenated name of local subroutine
!***********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
! ======================================================================
!
      call eropen('elm603')

      call el0603(E%iuser, E%user, swork(1))

!     --- this ia a dummy routine which only initialize
!         the matrix and vector
!         set E%mat to zero

      E%mat = 0d0
      E%mmat = 0d0
      E%vec = 0d0

      call erclos('elm603')

      end
