      subroutine elp900(coor,x,y,index1,jcurve,n,e1,e2,delta,sign,e3, &
            e4,name,ichois)
      use sepmodulecomio
      implicit double precision (a-h,o-z)
      character * (*) name
      integer index1(*)
      double precision coor(*), x(*), y(*), e1(*), e2(*), e3(*), e4(*)
!
! ********************************************************************
!
!        programmer   Guus Segal
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1    date   12-05-1984
!        version 2    date   18-11-1987  addition of ichois
!
!
!
!   copyright (c) 1984,1987  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!     fill arrays x and y for a triangle with 6 or 7 points as well
!     as the arrays e1,e2,e3 and e4
!     check whether the triangle is straight or curved
!
! ********************************************************************
!
!        input / output
!
!    coor      array containing the co-ordinates of the mesh
!
!    x,y       arrays containing the x and y co-ordinates of the element
!
!    index1    array containing the nodal point numbers of the element
!
!    jcurve    indication whether the triangle is straight (0) or curved (1)
!
!    n         number of nodal points in the element
!
!    e3,e4     e3(i) = d lambda (i)  /  dx
!              e4(i) = d lambda (i)  /  dy
!              with lambda(i) the barycentric co-ordinates   i=1,2,3
!
!    e1,e2     e1(i) = e3(i) * delta * sign
!              e2(i) = e4(i) * delta * sign
!
!    delta     jacobian of the element
!              (delta = 2 * area of the element)
!
!    sign      sign of the jacobian
!
!    ichois    See subroutine elp212
!
! ********************************************************************
!
      do 100 i=1,6
         ih=index1(i)*2
         x(i)=coor(ih-1)
100      y(i)=coor(ih)
      x7=x(1)+x(3)+x(5)
      y7=y(1)+y(3)+y(5)
      xh=x(2)+x(4)+x(6)
      yh=y(2)+y(4)+y(6)
      accur = 10d0 * sqreps * (abs(x7)+abs(y7)+abs(xh)+abs(yh))
      if(ichois.ne.4 .and. abs(x7-xh).gt.accur) goto 200
      if(ichois.ne.4 .and. abs(y7-yh).gt.accur) goto 200
!
!    *  triangle with straight sides
!
      jcurve=0
      e1(1)=y(3)-y(5)
      e1(2)=y(5)-y(1)
      e1(3)=y(1)-y(3)
      e2(1)=x(5)-x(3)
      e2(2)=x(1)-x(5)
      e2(3)=x(3)-x(1)
      delta=e1(3)*e2(1)-e1(1)*e2(3)
      if(delta) 110, 120, 130
!
!     *  delta negative
!
110    sign=-1d0
       goto 140
!
!     *  delta  zero
!
120    call ertrap(name,105,15,itype,ielem,0)
       return
!
!     *  delta positive
!
130    sign=1d0
!
140    do 150 i=1,3
          e3(i)=e1(i)/delta
150       e4(i)=e2(i)/delta
       x(7)=x7/3d0
       y(7)=y7/3d0
       return
!
!    *   triangle with curved sides
!
200    jcurve=1
       if(n.eq.6) return
       x(7)=(4d0*xh-x7)/9d0
       y(7)=(4d0*yh-y7)/9d0
      end
