      subroutine elusr0(ivalue,ivalh,value,iuser,user)
      use sepmodulecactl
      implicit double precision (a-h,o-z)
      integer iuser(*)
      double precision value(*), user(*)
!
! ********************************************************************
!
!
!        programmer   Guus Segal
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1    date   02-05-1987
!
!
!
!   copyright (c) 1987  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!      this subroutine is used to fill constants from array user and
!      iuser as help quantities for element subroutines
!
! ********************************************************************
!
!         input / output parameters
!
!      ivalue    o   output parameter  (iuser(ipos))
!                    meaning:
!          0         value=0
!       >0 <1000     value=funccf(ivalue,x,y,z)
!       >1000 <2000  value=funcc1(ivalue,x,y,z,oldvct)
!       <-5          value=user(-ivalue)
!       2001         value(i)=user(ivalh+i)  (i=1,...,npoint)
!       2002         value(i)=user(ivalh+i)  (i=1,...,nelem)
!
!      ivalh     o   will only be used when ivalue > 2000  (output)
!
!      value     o   output parameter when ivalue<=0
!                    array value contains the value of the constant in
!                    positions 1 to n
!      iuser,user  i  input arrays, see subroutine system
!
!
! ********************************************************************
!
      ivalue=iuser(ipos)
      ivalh=0
      ipos=ipos+1
      if(ivalue.eq.0) then
!
!      * ivalue = 0
!
        do 20 i=1,m
 20       value(i)=0d0
        nuserh=0
      else if(ivalue.lt.0) then
!
!      * ivalue<0
!
        if(ivalue.ge.-5) call ertrap('system   (elusr0)',42,16,ipos-1, &
              ivalue,0)
        nuserh=-ivalue
        h=user(nuserh)
        do 50 i=1,m
 50        value(i)=h
      else
!
!      * ivalue > 0
!
        if(ivalue.lt.2000) return
        ivalh=iuser(ipos)-1
        ipos=ipos+1
        if(ivalue.eq.2001) nuserh=ivalh+npointcac
        if(ivalue.eq.2002) nuserh=ivalh+nelemcac
      end if
!
      if(nuserh.gt.nuser) nuser=nuserh
      end
