      subroutine errorelvar ( jvar, errornr, text, ierrwar )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 10-06-2013
!
!   copyright (c) 2013-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print error message errornr for element: wrong value of jvar
!
! **********************************************************************
!
!                       KEYWORDS
!
!     element
!     error_manipulation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmodulecactl
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer jvar, errornr, ierrwar
      character (len=*) text

!     errornr        i    Error number to be printed
!     ierrwar        i    if 0 an error must be printed otherwise a warning
!     jvar           i    value of variable in error message
!     text           i    String variable containing some text
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
!     ERRWAR         Print warnings
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'errorelvar' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from errorelvar'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      call errint ( jvar, 1 )
      call errint ( ielem, 2 )
      call errint ( itype, 3 )
      call errint ( ielgrp, 4 )
      call errchr ( text, 1 )
      if ( ierrwar==0 ) then
         call errsub ( errornr, 4, 0, 1 )
      else
         call errwar ( errornr, 4, 0, 1 )
      end if  ! ( ierrwar==0 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End errorelvar'

      end if  ! ( debug )
      call erclos ( 'errorelvar' )

      end
