      subroutine sepeliposset
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 09-11-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Set ipos and initialize some other quantities for element
!     subroutines
! **********************************************************************
!
!                       KEYWORDS
!
!     element_matrix
!     element_vector
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleelm
      use sepmodulebasefn
      use sepmodulecomio
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!

! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERROR42        Print error message 42
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepeliposset' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepeliposset'
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Get information of coefficients

      E%ipos = E%iuser ( E%ielgrp + 5 )
      if ( E%ipos<7 ) call error42 ( E%ielgrp, E%ipos, E%ielem, E%itype )
      E%ishift = 0

      E%compold = 0
      E%jtransfo = 0

      B%fillpsi = .false.

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,1) 'ipos, ishift', E%ipos, E%ishift
         write(irefwr,*) 'End sepeliposset'

      end if  ! ( debug )
      call erclos ( 'sepeliposset' )

      end subroutine sepeliposset
