      subroutine sepeltyperhocp
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 17-11-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill information about density rho and rho cp
!
! **********************************************************************
!
!                       KEYWORDS
!
!     element_matrix
!     element_vector
!     density
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleelm
      use sepmodulecomio
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!

! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepeltyperhocp' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepeltyperhocp'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( E%ind(E%indrho)==0 ) then

!     --- rho = 0, make it equal to 1

         E%coeffs(:,E%indrho) = 1d0
         E%ind(E%indrho) = -1

      end if  ! ( E%ind(E%indrho)==0 )

      if ( E%ind(E%indcp)==0 ) then

!     --- cp = 0, make it equal to 1

         E%coeffs(:,E%indcp) = 1d0
         E%ind(E%indcp) = -1

      end if  ! ( E%ind(E%indcp)==0 )

!     --- fill rho cp

      E%coeffs(:,E%indrhocp) = E%coeffs(:,E%indrho)*E%coeffs(:,E%indcp)
      E%ind(E%indrhocp) = -1

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepeltyperhocp'

      end if  ! ( debug )
      call erclos ( 'sepeltyperhocp' )

      end subroutine sepeltyperhocp
