      subroutine ymulab(a,b,c,ma,mb,mc,l,m,n,iopt)
! ======================================================================
!
!        programmer    Leo Caspers
!        version  1.1  date 09-06-2001 Layout
!
!   copyright (c) 2001-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!...Program to multiply two matrices
!     l : range of dot-product index
!     m : number of active rows in c
!     n : number of active columns in c
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ma,mb,mc,l,m,n,iopt,i,j
      double precision a(ma,*),b(mb,*),c(mc,*), &
                       yrcdot,ycodot,yrodot
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      goto(1000,2000,3000,4000),iopt

!...iopt = 1 , c(i,j) = a(i,k)*b(k,j)   ,    (c = a * b )
 1000 do 1200 i=1,m
        do 1100 j=1,n
          c(i,j)=yrcdot(a(i,1),b(1,j),ma,l)
 1100   continue
 1200 continue
      goto 9999

!     --- T

!...iopt = 2 , c(i,j) = a(k,i)*b(k,j)   ,    (c = a * b )

 2000 do 2200 i=1,m
        do 2100 j=1,n
          c(i,j)=ycodot(a(1,i),b(1,j),l)
 2100   continue
 2200 continue
      goto 9999

!     --- T

!...iopt = 3 , c(i,j) = a(i,k)*b(j,k)   ,    (c = a * b )

 3000 do 3200 i=1,m
        do 3100 j=1,n
          c(i,j)=yrodot(a(i,1),b(j,1),ma,mb,l)
 3100   continue
 3200 continue
      goto 9999

!     --- T   T

!...iopt = 4 , c(i,j) = a(k,i)*b(j,k)   ,    (c = a * b )

 4000 do 4200 i=1,m
        do 4100 j=1,n
          c(i,j)=yrcdot(b(j,1),a(1,i),mb,l)
 4100   continue
 4200 continue
      goto 9999
 9999 return
      end
