      subroutine el4030 (ichint,itcoor,fg,phig,psig,rho,w, &
                         vector,nstart,n,m,n1,ndim,lr)
      implicit double precision (a-h,o-z)
      double precision fg(*), phig(*), psig(*), w(*), vector(*)
!
!*******************************************************************
!
!     initialize vector with external (driving) forces
!
! ********************************************************************
!
!        programmer   jaap van der zanden
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1    date   19-06-1985 from el4031 for itcoor=3
!
!
!   copyright (c) 1984  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!*    initialize element vector
!
!     fill it with body forces of momentum equations
!             multiplied by rho
!
!     set other part of vector equal to zero
!
!*********************************************************************
!
      if ((ndim.eq.2).and.(itcoor.eq.0).and. &
          (ichint.eq.0).and.(n.eq.m)) then
!
!*  newton-cotes integration  /  n=m !
!
         do 10 i=nstart,n
            rho1=rho*w(i)
            vector(i)=fg(i)*rho1
            vector(i+n)=fg(n+i)*rho1
10       continue
      i1=n+n+1
      else if ((ndim.eq.2).and.(itcoor.ne.3)) then
!
!*   gauss integration
!
         do 50 i=nstart,n
            sum1=0.0d0
            sum2=0.0d0
            ik=(i-1)*m+1
            do 40 k=1,m
               h=w(k)*phig(ik)
               sum1=sum1+h*fg(k)
               sum2=sum2+h*fg(m+k)
               ik=ik+1
40          continue
            vector(i)=rho*sum1
            vector(i+n)=rho*sum2
50       continue
      else if ((ndim.eq.2).and.(itcoor.eq.3)) then
!
!*   gauss integration
!
         m2=m+m
         n2=n+n
         do 150 i=nstart,n
            sum1=0.0d0
            sum2=0.0d0
            ik=(i-1)*m+1
            do 140 k=1,m
               h=w(k)*phig(ik)
               sum1=sum1+h*fg(k)
               sum2=sum2+h*fg(m2+k)
               ik=ik+1
140         continue
            vector(i)=rho*sum1
            vector(i+n)=rho*sum2
150      continue
         if (nstart.le.n1) then
            do 170 i=nstart,n1
               sum1=0.0d0
               ik=(i-1)*m+1
               do 160 k=1,m
                  h=w(k)*psig(ik)
                  sum1=sum1+h*fg(m+k)
                  ik=ik+1
160            continue
               vector(i+n2)=rho*sum1
170         continue
         end if
      i1=n2+n1+1
      else if (ndim.eq.3) then
!
!*   gauss integration
!
         m2=m+m
         n2=n+n
         do 350 i=nstart,n
            sum1=0.0d0
            sum2=0.0d0
            sum3=0.0d0
            ik=(i-1)*m+1
            do 340 k=1,m
               h=w(k)*phig(ik)
               sum1=sum1+h*fg(k)
               sum2=sum2+h*fg(m+k)
               sum3=sum3+h*fg(m2+k)
               ik=ik+1
340         continue
            vector(i)=rho*sum1
            vector(i+n)=rho*sum2
            vector(i+n2)=rho*sum3
350      continue
      i1=n2+n+1
      end if
      if (lr.ge.i1) then
         do 100 i=i1,lr
            vector(i)=0.0d0
100      continue
      end if
      end
