      subroutine el4031 (ichint,fg,phig,rho,w,vector,nstart,n,m,lr)
!
! ------------------------------------------------------------------- &
!
!     add external (driving) forces to vector
!
! -------------------------------------------------------------------- &
!
!        programmer   jaap van der zanden
!
!        version 2.3  date   10-03-1992 explicit type
!        version 2.2  date   22-08-1991 extend meaning of ichint
!        version 2.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 2    date   14-05-1985 simplified parameter list
!        version 1    date   11-01-1985
!
!
!   copyright (c) 1984  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! -------------------------------------------------------------------- &
!
!*    initialize or append element vector
!
!     fill it with body forces of two (momentum) equations
!             multiplied by rho
!
!     set other part of vector equal to zero
!
! -------------------------------------------------------------------- &
      integer ichint, nstart, n, m, lr
      double precision rho
      double precision fg(*), phig(*), w(*), vector(*)
! -------------------------------------------------------------------- &
!
!   LOCAL  VARIABLES
!
! -------------------------------------------------------------------- &
      integer i, ik, i1, k
      double precision h, rho1, sum1, sum2

      if ((ichint.eq.0).and.(n.eq.m)) then
!
!*  newton-cotes integration  /  n=m !
!
         do 10 i=nstart,n
            rho1=rho*w(i)
            vector(i)=fg(i)*rho1
            vector(i+n)=fg(n+i)*rho1
10       continue
      else if (ichint.lt.10) then
!
!*   gauss integration
!
         do 50 i=nstart,n
            sum1=0.0d0
            sum2=0.0d0
            ik=(i-1)*m+1
            do 40 k=1,m
               h=w(k)*phig(ik)
               sum1=sum1+h*fg(k)
               sum2=sum2+h*fg(m+k)
               ik=ik+1
40          continue
            vector(i)=rho*sum1
            vector(i+n)=rho*sum2
50       continue
      end if
      i1=n+n+1
      if (lr.ge.i1) then
         do 100 i=i1,lr
            vector(i)=0.0d0
100      continue

      else if ((ichint.eq.10).and.(n.eq.m)) then
!
!*  newton-cotes integration  /  n=m !
!
         do 110 i=nstart,n
            rho1=rho*w(i)
            vector(i)=vector(i)+fg(i)*rho1
            vector(i+n)=vector(i+n)+fg(n+i)*rho1
110      continue
      else if (ichint.gt.10) then
!
!*   gauss integration
!
         do 150 i=nstart,n
            sum1=0.0d0
            sum2=0.0d0
            ik=(i-1)*m+1
            do 140 k=1,m
               h=w(k)*phig(ik)
               sum1=sum1+h*fg(k)
               sum2=sum2+h*fg(m+k)
               ik=ik+1
140         continue
            vector(i)=vector(i)+rho*sum1
            vector(i+n)=vector(i+n)+rho*sum2
150      continue
      end if
      end
