      subroutine elp277 (itcoor,x,y,dxdksi,dydksi,dxdeta,dydeta, &
                         x1g,x2g,phigt,dptdks,dptdet,n)
      integer itcoor,n
      double precision x(*), y(*), dxdksi(*), dydksi(*), dxdeta(*), &
             dydeta(*), x1g(*), x2g(*), phigt(*), dptdks(*), dptdet(*)
!
! -------------------------------------------------------------------- &
!
!     programmer   jaap van der zanden
!
!   version 2.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!   version 2.0  date   19-02-1991 explicit decl
!   version 1    date   04-01-1985
!
!
!   copyright (c) 1984,1991  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! -------------------------------------------------------------------- &
!
!    compute elements of Jacobian matrix for curved triangles
!    compute coordinates in integration points (itcoor>0)
!
! -------------------------------------------------------------------- &
!
!   LOCAL  VARIABLES
!
! -------------------------------------------------------------------- &
!
      integer i,ij,j,n1
      double precision sumxe,sumxk,sumye,sumyk,x1,x2

      if ((itcoor.eq.0).and.(n.le.7)) then
         dxdksi(1)=-3*x(1)+4*x(2)-x(3)
         dxdksi(2)=-x(1)+x(3)
         dxdksi(3)=x(1)-4*x(2)+3*x(3)
         dxdksi(4)=x(1)+x(3)-2*(x(2)-x(4)+x(6))
         dxdksi(5)=x(1)-x(3)+4*(x(4)-x(6))
         dxdksi(6)=-x(1)-x(3)+2*(x(2)+x(4)-x(6))
         dydksi(1)=-3*y(1)+4*y(2)-y(3)
         dydksi(2)=-y(1)+y(3)
         dydksi(3)=y(1)-4*y(2)+3*y(3)
         dydksi(4)=y(1)+y(3)-2*(y(2)-y(4)+y(6))
         dydksi(5)=y(1)-y(3)+4*(y(4)-y(6))
         dydksi(6)=-y(1)-y(3)+2*(y(2)+y(4)-y(6))
!
!*   now dxdeta, dydeta
!
         dxdeta(1)=-3*x(1)-x(5)+4*x(6)
         dxdeta(2)=-x(1)-2*(x(2)-x(4)-x(6))-x(5)
         dxdeta(3)=x(1)-x(5)-4*(x(2)-x(4))
         dxdeta(4)=x(1)+x(5)-2*(x(2)-x(4)+x(6))
         dxdeta(5)=x(1)+3*x(5)-4*x(6)
         dxdeta(6)=-x(1)+x(5)
         dydeta(1)=-3*y(1)-y(5)+4*y(6)
         dydeta(2)=-y(1)-2*(y(2)-y(4)-y(6))-y(5)
         dydeta(3)=y(1)-y(5)-4*(y(2)-y(4))
         dydeta(4)=y(1)+y(5)-2*(y(2)-y(4)+y(6))
         dydeta(5)=y(1)+3*y(5)-4*y(6)
         dydeta(6)=-y(1)+y(5)
         if (n.eq.6) return
         dxdksi(7)=(-x(1)+x(3)+4*(x(4)-x(6)))/3
         dydksi(7)=(-y(1)+y(3)+4*(y(4)-y(6)))/3
         dxdeta(7)=(-x(1)-4*(x(2)-x(4))+x(5))/3
         dydeta(7)=(-y(1)-4*(y(2)-y(4))+y(5))/3
      else
         n1=n
         if (n.eq.7) n1=n-1
         do 20 i=1,n
            sumxk=0.0d0
            sumxe=0.0d0
            sumyk=0.0d0
            sumye=0.0d0
            x1=0.0d0
            x2=0.0d0
            ij=i
            do 10 j=1,n1
               sumxk=sumxk+dptdks(ij)*x(j)
               sumxe=sumxe+dptdet(ij)*x(j)
               sumyk=sumyk+dptdks(ij)*y(j)
               sumye=sumye+dptdet(ij)*y(j)
               x1=x1+phigt(ij)*x(j)
               x2=x2+phigt(ij)*y(j)
               ij=ij+n
10          continue
            dxdksi(i)=sumxk
            dxdeta(i)=sumxe
            dydksi(i)=sumyk
            dydeta(i)=sumye
            x1g(i)=x1
            x2g(i)=x2
20       continue
      end if
      end
