      subroutine elmul03 (a, b, out, opt, sizmat)
! ======================================================================
!
!        programmer    Chris van Oijen
!        version  1.2  date 24-01-2003 change test on opt
!        version  1.1  date 01-11-2002 Extra parameter sizmat
!        version  1.0  date 28-05-2001
!
!   copyright (c) 1996-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    multiply normal stored matrices, result is normal stored
!
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix
!     rotation
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer opt, sizmat
      double precision a(sizmat,sizmat), b(sizmat,sizmat), &
                       out(sizmat,sizmat)

!     a              i    matrix to be multiplied
!     b              i    matrix to be multiplied
!     opt            i    option: 0: a*b
!                                 1: a*b'
!                                 2: a'*b
!     out            o    result
!     sizmat         i    Size of matrix (2x2 or 3x3)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     DGEMM     BLAS routine for matrix multiplication general.
!               (NAG: f06yaf)
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if (opt.eq.0) then

!     --- opt = 0
!         compute work2=a*b

         call dgemm ('n', 'n', sizmat, sizmat, sizmat, 1d0, &
                     a, sizmat, b, sizmat, 0d0, &
                     out, sizmat)

      else if (opt.eq.1) then

!     --- opt = 1
!         compute work2=a*b'

         call dgemm ('n', 't', sizmat, sizmat, sizmat, 1d0, &
                     a, sizmat, b, sizmat, 0d0, &
                     out, sizmat)

      else if (opt.eq.2) then

!     --- opt = 2
!         compute work2=a'*b

         call dgemm ('t', 'n', sizmat, sizmat, sizmat, 1d0, &
                     a, sizmat, b, sizmat, 0d0, &
                     out, sizmat)

      end if
      end
