      subroutine sepelvnlinelas ( )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 13-06-2019
!
!   copyright (c) 2019-2019  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebasefn
      use sepmoduleelm
      use sepmodulecomio
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepelvnlinelas' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepelvnlinelas'
         call prinrl ( E%vec, E%icount, 'elemvec')

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( E%special==1 ) then

         call elsgcrav ( E%vec, E%bl, E%pksest, B%w, &
                         E%detf, E%detfr, E%ndim, E%icount, &
                         B%n, B%m, E%dimD )
      else

         call elnlav ( E%vec, E%bl, E%pksest, B%w, E%ndim, &
                       E%icount, B%n, B%m, E%dimD )

      end if

!     --- reduced integration part

      if ( E%rdint ) then

         call elnlav ( E%vec, E%blr, E%pksr, E%wr, E%ndim, &
                       E%icount, B%n, E%mr, E%dimD )

      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepelvnlinelas'

      end if  ! ( debug )
      call erclos ( 'sepelvnlinelas' )

      end subroutine sepelvnlinelas
