!    ***************************************************************
!    *
!    *  oil radial bearing
!    *  boundary  1,2      no flow  (half bearing)
!    *  boundary  5,6      essential boundary conditions
!    *  boundary  3,4 <--> boundary 7,8  periodical boundary conditions
!    *
!    *  The cavitation is taken into account by an Kumars mass conservation
!    *  method
!    *
!    ***************************************************************
!
      program bearingmasscons
      call startsepcomp
      end

!     --- function funccf for the computation of h and the
!         arguments in the integral (sin(2x/D) resp cos (2x/D))

      function funccf ( ichois, x, y, z )
      implicit none
      double precision funccf, x, y, z
      integer ichois

      integer ifirst
      double precision diam, deltar, eps, phi
      save diam, deltar, eps
      double precision getconst
      data ifirst /0/

      if ( ifirst==0 ) then

!     --- ifirst = 0, first call, set parameters

         diam   = getconst('diam')
         deltar = getconst('deltar')
         eps    = getconst('eps')
         ifirst = 1

      end if  ! ( ifirst==0 )

      phi    = 2d0*(x/diam)

      if ( ichois==1 ) then

!     --- h(x)   minimal film thickness at x=0

         funccf = deltar*(1d0-eps*cos(phi))

      else if ( ichois==2 ) then

!     --- x-component load

         funccf = -cos(phi)

      else

!     --- y-component load

         funccf = -sin(phi)

      end if

      end
