      program beamresponse

!     --- Main program for time-dependent linear beam response
!         The main program is standard and consists of 1 statement only

      call startsepcomp

      end

!     --- Function subroutine funccf to define the time-dependent load
!         See SEPRAN introduction 5.5.3

      double precision function funccf ( ichoice, x, y, z )
      use sepmoduletime
      implicit none

!     --- declaration of input parameters

      integer ichoice
      double precision x, y, z

      if ( ichoice==1 ) then

!     --- ichoice = 1, define load

          if ( t<=2.500001d0) then

!         --- t <= 2.5, load is equal to 10t

             funccf = 10*t

          else

!         --- t > 0, no load

             funccf = 0

          end if  ! ( t<=2.5)

       else

!     --- ichoice > 1, not defined

          print *, 'wrong value of ichoice ', ichoice, ' in funccf'
          stop

       end if  ! ( ichoice==1 )

       end
