      program block2d
!     main program for
!     geometrically non-linear deformation of a (2D plain-strain) block.
!     The compressible material is stretched from two sides resulting in
!     a volume increase
!
!     The updated Lagrange approach is used
!     This includes a pseudo time loop, with non-linear iteration per step
!     The pressure is increased during the time stepping
!
!     See Manual Standard Elements Section 5.3.2
!     and examples manual Section 5.3.2.2

      call startsepcomp
      end

      double precision function funccf ( ichoice, x, y, z )
      use sepmoduletime
      implicit none

      integer ichoice;
      double precision x, y, z, c1, c2

      c1= 2d1
      c2= 2d1

      if ( ichoice==1 ) then
         funccf = c1*y*t
      else if ( ichoice==2 ) then
         funccf = c2*x*t
      end if

      end
