      program opgave7_1_1
      integer, allocatable, dimension (:) :: ibuffr
      integer (kind=8) pbuffr
      integer error
      parameter ( pbuffr=100000000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (sepcompexe) could not allocate space."
         stop
      end if  ! (error /= 0)
      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

      function funcbc ( ifunc, x, y, z )
      use sepmoduletime
      implicit none
      integer ifunc
      double precision funcbc, x, y, z
      double precision g, rhor,p0, patm
      double precision getconst

      g = getconst('g')
      rhor = getconst('rhor')
      p0 = getconst('p0')
      patm = getconst('patm')

      select case ( ifunc )
      case(1)

!     --- Special option, preprogrammed already

         funcbc = patm-rhor*g*y

      case(2)

!     --- Special option, preprogrammed already

         funcbc = patm-rhor*g*y-p0

      case default

!     --- Option not programmed yet

         call errchr ( 'funcbc', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end

      function funccf ( ifunc, x, y, z )
      use sepmoduletime
      implicit none
      integer ifunc
      double precision funccf, x, y, z
      double precision g, rho, lambda
      double precision getconst

      g = getconst('g')
      rho = getconst('rho')
      lambda = getconst('lambda')

      select case ( ifunc )
      case(1)

!     --- Special option, preprogrammed already

         rho = rho-y
         funccf = rho*g*lambda

      case default

!     --- Option not programmed yet

         call errchr ( 'funccf', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end

      function func ( ifunc, x, y, z )
      use sepmoduletime
      implicit none
      integer ifunc
      double precision func, x, y, z
      double precision g, lambda, rho
      double precision getconst

      g = getconst('g')
      rho = getconst('rho')
      lambda = getconst('lambda')

      select case ( ifunc )
      case(1)

!     --- Part of velocity

         func = -(rho-y)*g*lambda

      case default

!     --- Option not programmed yet

         call errchr ( 'func', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end
