      subroutine iniexitmpi
! ======================================================================
!
!
!        programmer     Guus Segal
!        version 1.0    date   22-10-2001
!
!
!   copyright (c) 2001-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Exit parallel application at node or host
!     Wrapper for MPI_Finalize
! **********************************************************************
!
!                       KEYWORDS
!
!     exit
!     parallel
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmodulecpack
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT    PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
!mpi      include 'mpif.h'
      integer ierr

!     ierr      Return code of a subroutine
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     MPI_FINALIZE  cleans up the MPI state and exits
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     call MPI_FINALIZE
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( ierror.ne.0 ) then

!     --- In case of an error abort all mpi processes

!mpi         call MPI_Abort( MPI_COMM_WORLD, ierror, ierr )

      else

!     --- Otherwise stop mpi operations on this computer

!mpi         call MPI_FINALIZE ( ierr )

      end if

      end
