#define sepMainWindow            1
#define sepMenuBar               2
#define sepFileOpenButton        3
#define sepNoFileOpen            4
#define sepFileOpen              5
#define sepPlayButton            6
#define sepNextButton            7
#define sepPreviousButton        8
#define	sepDrawArea              9
#define sepPsOutputButton       10
#define sepHpglOutputButton     11
#define sepGIFOutputButton      12
#define sepStatus               13
#define sepInfoMessage          14
#define sepErrorMessage         15
#define sepHelp                 16
#define sepManForm              17
#define sepManText              18
#define sepZoomReset		19
#define sepZoomOut		20
#define sepColorDefault		21
#define sepColorOpen		22
#define sepColorStatus          23
#define sepQuitButton           24
#define sepNoColorOpen		25
#define sepPPMOutputButton    	26
#define sepAutoScale        	27
#define sepPPMOutputall        	28
#define sepGIFOutputall         29
#define sepFigOutputButton      30
#define sepLast                 31

#define MAXSTATUSLINE          255

#define VERSION         "5.1"
#define CLASS_NAME      "Sepview"
#define MANPAGE         "/instal/sepview.man"

#define NICESPACE  10
#define NICESPACEV 10
#define MEDIUM_OFFSET  6
#define MEDIUM_OFFSETV 6

/* Global function declarations (ANSI) :
 * Added by K. Lemmens, June 1999 
 */

/* Fortran I/O and Sepran routines */
#ifdef UNDERSCORE
#   define initmd()                            initmd_()
#   define start(ip1,ip2 ,ip3,ip4)             start_(ip1,ip2,ip3,ip4)
#   define gethom(cp1,ip1)                     gethom_(cp1,ip1)
#   define plrdop(cp1,ip1,ip2)                 plrdop_(cp1,ip1,ip2)
#   define plrdcl(ip1)                         plrdcl_(ip1)
#   define plrd01(ip1,fp1,fp2,fp3,fp4,ip2,ip3) plrd01_(ip1,fp1,fp2,fp3,fp4,ip2,ip3)
#   define plrd06(ip1,cp1,ip2)                 plrd06_(ip1,cp1,ip2)
#   define plrd07(ip1,fp1,ip2)                 plrd07_(ip1,fp1,ip2)
#else
#ifdef CRAY
#   define initmd ()                            INITMD()
#   define start  (ip1,ip2 ,ip3,ip4)            START (ip1,ip2,ip3,ip4)
#   define gethom (cp1,ip1)                     GETHOM(cp1,ip1)
#   define plrdop (cp1,ip1,ip2)                 PLRDOP(cp1,ip1,ip2)
#   define plrdcl (ip1)                         PLRDCL(ip1)
#   define plrd01 (ip1,fp1,fp2,fp3,fp4,ip2,ip3) PLRD01(ip1,fp1,fp2,fp3,fp4,ip2,ip3)
#   define plrd06 (ip1,cp1,ip2)                 PLRD06(ip1,cp1,ip2)
#   define plrd07 (ip1,fp1,ip2)                 PLRD07(ip1,fp1,ip2)
#endif
#endif

/* Sepran Fortran routines */

extern void initmd();
extern void start(int *,int *,int *,int *);
extern void gethom(char *,int *);
extern void plrdop(char *,int *,int *);
extern void plrdcl(int *);
extern void plrd01(int *,float *,float *,float *,float *,int *,int *);
extern void plrd06(int *,char *,int *);
extern void plrd07(int *,float *,int *);


/* Function declarations */

void initSepview(int argc,char *argv[]);
void check(int num);
void putXString(char *buf, int sepWid);
void modifyStatus(int status);
void showColorfile(char *name);
void waitForEverything(Widget widget);
void errorMessage(char *message);
void infoMessage(char *message);
Boolean sepscan(int ifirst, int scaling);
void sepplot(void);
void setDataFile(char *);
void mark(Widget widget, int tag);
void zoom_status(int s);
void color_status(int s);
void wpop  (Widget widget, XtPointer ptag, XtPointer wdata);
void unwpop(Widget widget, XtPointer ptag, XtPointer wdata);
void job   (Widget widget, XtPointer ptag, XtPointer wdata);
Boolean scanbutton(int *mode);
void write_gif(void);
void write_ppm(void);
int displayMan(void);

/* From the mrmplugin.c : */

XmFontList GetFont(char *fontstr,Display *dsp);
Pixel      GetColor(char *colstr,Widget top);
void       setNiceColors(Widget widgar[],Widget top);
void       createAllWidgets(Widget top);
