      program practicum
      call sepcom ( 0 )
      end


      subroutine elemsubr ( ndim, npelm, x, nunk_pel, elem_mat,
     +                      elem_vec, elem_mass, uold, itype )
c ======================================================================
c
c        programmer     Guus Segal
c        version 1.0    date 15-10-1998
c
c
c   copyright (c) 1998-1998  "Ingenieursbureau SEPRA"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "Ingenieursbureau SEPRA".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c **********************************************************************
c
c                       DESCRIPTION
c
c     Special user element subroutine to be used by SEPRAN in the case of
c     the Numerical Analysis Lab of Delft University of Technology
c **********************************************************************
c
c                       KEYWORDS
c
c    matrix
c    vector
c    element
c **********************************************************************
c
c                       MODULES USED
c
c **********************************************************************
c
c                       COMMON BLOCKS
c
c **********************************************************************
c
c                       INPUT / OUTPUT PARAMETERS
c
      implicit none
      integer ndim, npelm, nunk_pel, itype
      double precision x(npelm,ndim), elem_mat(nunk_pel,nunk_pel),
     +                 elem_vec(nunk_pel), elem_mass(nunk_pel),
     +                 uold(nunk_pel)

c     elem_mass   o   In this two-dimensional array the student must store the
c                     element mass matrix, provided the mass matrix must be
c                     computed, in the following way:
c                     elem_mass(i,j) = s_{ij} ; i,j = 1(1)nunk_pel
c                     This matrix should only be filled if a mass matrix is
c                     required, for example for time-dependent problems.
c     elem_mat    o   In this two-dimensional array the student must store the
c                     element matrix, in the following way:
c                     elem_mat(i,j) = s_{ij} ; i,j = 1(1)nunk_pel.
c                     The degrees of freedom in an element are stored
c                     sequentially, first all degrees of freedom corresponding
c                     to the first point, then to the second, etcetera.
c     elem_vec    o   In this array the student must store the element vector,
c                     in the following way:
c                     elem_vec(i) = f_i; i = 1(1)nunk_pel
c                     It concerns the derived quantity that must be computed
c     itype       i   Type number of element.
c                     This parameter is defined in the input block PROBLEM
c     ndim        i   Dimension of the space.
c     npelm       i   Number of points per element
c     nunk_pel    i   number of degrees of freedom in the element
c     uold        i   In this array the old solution, as indicated by V1,
c                     is stored. This solution may contain the boundary
c                     conditions only, if the array has been created by
c                     prescribe_boundary_conditions, but also a starting vector
c                     if V1 has been created by create or even the previous
c                     solution in an iteration process if nonlinear_equations
c                     is used.
c     x           i   Contains the coordinates of the nodes of the element using
c                     the local node numbering
c                     x(i,1) contains the x-coordinate of the i-th node in the
c                     element and x(i,2) the y-coordinate of this node
c **********************************************************************
c
c                       LOCAL PARAMETERS
c
      double precision mu, e(3,2), delta, gradphi(3,2)
      integer i, j

c     delta       Jacobian delta of the element
c     e           Contains the factors e^ij according to
c                 e(i,j) = e^ij, i=1,2,3; j=1,2
c     gradphi     Contains the gradient of the basis function phi_i according to
c                 gradphi(i,j) = dphi_i/dx_j, i=1,2,3; j=1,2
c     i           General loop variable
c     j           General loop variable
c     mu          Parameter mu in the differential equation
c **********************************************************************
c
c                       SUBROUTINES CALLED
c
c    none
c **********************************************************************
c
c                       I/O
c
c    none
c **********************************************************************
c
c                       ERROR MESSAGES
c
c    none
c **********************************************************************
c
c                       PSEUDO CODE
c
c    The element matrix, element right-hand side and if the problem so
c    requires the element mass matrix are filled by the user, depending on
c    the parameter itype
c
c **********************************************************************
c
c                       DATA STATEMENTS
c
c ======================================================================
c
c     Hier moet de element matrix en vector worden gevuld
      end
