      subroutine compcr ( ichois, kmeshlc, kproblc, &
                          ivectr, number, icurvs, funcx, funcy )
      use sepmodulemain
      use sepmodulekprob
      use sepmodulekmesh
      use sepmodulevecs
      implicit none
      integer ichois, kmeshlc, kproblc, ivectr, icurvs(*), number
      double precision funcx(*), funcy(*)
      integer m, n, nparts, idummy
      integer, allocatable :: inodes(:), ipoint(:)
      double precision, allocatable :: funcxtemp(:), funcytemp(:)
      logical compl
      call eropen ( 'compcr' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from compcr'
         write(irefwr,1) 'ichois, number', ichois, number
         call prinin ( icurvs, 3, 'icurvs' )
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000
      kprob2d(1) = kproblc
      kmesh2d(1) = kmeshlc
      kmesh => kmesh2d(1)
      kprob => kprob2d(1)

      if ( ichois<-1 .or. ichois>0 ) then
         call errint ( ichois, 1 )
         call errsub ( 1, 1, 0, 0 )
      end if

      if ( ichois>=0 ) then

         call sepactsolbf1 ( ivectr )
         compl = ks(ivectr)%compl==1
         if ( number<-5 .or. number>nphysi )then
            call errint ( number, 1 )
            call errint ( nphysi, 2 )
            call errsub ( 102, 2, 0, 0 )
         end if
         if ( number==0 .and. nphysi>1 .and. indprfi>0 ) then
            call errsub ( 396, 0, 0, 0 )
         end if
      end if
      if ( ierror/=0 ) go to 1000

!     --- reserve space for arrays
!         First activate permanent arrays

      n = kmeshm(3)-kmeshm(2)

!     --- Define a semi-permanent work array

      allocate ( inodes(n), ipoint(n), stat = error )
      if ( error/=0 ) call eralloc ( error, 2*n, 'inodes' )
      if ( ierror/=0 ) go to 1000

      call ercurvenodesp ( icurvs, ipoint, inodes, nparts )
      n = ipoint(nparts+1)-1

      if ( debug ) then
         call prinin ( ipoint, nparts, 'ipoint' )
         call prinin ( inodes, n, 'inodes' )
      end if  ! ( debug )

      if ( ichois==-1) then

!     --- ichois = -1  fill co-ordinates

         call er0042 ( inodes, n, ndim, coor, funcx(6) )
         funcx(2) = 117d0
         funcx(4) = ndim
         funcx(5) = n*ndim

      else

!     --- ichoice = 0  fill co-ordinates and function values

         m = 1
         if ( number==0 ) m = nphysi
         if ( compl ) m = 2*m

         allocate ( funcxtemp(ndim*n), funcytemp(m*n), stat = error )
         if ( error/=0 ) call eralloc ( error, (ndim+m)*n, 'funcxtemp' )
         if ( ierror/=0 ) go to 1000

         usol => ks(ivectr)%sol

         if ( number>=0 ) then

!        --- number>=  0

            if ( compl ) then

!           --- complex output vector

               call er0041 ( inodes, n, number, usol, &
                             funcxtemp, funcytemp )

            else

!           --- real output vector

               call er0040 ( inodes, n, number, usol, &
                             funcxtemp, funcytemp )
            end if

         else

!        --- number<0

            call er0039 ( inodes, n, number, usol, &
                          funcxtemp, funcytemp )
         end if

!        --- Check length of funcx and funcy

         call prinlg ( 'funcx', -n*ndim-5, funcx, idummy )
         call prinlg ( 'funcy', -n*m-5, funcy, idummy )

!        --- Fill funcx and funcy

         funcx(2) = 117d0
         funcx(4) = ndim
         funcx(5) = n*ndim
         funcy(2) = 117d0
         funcy(4) = m
         funcy(5) = n*m
         funcx(6:5+n*ndim) = funcxtemp(1:n*ndim)
         funcy(6:5+n*m) = funcytemp(1:n*m)

         deallocate ( funcxtemp, funcytemp, stat = error )

      end if

!     --- Delete inodes

      deallocate ( inodes, ipoint, stat = error )

1000  if ( debug ) then

!     --- Debug information

         call prinrl1 ( funcx(6), ndim, n, 'funcx' )
         call prinrl1 ( funcy(6), m, n, 'funcy' )
         write(irefwr,*) 'End compcr'

      end if  ! ( debug )
      call erclos ( 'compcr' )

      end subroutine compcr
