      subroutine seppetscfinish
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 06-09-2014 Use mpistart
!        version  1.0  date 09-07-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Close petsc
!
! **********************************************************************
!
!                       KEYWORDS
!
!     petsc
! **********************************************************************
!
!                       MODULES USED
!
      use seppetscmod   ! defines all petsc stuff
      use sepmodulecomio
      use sepmodulecpack
      implicit none

! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     PetscFinalize      Closes Petsc
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'seppetscfinish' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from seppetscfinish'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      call PetscFinalize(ierrpetsc)

      usepetsc = .false.

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End seppetscfinish'

      end if  ! ( debug )
      call erclos ( 'seppetscfinish' )

      end subroutine seppetscfinish
