      subroutine writb0 ( inum, numarr, name, jnum, length )
! ====================================================================== &
!
!        programmer    Niek Praagman
!        version  2.4  date 21-11-2012 Long integers
!        version  2.3  date 24-02-1996 Jump in case of error
!        version  2.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!
!   copyright (c) 1982-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    writb0 writes ibuffr to file 2
!
! **********************************************************************
!
!                       KEYWORDS
!
!     backing_storage
!     write
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuf
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cfile2f90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character * (*) name
      integer inum, numarr, jnum, length

!     inum       i    Number of numbers read in a record
!     jnum       i    ?
!     length     i    Length of the array to be written
!     name       i    Name of array
!     numarr     i    Sequence number of array
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer (kind=8) iunder, iupper
      integer index, lh

!     index      Help varibale to store a record number
!     iunder     Lower bound of array
!     iupper     Upper bound of array
!     lh         Help variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     INSTOP    Stop the program
!     WRITFL    Write array to SEPRAN direct access file
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      if (inum>0) goto 100

!     --- inum<0 , hence write on next free positions
!         find first free position on file 2

      iwork3(2*inew-1)=ifree2
      iwork3(2*inew)=length
      numarr=inew
      inew=inew+1
      iunder=ibfree
      iupper=ibfree+length-1
      index=ifree2
      lh = iupper-iunder+1
      call writfl(index,1,lh,jnum,2,ibuffr(iunder))
      if ( ierror/=0 ) go to 1000

!     --- write message if inum = -1

      if (inum==-1) write(irefwr,10) name,numarr
10    format(' array ',a,' is stored as array number ',i4)
      go to 1000
100   continue

!     --- inum>0 , if possible on old positions

      lh=iwork3(2*inum)

!     --- old length enough ?

      if (length<=lh) goto 200

!     --- length too long , change position

      iwork3(2*inum-1)=ifree2
200   continue
      iwork3(2*inum)=length
      numarr=inum
      iunder=ibfree
      iupper=ibfree+length-1
      index=iwork3(2*inum-1)
      lh = iupper-iunder+1
      call writfl(index,1,lh,jnum,2,ibuffr(iunder))
      inew = max (inew, inum+1 )

1000  if ( ierror/=0 ) call instop

      end
